commit a971768
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Dec 8 21:40:24 2014 -0500

    Refactor "color" conversation filters
    
    Have dissectors register their desire to be part of "color" conversation filters and have the GUI use that registered list.  GUI actually using API will come in a separate commit.
    
    Change-Id: I5ffe922d97894fe7bf3182056b76ab5839a9461a
    Reviewed-on: https://code.wireshark.org/review/5658
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e050ad2
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Dec 6 15:39:26 2014 -0500

    Eliminate some proto_tree_add_text in packet-bgp.c
    
    Change-Id: I05fabe9786125e2167fe4010733f61000d0e7914
    Reviewed-on: https://code.wireshark.org/review/5670
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Matthieu Texier <matthieu@texier.tv>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d4476b1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Dec 10 00:39:13 2014 -0800

    Expose find_heur_dissector_list().
    
    We already have find_dissector_table(); expose
    find_heur_dissector_list() as well, so that heuristic dissector lists
    can be shared.
    
    Change-Id: I3f50413b8b10fd3129fcdc2344cb1447f0946ce9
    Reviewed-on: https://code.wireshark.org/review/5701
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit bd8d2f5
Author: Sergey Avseyev <sergey.avseyev@gmail.com>
Date:   Wed Dec 10 04:19:55 2014 +0300

    packet-couchbase.c: dissect more DCP commands
    
    Change-Id: I0e06c89cdda3c1f8e98412fd20737ff6afd26666
    Reviewed-on: https://code.wireshark.org/review/5694
    Reviewed-by: Sergey Avseyev <sergey.avseyev@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c46fa33
Author: Sergey Avseyev <sergey.avseyev@gmail.com>
Date:   Thu Dec 4 13:22:22 2014 +0300

    Riemann protocol dissector
    
    Homepage: http://riemann.io/
    
    Sample capture:
    http://files.avsej.net/riemann-sample.pcapng
    
    Protocol definition:
    https://github.com/aphyr/riemann-java-client/blob/master/src/main/proto/riemann/proto.proto
    
    Implementor's guide:
    http://riemann.io/howto.html#write-a-client
    
    Bug: 10758
    Change-Id: I28634453423127fe647eb92e48072a90a7f5d232
    Reviewed-on: https://code.wireshark.org/review/5620
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1f8b16e
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Dec 10 07:41:23 2014 +0100

    ICQ: fix icq.meta_user.found_authorization field registration
    
    Change-Id: I8c39073b8d1237f8af7f7061f331b3d59ae81142
    Reviewed-on: https://code.wireshark.org/review/5699
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit f64f7c6
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Dec 10 07:37:23 2014 +0100

    NFS: do not duplicate field name in blurb
    
    Change-Id: I565823e2ba3c712506710f911e118cd48c895523
    Reviewed-on: https://code.wireshark.org/review/5698
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 4af7482
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Dec 6 12:57:33 2014 -0500

    Eliminate proto_tree_add_text from packet-icq.c
    
    Change-Id: I2f4bcd8c4a6cf534bb5b6b5c5aa7e21075968ee3
    Reviewed-on: https://code.wireshark.org/review/5696
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c449b43
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Dec 9 23:48:46 2014 -0500

    nfs: expert...() shouldn't be called under 'if(tree)'
    
    Change-Id: I4f8c55ea4194d1246ea19368e0f5890ad1248f47
    Reviewed-on: https://code.wireshark.org/review/5697
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit dff05c9
Author: Tigran Mkrtchyan <tigran.mkrtchyan@desy.de>
Date:   Sun Nov 9 10:58:43 2014 +0100

    nfs: decode dCache NFS file handle
    
    add support for dCache NFS/pNFS
    project page: http://www.dcache.org
    
    Bug: 10765
    Change-Id: I24a88419ec070305e609d1b49b44994a464eb098
    Signed-off-by: Tigran Mkrtchyan <tigran.mkrtchyan@desy.de>
    Reviewed-on: https://code.wireshark.org/review/5236
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 8375a66
Author: J. Bruce Fields <bfields@redhat.com>
Date:   Thu Oct 30 14:53:07 2014 -0400

    nfs: fix failure to parse EXCHANGE_ID arguments
    
    The exchange_id spo_must_enforce/spo_must_allow bitmaps are exceeding
    this arbitrary MAX_BITMAPS constant, causing EXCHANGE_ID parsing to
    fail.
    
    Even in the case of attributes we may need more than 4 words soon, even
    if we don't I'm not sure if it's actually illegal to zero-pad them out
    to something longer, and even if that is illegal I don't think it's
    really helpful of wireshark to stop parsing.
    
    Keep the constant just as a sanity check but make it really large.
    
    Ping-Bug: 10649
    Change-Id: I3dff3ebde2d7f74f8cbe60a92c853463da66ae6a
    Reviewed-on: https://code.wireshark.org/review/5144
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e4b0141
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Dec 9 16:54:17 2014 -0800

    Qt: Obey main toolbar icon preferences.
    
    Remove the preferences for the filter toolbar and mark them GTK+-only.
    
    Change-Id: Ie48b19aee29a1cfcea4c41ca6c08ddbba3102377
    Reviewed-on: https://code.wireshark.org/review/5693
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit c1d4a08
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Dec 9 15:14:22 2014 -0800

    Add media playback icons.
    
    Change-Id: I5a9ba1314b0c93098e7b802618f73c7fca608b04
    Reviewed-on: https://code.wireshark.org/review/5692
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 34cd063
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Dec 9 23:46:05 2014 +0100

    LTE RRC: upgrade dissector to v12.3.0
    
    Change-Id: Iac974bf505bed270fc1f9409a7d61c80ebca17a5
    Reviewed-on: https://code.wireshark.org/review/5691
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 4921e55
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Nov 18 16:21:42 2014 -0800

    Qt: Initial VoIP Calls dialog.
    
    Add Telephony menu items for VoIP Calls and SIP Flows. Put VoIP Calls at
    the top, since that seems to be the primary item.
    
    Add configure-time checks for QtMultimediaWidgets in anticipation of
    adding a VoIP playback dialog.
    
    Add an icon for the playback button. (Yes, I've been avoiding
    GNOME-level gratuitous icons so far but this is one of the rare
    occiasions where it makes sense.)
    
    Add a help link define for the VoIP calls dialog.
    
    Change-Id: I5d0799685c598ad9af76fe9667f8ea7d14b66050
    Reviewed-on: https://code.wireshark.org/review/5674
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 3147087
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Dec 9 13:22:20 2014 -0800

    Fix ranlib "has no symbols" errors in the codecs directory.
    
    Don't build the G.722 or G.726 codecs for now. Each are wrapped in
    "#ifdef HAVE_SPANDSP", which we don't define.
    
    Conditionally compile the SBC codec.
    
    Change-Id: I5f09ff66514f967d4f0611c943b4e6a975b8994b
    Reviewed-on: https://code.wireshark.org/review/5690
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f66de3a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Dec 9 11:24:59 2014 -0800

    Fix filename matching.
    
    Change-Id: I2bdfd3ad2798ed1443d06c42b05c9962b8e8041d
    Reviewed-on: https://code.wireshark.org/review/5689
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit bcaa5d8
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Nov 12 14:24:16 2014 -0800

    Qt: Update and rename the summary dialog.
    
    Go back to a single view similar to the GTK+ UI. Apply layouts using Qt
    Designer.
    
    Rename the menu item and class to "Capture File Properties". It's not
    really a summary if it contains details such as "marked average bits
    per second". We might want to move this to a "Properties" item under
    the "File" menu similar to other applications.
    
    Add the GTK+ summary icon (for now) to the toolbar and open the
    properties dialog on clicking.
    
    Singleton dialogs delenda est[1]. Let the user open as many summaries on
    as many capture files as he or she wishes. Also, global cfile delenda
    est[2].
    
    Don't blindly include QtGui. Add specific components instead.
    
    Use consistent method names, variable names, and patterns. Try to
    document what "consistent" means.
    
    Adjust the way we display some statistics to match the summary bar, e.g.
    displayed = captured if we don't have a filter applied.
    
    [1] Not really.
    [2] Yes, really.
    
    Change-Id: I11793b1d79dd0c3f70414ac8592b86181da59916
    Reviewed-on: https://code.wireshark.org/review/5274
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 9681bdd
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Dec 5 19:41:12 2014 -0500

    Eliminate proto_tree_add_text from packet-ppp.c.
    
    Some of the conversions to proto_tree_add_xxx calls involved using explicit sizes instead of the "option length", so there is skipping of the "byte highlighting" of the type + length bytes.
    
    Change-Id: Ibfe09a089fb33ba43121de079aca81742d48db4c
    Reviewed-on: https://code.wireshark.org/review/5636
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Christopher Maynard <Christopher.Maynard@gtech.com>

commit 74172ae
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Dec 7 20:54:05 2014 +0100

    LTE: Update MAC and RLC dissectors to Release 12
    
    Change-Id: I036a0d1180b6481e8cc27210ed44eda4ba078a27
    Reviewed-on: https://code.wireshark.org/review/5659
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 58fc89a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Dec 9 00:54:34 2014 -0800

    Fix copy-and-pasteo.
    
    Change-Id: I181129595c7259f5c0af5308f0ca0190dce67eb7
    Reviewed-on: https://code.wireshark.org/review/5687
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e5757d1
Author: Irene Ruengeler <ruengeler@wireshark.org>
Date:   Fri Dec 5 10:04:29 2014 +0100

    Fix GTK warning in EXTCAP parts
    
    Change-Id: I3a4d9baf3592db1394d1177a19014cbef9140759
    Reviewed-on: https://code.wireshark.org/review/5628
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Irene Ruengeler <iruengeler@googlemail.com>

commit 301a5b7c
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Nov 27 23:18:32 2014 -0500

    Eliminate proto_tree_add_text from some dissectors.
    
    Change-Id: I44cc6b70ec4dfc565934da499f46fca60a4ded93
    Reviewed-on: https://code.wireshark.org/review/5524
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1952fef
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Dec 5 07:42:34 2014 +0100

    SCTP: Missing break in switch (CID 1135556)
    
    Change-Id: I00939bb9699493fe7af21497d9e9c013cc3d2e62
    Reviewed-on: https://code.wireshark.org/review/5650
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 283e5c1
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Dec 3 16:46:46 2014 +0100

    GVSP: Missing break in switch (CID 1247683 & 1247684)
    
    Change-Id: Ibd3aef4101126f02453bab10cd5ca31e716334de
    Reviewed-on: https://code.wireshark.org/review/5617
    Reviewed-by: W Moxam <warrenm@ptgrey.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fbf08cf
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Dec 8 20:04:23 2014 -0800

    Nothing to free there.
    
    pcapng_read_block() never sets *err_info if it returns
    PCAPNG_BLOCK_NOT_SHB - that happens on an EOF, a short read, or on a
    successful read of something that doesn't look like an SHB.
    
    Change-Id: I23ad6aa1c95d800b068a798a4aad1d70d07ac281
    Reviewed-on: https://code.wireshark.org/review/5686
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7b1c3ab
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Dec 8 19:57:21 2014 -0800

    Manually fix a pidl bug - that field should be an FT_STRING.
    
    No, I don't know why it's making it FT_NONE; it's a bit of a weird data
    type, with a string inside a structure.
    
    Change-Id: I27a6d7577ef4a9f4da8ddad2cad97ad097135e90
    Reviewed-on: https://code.wireshark.org/review/5685
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5c29704
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Dec 8 19:24:33 2014 -0800

    LDAP's DirSyncFlags are a bitfield, so show it as an unsigned integer in hex.
    
    Change-Id: I2a06b13528ad7dfc587bfb9c1333d4f7a497614e
    Reviewed-on: https://code.wireshark.org/review/5684
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3d95c62
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Dec 8 17:30:04 2014 -0800

    Don't try to look in a non-existent hash table.
    
    We only create hash tables if somebody puts a handler in one, so we need
    to check whether the hash table exists first, to avoid run-time warnings.
    
    Change-Id: I739d2d808935e651b11bd44b258f168a42ca4b7c
    Reviewed-on: https://code.wireshark.org/review/5683
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f34bcb7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Dec 8 16:13:39 2014 -0800

    Don't put bitmasks under an FT_NONE.
    
    Change-Id: I172c68d233e3887a94c0835234613dfd483ee5af
    Reviewed-on: https://code.wireshark.org/review/5682
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 260af59
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Dec 8 16:06:11 2014 -0800

    Values in a value_string_ext *must* be sorted.
    
    Change-Id: I0c2bcd81955375abf3af24e42c70bea0bb960083
    Reviewed-on: https://code.wireshark.org/review/5681
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 32e1ff9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Dec 8 15:36:26 2014 -0800

    Don't put bitmasks under an FT_NONE.
    
    proto_tree_add_bitmask() requires that the field under which it's
    putting the bitmasks be an FT_INTn or FT_UINTn, so that it can determine
    the length of the field.
    
    Arguably, proto_tree_add_bitmask() should, instead, take a length
    argument, just as other proto_tree_add_ routines do, and, arguably, we
    should perhaps not even have FT_UINTn and FT_INTn, just FT_UINT and
    FT_INT, with the display width for hex and octal (leading zeroes)
    determined by the actual length of the field or something such as that,
    or as part of the field that also contains the base.
    
    But, even with that, we might want to require an FT_UINTn or FT_INTn
    anyway, at least in cases where the value of the field as a whole is
    interesting.
    
    Change-Id: I4dff8fb1686a30b7d145c089dd1be7f96ecf23e0
    Reviewed-on: https://code.wireshark.org/review/5680
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ffcacae
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Dec 8 15:25:50 2014 -0800

    Have different MTP2 dissectors for different metadata and CRC.
    
    Have separate MTP2 dissectors for:
    
    	MTP2 frames with no pseudo-header and no CRC;
    
    	MTP2 frames with a pseudo-header and no CRC;
    
    	MTP2 frames with no pseudo-header and a CRC;
    
    and call the appropriate dissector in the appropriate places.
    
    While we're at it, get rid of a global variable - pass the "use extended
    sequence numbers" flag down through the dissection code path, rather
    than having it as a global.
    
    Change-Id: Id8da1fbe3529e3ffadd5c30646cbc922f506a01f
    Reviewed-on: https://code.wireshark.org/review/5679
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8a446e9
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Sat Nov 15 09:44:22 2014 +0100

    Add missing build-dependencies for the Debian package
    
    They are libparse-yapp-perl and libsbc-dev.
    
    Change-Id: I474179bb805acb87f8bf316730d63eb294e10a69
    Reviewed-on: https://code.wireshark.org/review/5322
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>

commit d87a952
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Dec 8 14:09:33 2014 -0800

    It's a reasonable expectation that we will have C++ style comments in
    ui/qt.
    
    Change-Id: Iedbf2a2d3cbfee00912e6e883928836932dea566
    Reviewed-on: https://code.wireshark.org/review/5678
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 08e624f
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Dec 8 13:41:02 2014 -0800

    Remove an unnecessary include.
    
    Change-Id: I55332c21ea66ee7d564c2b338cba524ea774b19c
    Reviewed-on: https://code.wireshark.org/review/5677
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d5f771c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Dec 8 11:40:35 2014 -0800

    Use correct expression in a "length too short" message.
    
    Doesn't change the behavior of the code, but makes it more consistent.
    
    Change-Id: I6f07fbbb4c7d14d8a46ecfd1c419d951c356fd77
    Reviewed-on: https://code.wireshark.org/review/5672
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0bd79c5
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Mon Dec 8 11:20:16 2014 +0100

    Fix full name of NodeId namespace index field, was a copy&pase error
    
    Change-Id: I7b1eea9965880e35c65f04406ff756d245b568d4
    Reviewed-on: https://code.wireshark.org/review/5668
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 52df6ef
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Dec 3 12:36:18 2014 +0100

    Try to improve reassembly when SIP PDU starts in the middle of a segment
    and continues trough the next segment(s).
    
    Change-Id: I8efe69361fda0c60ec6544cc6bbe28c91f07207c
    Reviewed-on: https://code.wireshark.org/review/5583
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f16376e
Author: Maarten Bezemer <maarten.bezemer@gmail.com>
Date:   Thu Nov 27 15:09:52 2014 +0100

    Fix showing error dialog when calling vsimple_error_message_box()
    
    SimpleDialog requires a parent, when none is provided (as there is no parent available during startup), the error message is queued and displayed after MainWindow is available.
    Calling SimpleDialog::exec() directly returns if no parent is set (hence the dialog is not shown)
    
    This resulted in silently ignoring error messages that were shown using vsimple_error_message_box(), as this function did not provide a parent (and the queue messages were not dequeued anymore as the MainWindow was already available)
    
    Change-Id: I2f4c1b4926c196ab40b035161cec530105396537
    Reviewed-on: https://code.wireshark.org/review/5519
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e172ebb
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 29 15:58:56 2014 -0500

    Add proto_tree_add_bitmask_with_flags.
    
    It's proto_tree_add_bitmask with the ability to control the data appended to header.
    
    Change-Id: Icce97437ba7cfc9158ec204a837da8db8138424a
    Reviewed-on: https://code.wireshark.org/review/5533
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 75cdf92
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Dec 5 09:02:37 2014 +0100

    802.11: fix indent (use 2 spaces) and modelines for 802.11 h file
    
    Change-Id: If886809d9eeb900bb94c045413ff1295519b8311
    Reviewed-on: https://code.wireshark.org/review/5641
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit f47bc26
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Nov 25 12:23:52 2014 +0100

    CAPWAP: Add some IEE802.11 Message Element Type (RFC5416)
    
    * IEEE 802.11 Antenna (1025)
    * IEEE 802.11 Direct Sequence Control (1028)
    * IEEE 802.11 MAC Operation (1030)
    * IEEE 802.11 MIC Countermeasures (1031)
    * IEEE 802.11 Multi-Domain Capability (1032)
    * IEEE 802.11 Station (1036)
    * IEEE 802.11 Supported Rates (1040)
    * IEEE 802.11 Tx Power (1041)
    * IEEE 802.11 Tx Power Level (1042)
    * IEEE 802.11 WTP Radio Configuration (1046)
    
    Enhance 802.11 Rate Set (1034)
    
    Change-Id: Ib37bc4081e75af051d80d023ddba689ecd9bf9ff
    Reviewed-on: https://code.wireshark.org/review/5481
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 58b7277
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Dec 5 09:00:13 2014 +0100

    802.11: Add ieee80211_supported_rates_vals_ext to be exported
    
    It will be reused by CAPWAP dissector (* Rates Message Element)
    
    Change-Id: I60ce12f382a35cdc2747baf23e2e3c30a305a8bd
    Reviewed-on: https://code.wireshark.org/review/5640
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 212ba58
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Dec 7 12:17:48 2014 -0800

    Add checks for non-null-terminated strings.
    
    Change-Id: Iaad2d2f76e5d554800ba2c79d5c01f4b9da6fa0b
    Reviewed-on: https://code.wireshark.org/review/5660
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5f79940
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Dec 5 07:56:36 2014 +0100

    Endpoint: wrong filter when select a SCTP endpoint (INVALID == a.x.y.z ...)
    
    Change-Id: I396e9af7971ee8be6fc9548162ff37fe704f0289
    Reviewed-on: https://code.wireshark.org/review/5651
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 42cdc2b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Dec 7 19:51:16 2014 +0100

    dcerpc: Missing break in switch (CID 280449 & 280450 & 284051)
    
    Change-Id: I68fa9650c234c0f1fb8464b464a781b54f2c728c
    Reviewed-on: https://code.wireshark.org/review/5657
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9d8cb74
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Dec 7 19:48:17 2014 +0100

    iec104: Missing break in switch (CID 280459)
    
    Change-Id: I6abc157368a78e1abfde672728b88a36ba6e76cc
    Reviewed-on: https://code.wireshark.org/review/5656
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit fd087fb
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Dec 7 19:46:53 2014 +0100

    AFS: Missing break in switch (CID 280434 & 280435)
    
    Change-Id: Ia0a39f7e4670d74325ddc40b34cd56ca018c0bde
    Reviewed-on: https://code.wireshark.org/review/5655
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit a68a3da
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Dec 7 19:36:32 2014 +0100

    make our counting a bit clearer
    
    Change-Id: Ie64573f5a0b6e921a5011e487eea8e55f72b9a0b
    Reviewed-on: https://code.wireshark.org/review/5653
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit e456dec
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Dec 7 19:27:57 2014 +0100

    don't initialize variables if the first thing we do is assign a
    different value to them
    
    Change-Id: I719db9180b2ba5f21653086f2697ca9bac68d6b1
    Reviewed-on: https://code.wireshark.org/review/5652
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit ade2bef
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Dec 6 18:28:37 2014 +0100

    make sure that we don't read past the end of the compressed buffer
    
    Bug: 10757
    Change-Id: I30054c4a75ec86ea603cf78b702be5255c35f549
    Reviewed-on: https://code.wireshark.org/review/5642
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 1bc8791
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Dec 5 19:42:47 2014 -0500

    Eliminate proto_tree_add_text from packet-telnet.c
    
    Change-Id: I0e8610f381e650f2c5b3f78ea927b727ec9ac62a
    Reviewed-on: https://code.wireshark.org/review/5637
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit afa5558
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Dec 7 08:05:11 2014 -0800

    [Automatic manuf, services and enterprise-numbers update for 2014-12-07]
    
    Change-Id: Ice8195b09120fb21144e504289a64fd5af84775b
    Reviewed-on: https://code.wireshark.org/review/5647
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit de61f06
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Dec 6 15:59:07 2014 -0800

    The packet encapsulation is in pkt_encap, not rec_type.
    
    rec_type is the type of record (which isn't necessarily a packet; future
    work on libwiretap will let it return non-packet data); if it's a packet
    (REC_TYPE_PACKET), then pkt_encap contains the "link-layer"
    encapsulation for the packet (in quotes because it may contain metadata
    not transmitted over the network).
    
    Change-Id: I6f32b02f4466df6d7b07dbdc9d77e881830ac749
    Reviewed-on: https://code.wireshark.org/review/5645
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 22da8a3
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Dec 6 16:21:07 2014 -0500

    Remove annex_a_used from packet_info structure.
    
    Change-Id: I660caa8283aecff5060c6ed476f316bc5793373e
    Reviewed-on: https://code.wireshark.org/review/5643
    Reviewed-by: Michael Tüxen <tuexen@wireshark.org>

commit 6d4c0ed
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Dec 5 20:53:39 2014 -0800

    Don't go past the end of the "extra data".
    
    The "extra data", according to the RF5 API manual I have, is "hardware
    parameters", so change some names.
    
    Report an error if the variable parts of the configuration event record
    run past the record length.
    
    Report an error if the hardware parameters are too short.
    
    For the purportedly DS0 hardware parameters, don't assume they'll be
    long enough for the mask; they might not be.
    
    Change-Id: Ib63d042e4ede32216fb474c4ecdba84db1387abc
    Reviewed-on: https://code.wireshark.org/review/5638
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8c190d6
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Dec 3 16:39:58 2014 +0100

    RPKI-RTR: Missing break in switch (CID 1233099)
    
    Change-Id: I01f01ce51fb1c9deb857ef01696b406b97dca3a9
    Reviewed-on: https://code.wireshark.org/review/5616
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 646d52e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Dec 3 16:48:48 2014 +0100

    PCEP: Missing break in switch (CID 1247685)
    
    Change-Id: Id001a6c1e116fdabfd51c354832ca68f50e65e7d
    Reviewed-on: https://code.wireshark.org/review/5618
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit a5fe0d4
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Dec 4 10:57:16 2014 +0100

    BT obex: Missing break in switch (CID 1132031)
    
    Change-Id: I6b8fc8db006bc3b8f8f4bac019cb7e240931d3b5
    Reviewed-on: https://code.wireshark.org/review/5619
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit bb00570
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Dec 5 15:46:58 2014 -0800

    Fix some copy-and-pasteos in error messages.
    
    Change-Id: I1fe3434e69a08aae3d7413067275b3d7ee1552f5
    Reviewed-on: https://code.wireshark.org/review/5634
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4510306
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Dec 5 13:14:31 2014 -0800

    Get rid of a trailing blank.
    
    Change-Id: I0cf6d04f5075ba1f064c40f4b39b32b6976b54c7
    Reviewed-on: https://code.wireshark.org/review/5633
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b98c570
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Dec 5 13:04:59 2014 -0800

    Fix varargs handling in col_{add,append}_lstr().
    
    We do multiple va_start() calls using the first string in the list of
    strings; do *not* use the first-string argument to iterate over all the
    argument strings, as that means that only the first va_start() call will
    do the right thing, use a separate variable.
    
    Bug: 10755
    Change-Id: Ic4a6c24f911e335d147883a25d30289628836875
    Reviewed-on: https://code.wireshark.org/review/5630
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 18fabb4
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue Dec 2 09:40:46 2014 -0500

    Strengthen association matching when we haven't seen the INIT/INIT-ACK.
    
    The fact that the vtag matches the initiate tag doesn't mean much if both are 0
    (uninitialized).
    
    Also leave in some (commented-out) debug to make debugging this stuff easier
    in the future.
    
    Change-Id: Id007de8bf9d2d4e0bb18309ed3e2572fedda45f1
    Reviewed-on: https://code.wireshark.org/review/5571
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 0867344
Author: Stephen Fisher <sfisher@sdf.org>
Date:   Thu Dec 4 16:59:43 2014 -0700

    Look for python3 in addition to python in configure script.
    
    Change-Id: I77ff22aabdbbbf7376483b53d8795e7fbf0c0433
    Reviewed-on: https://code.wireshark.org/review/5627
    Reviewed-by: Stephen Fisher <sfisher@sdf.org>

commit d5a4cc3
Author: Stephen Fisher <sfisher@sdf.org>
Date:   Thu Dec 4 13:15:41 2014 -0700

    Make autogen.sh look for "python3" if "python" isn't found before
    giving up.
    
    Change-Id: Id109c78f90da71c54c7b4fd6df20cc153248f46f
    Reviewed-on: https://code.wireshark.org/review/5623
    Reviewed-by: Stephen Fisher <sfisher@sdf.org>

commit 3b7c165
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Dec 4 22:49:42 2014 +0100

    use the same data types as in i2c_phdr
    
    Change-Id: Ic0abcf8173a690a1dc0cd250f5e8770eb92a5aa9
    Reviewed-on: https://code.wireshark.org/review/5626
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 5d95067
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Dec 4 22:38:16 2014 +0100

    simplify dissect_i2c()
    
    Change-Id: I67dd6ae5dc48b297e5c04aba2fe53e3e159d2611
    Reviewed-on: https://code.wireshark.org/review/5625
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 73f48a0
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Dec 4 22:25:39 2014 +0100

    dont't manually throw a ReportedBoundsError if the packet is empty
    use tvb_captured_length() instead of tvb_length()
    
    Change-Id: I7e7efd69515fc3e30c986ac5d9a56b4db1931c10
    Reviewed-on: https://code.wireshark.org/review/5624
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 70ca52c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Dec 4 14:38:35 2014 +0100

    3GPP: upgrade 2G/3G NAS dissector to v12.7.0 and NAS EPS dissector to v12.6.0
    
    Change-Id: I1e5bc5d28cb956b333c302b1cb18335b59d096a8
    Reviewed-on: https://code.wireshark.org/review/5621
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ab3c182
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Thu Dec 4 09:54:08 2014 -0500

    There's no need to talk about update-alternatives here.
    
    Our "make install" process does nothing with 'alternatives'.  Our RPMs do use
    alternatives but they do the necessary update-alternatives stuff already.
    
    (If someone wants to set up Linux "make install"s to use alternatives it would
    make sense to put these notes to the user back in.)
    
    Change-Id: Ib7f4655a222ccaee83830a97b213656856cee73e
    Reviewed-on: https://code.wireshark.org/review/5622
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit b2fcbb2
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Wed Dec 3 22:12:52 2014 -0500

    Add a MIME type for Tektronix rf5 files and register Wireshark for that type of
    file.
    
    The magic matching comes from wiretap/k12.c.
    
    (Yes, I just made the application/x-tektronix-rf5 MIME type up.)
    
    Change-Id: Iafd7300aa7f2664bb06e1330caede10785c21d68
    Reviewed-on: https://code.wireshark.org/review/5607
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit a919566
Author: Steve Karg <skarg@users.sourceforge.net>
Date:   Wed Dec 3 13:30:42 2014 -0600

    BACnet: fix dissection of exception-schedule property.
    
    The exception schedule special-event disection already used matched
    open-close tags and only needed to check for an unmatched close tag
    to exit when used with ReadPropertyMultiple service.
    
    Bug: 10691
    Change-Id: I54f2f6f3f470138a6a88f84c62fd15b07ea74c37
    Reviewed-on: https://code.wireshark.org/review/5593
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit f27c345
Author: Michele Baldessari <michele@acksyn.org>
Date:   Wed Dec 3 20:14:33 2014 +0100

    Add resource-id parsing to the X11 errors that return it
    
    - Rename BadColor to BadColormap as the former does not exist in the X11
      specs
    - Parse the bad resource id field in case of the following errors:
      BadColormap, BadWindow, BadPixmap, BadCursor, BadFont, BadDrawable,
      BadGC and BadIDChoice
    
    Change-Id: I5b23d32189e1a8bb291c656cf6383a85b3e89642
    Reviewed-on: https://code.wireshark.org/review/5592
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit b8a2364
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Dec 4 00:03:03 2014 -0800

    Don't do the desktop integration stuff if we're not building Wireshark.
    
    Wireshark is the desktop app; if we're not building it (i.e., we're only
    building the command-line TShark), we don't need any desktop files.
    
    Change-Id: Id8244b417fd53c9d55b4d77fe3ad748c98868ad7
    Reviewed-on: https://code.wireshark.org/review/5615
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c02417f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Dec 3 23:56:10 2014 -0800

    Don't do all the fd.o desktop integration stuff on OS X.
    
    It doesn't need it, so don't install those files, or uninstall them, or
    suggest running various unnecessary commands after the installation
    finishes.
    
    Change-Id: Ieecab22884723670f47f2fc7cc1ac827f48c1967
    Reviewed-on: https://code.wireshark.org/review/5614
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6e5d84f
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Dec 3 15:22:39 2014 -0500

    Rename some filter names to fix cases of duplicate filter names.
    
    Note: Use of most of these filter names could have caused a Wireshark crash.
    
    Change-Id: I393402a25dd26d174baff77f4706f6d5f43a94ae
    Reviewed-on: https://code.wireshark.org/review/5610
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit f8c0bff
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Dec 3 15:19:36 2014 -0500

    mac-lte: Rename expert filter name to fix conflict with same name in hf[]
    
    Change-Id: I906a195b3c6a1e68f273decc9c443a233af4f9be
    Reviewed-on: https://code.wireshark.org/review/5609
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit d519617
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Dec 3 14:14:53 2014 -0500

    mausb: Rename expert filter names to fix dup filter names.
    
    Change-Id: Id650c3aff6d073b05e844574ffbde8fec4368f49
    Reviewed-on: https://code.wireshark.org/review/5608
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 245bdd1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Dec 3 18:37:50 2014 -0800

    Put a bunch of suggestions in post-install/post-uninstall hooks.
    
    This covers a bunch of commands that might have to be run after "make
    install".  ("might" - none are needed on OS X, for example, as it's a
    different desktop and its dynamic loader doesn't have a cache that you
    have to manually update whenever you install a new shared library.)
    
    Change-Id: I21e1728bdde26a7ab1585fdfb54f63fdc1c25dd6
    Reviewed-on: https://code.wireshark.org/review/5606
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1ffe32b
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Wed Dec 3 16:59:08 2014 -0500

    Fix building of RPMs and get RPM builds working with a prefix other than /usr again.
    
    (Change I567269d8e45e6543d9e39dbedc49830adf7edb9f made the desktop files
    install outside of /usr/share/ .)
    
    RPMs now build and work regardless of the prefix but the desktop integration stuff
    only works if the prefix is /usr or (if you're lucky) /usr/local .
    
    Change-Id: If20e0127a044eac1ba099f959a90d068c4bb2ae5
    Reviewed-on: https://code.wireshark.org/review/5600
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 44e2716
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Wed Dec 3 20:02:04 2014 -0500

    Tell the loader where to find our libraries if we're being installed
    someplace other than /usr .
    
    Change-Id: I42cbe98bcfc0e8ba2aa08f651044db051d31205c
    (cherry picked from commit 25d9695cb3536b672f4cd8bc280e2a3c816a0d8a)
    Conflicts:
    	packaging/rpm/SPECS/wireshark.spec.in
    Reviewed-on: https://code.wireshark.org/review/5605
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit f0bd311
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Dec 3 16:05:29 2014 -0800

    CMake: Don't cache LUA_LIBRARIES.
    
    Don't cache the LUA_LIBRARIES variable. This matches the behavior of the
    other library modules and fixes a compilation problem on my machine
    where /usr/local/lib/liblua.dylib wasn't showing up in the various
    build.make and link.txt files.
    
    Change-Id: Ib75ef303f2e67b266a246621718d0ea2ab885dca
    Reviewed-on: https://code.wireshark.org/review/5603
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 0d20456
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Wed Dec 3 17:54:45 2014 -0500

    Make a note that cmake needs to install the freedesktop integration files too.
    
    Change-Id: I5eeeb2fa32e8f90bc56f0515e0fc9f6c5f88eb79
    Reviewed-on: https://code.wireshark.org/review/5602
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 7ef5abc
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Wed Dec 3 17:05:00 2014 -0500

    Don't run gtk-update-icon-cache when uninstalling the Qt package.  But do run
    it when installing the gnome package.
    
    Change-Id: I0bbd9c0edc3fb6fe0e672aa3dbea5ba23d847d87
    Reviewed-on: https://code.wireshark.org/review/5598
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit c86d1d2
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Dec 3 20:48:08 2014 +0100

    FC: fix dissection when packets are captured with Fibre Channel FC-2 encapsulation type
    
    This is broken since ga9dd765
    
    Bug: 10751
    Change-Id: Id4f282d9e0104bfa2314e2348aedf31233a671bd
    Reviewed-on: https://code.wireshark.org/review/5594
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 0a30f68
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Nov 29 19:00:58 2014 +0100

    start dissecting the stsz box
    
    Change-Id: Ia8fce9307bae33c44d630af403980d162afd88c2
    Reviewed-on: https://code.wireshark.org/review/5597
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 2f39f2e
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Nov 29 18:50:59 2014 +0100

    BOX_TYPE_STZ2
    
    Change-Id: I4eadf2b613b7803c81593e517408631f8375ab2c
    Reviewed-on: https://code.wireshark.org/review/5596
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit ee48194
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Nov 29 12:58:20 2014 +0100

    start dissecting the mvhd box
    
    Change-Id: I66c1973daa89690f6aaa10891408e93e886875ea
    Reviewed-on: https://code.wireshark.org/review/5595
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit b088ca5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Dec 3 11:03:23 2014 -0800

    Squelch some "can't happen in reality" warnings.
    
    (I guess newer versions of GCC/Clang know that dissect_eh_frame() is
    never called with a segment_size of 0, so the loop is traversed at least
    once.  NOTE: if it ever *is* called with a segment_size of 0, then
    that's a genuine bug and needs to be fixed.)
    
    Also, segment_size is used; no need to mark it as unused.
    
    Change-Id: I63b7a580a853b55f22494de73b4c4e6f9a387647
    Reviewed-on: https://code.wireshark.org/review/5591
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit db462ce
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Dec 3 12:57:38 2014 +0100

    Try to please the buildboots by plasing th '#' at the begining of the
    line.
    
    Change-Id: Ie17e83504e7fbccb71190b3fdbfb6ad3507a806e
    Reviewed-on: https://code.wireshark.org/review/5584
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c4602e1
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue Nov 25 15:16:48 2014 +0100

    elf: fix .eh_frame parsing, add expert info for bad CIE length
    
    Fixes, matching LSB 4.1[1] and the AMD64 ABI[2]:
     - Multiple CIE entries can exist after the first one. Introduce a CFI
       subtree and add CIE and FDE records below it. Merge comon parsing
       functionality of CIE/FDE. A CIE terminator is treated specially, and
       added instead of a CFI subtree.
     - Validate the header length before using it to avoid a dissector
       assert. This condition is triggered by a binary produced by a buggy
       gold linker[3].
     - Add two expert items: one to detect an invalid CIE length (too small
       or too large) and one to detect a segment which is larger than the
       CFI records (to catch the gold linker bug[3] where the segment begins
       with zeroes).
     - Do not overload the elf.eh_frame.length field with the value of the
       Extended Length, instead use elf.eh_frame.extended_length (likewise
       for FDE).
     - Stop tracking the subsection size with another variable
       (remaining_length), just store the end of the entry.
     - Fix typos in descriptions, improved / shortened field descriptions.
    
    Tested with the 'bad' and 'good' binary from bug 10726 as well as the
    'a' binary from bug 8818 (which introduced this code). Decodes properly.
    
     [1]: https://refspecs.linuxfoundation.org/LSB_4.1.0/LSB-Core-generic/LSB-Core-generic/ehframechpt.html
     [2]: http://www.x86-64.org/documentation/abi.pdf
     [3]: https://sourceware.org/bugzilla/show_bug.cgi?id=17639
    
    Bug: 10726
    Change-Id: I523600b8141bd8953ae468051a57357ab199a258
    Reviewed-on: https://code.wireshark.org/review/5488
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit c69ccab
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Dec 3 01:06:02 2014 -0800

    Install the other desktop files with "make install" as well.
    
    (And remove them with "make uninstall".)
    
    Change-Id: I76b554bf1a1272813d61c8d2c96cda0a152eebb5
    Reviewed-on: https://code.wireshark.org/review/5582
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 08c0247
Author: Maarten Bezemer <maarten.bezemer@gmail.com>
Date:   Fri Nov 28 16:53:04 2014 +0100

    Support dissecting REAL (BER) data values
    
    Both exponent and 'integer N' values are limited:
     * max exponent is 3 octets/24-bits
     * max integer N is 8 octets/64-bit
    
    Tested with zero value/length, integers, doubles, positive and negative numbers all using the Basic Encoding Rules (BER)
    
    Change-Id: If92e1b3e209c42909b8cb76e6f50b8e6cd1da0da
    Reviewed-on: https://code.wireshark.org/review/5527
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e55fe95
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Dec 3 09:55:08 2014 +0100

    Make dissect_sip_tcp() a new style dissector.
    
    Change-Id: I773f6738b3ed507e1ce031ee308d16de4bdeb7d4
    Reviewed-on: https://code.wireshark.org/review/5580
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fb0999a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Dec 3 00:21:59 2014 -0800

    Use $(srcdir) when installing image/wsicon.svg.
    
    We're not necessarily running from the top-level source directory.
    
    Change-Id: I0bb815275f85630e5316bf593f4ac098d9475308
    Reviewed-on: https://code.wireshark.org/review/5579
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d6d55b2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Dec 3 00:18:01 2014 -0800

    Uninstall the icons with "make uninstall".
    
    Just in case not all shells expand {list}, create the apps/icons and
    apps/mimetypes directories separately; that makes it a bit clearer in
    any case.
    
    Change-Id: I25b3426a17a2ca7e1ce3ce1f7f9e1c650db511a7
    Reviewed-on: https://code.wireshark.org/review/5578
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b5a52ee
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Dec 2 22:21:13 2014 -0800

    Get rid of trailing blank.
    
    Change-Id: Ia0eecbbe1ff1778d5c34338e042c0518895663b4
    Reviewed-on: https://code.wireshark.org/review/5577
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit cff44e5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Dec 2 22:19:01 2014 -0800

    Always install icons, and install them under $(datadir).
    
    We always install them because of bug 10737.
    
    We install them under $(datadir) because that's where we should install
    our data - if your desktop environment can't find the icons there,
    either it's broken (file a bug) or misconfigured (fix the configuration
    or, if you didn't configure it, file a bug).
    
    Bug: 10737
    Change-Id: I567269d8e45e6543d9e39dbedc49830adf7edb9f
    Reviewed-on: https://code.wireshark.org/review/5576
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c681091
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Dec 2 17:34:29 2014 -0500

    Fix instances of duplicate display-filter-names with incompatible types.
    
    Change-Id: I3b5afb8a59f6443624708b9fecfdcbe93dad59ef
    Note: Some of the filters, when/if used, could have caused Wireshark crashes.
    Reviewed-on: https://code.wireshark.org/review/5575
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 43e759e
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Dec 2 22:18:55 2014 +0100

    L2TP: add dissection of H bits
    
    As requested in https://ask.wireshark.org/questions/38280/l2tp-dmpt-header-h-bit
    
    Change-Id: If6cb61c720505e547432e87faf2a36bb4ec6e7c5
    Reviewed-on: https://code.wireshark.org/review/5574
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 5abfc60
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Dec 2 16:09:26 2014 +0100

    Couchbase: fix missing comma...
    
    Change-Id: Ic86e07b434e693d2f0fbd9518a23ed49cf49f24d
    Reviewed-on: https://code.wireshark.org/review/5572
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit d5aa8a4
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Dec 2 15:32:34 2014 +0100

    Couchbase: fix Extended value string 'opcode_vals' forced to fall back to linear search
    
    entry 85, value 128 [0x80] < previous entry, value 245 [0xf5]
    
    Change-Id: I14bbe276eef5fdaa70561764ac4e6f2e174ceabe
    Reviewed-on: https://code.wireshark.org/review/5570
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit f6a4f32
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Dec 1 15:00:13 2014 +0100

    cms: Handle media_type pkcs7-mime and pkcs7-signature
    
    Change-Id: I7db4e67ffe99a9f3b41d0b507d9837e0237d4547
    Reviewed-on: https://code.wireshark.org/review/5558
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 077b45e
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Dec 1 15:13:25 2014 +0100

    imf: Added base64 content encoding support
    
    Change-Id: I668b9c3dfcac83c698e83d4111af8bd19ec8076c
    Reviewed-on: https://code.wireshark.org/review/5559
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 485399a
Author: Sergey Avseyev <sergey.avseyev@gmail.com>
Date:   Tue Nov 18 21:11:22 2014 +0300

    Update Couchbase dissector
    
    * Include DCP port to the list default ports
    * Parse payloads for DCP commands:
      * OPEN_CONNECTION
      * ADD_STREAM
      * STREAM_REQUEST
    * Reorganize if conditions to cases
    * Update list of known commands
    
    Change-Id: Id37b5c61f0d1084628c6286fd6e4ad722e1d6d99
    Reviewed-on: https://code.wireshark.org/review/5388
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Sergey Avseyev <sergey.avseyev@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9c05b7f
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Dec 2 12:53:46 2014 +0100

    Make it possible to register an OID dissector to dissect
    ManagementExtension.
    
    Change-Id: I52c626b0d7a63214ccecf13d62e0a2850c2dee07
    Reviewed-on: https://code.wireshark.org/review/5569
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 987383d
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Dec 1 17:21:41 2014 +0100

    6LoWPAN: use manually managed memory for the stateful address decompression preferences
    
    Bug: 10747
    Change-Id: I9d1b7ce2782f7cd133ab3ba02b0dd43afab3e145
    Reviewed-on: https://code.wireshark.org/review/5560
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit f260f9a
Author: Matthieu Texier <matthieu@texier.tv>
Date:   Mon Dec 1 23:48:44 2014 +0100

    BGP: Incorrect decoding AS numbers when mixed AS size
    
    Fix AS Path Heuristic
    
    Issue reported by Jon
    
    Bug: 10742
    Change-Id: Ie5e4108bd93464a2d1076dcc4f322171ea8e68cb
    Reviewed-on: https://code.wireshark.org/review/5564
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 5eec6bb
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Dec 1 14:57:07 2014 +0100

    multipart: Handle multipart/signed
    
    Change-Id: I39742dcce79fc41344c64e5266304c8c120aeb7c
    Reviewed-on: https://code.wireshark.org/review/5557
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 325014a
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Dec 1 14:47:02 2014 +0100

    multipart: Don't include boundary in preamble.
    
    Change-Id: I2d2fd28462b974e4ad656e36f2562633d0743962
    Reviewed-on: https://code.wireshark.org/review/5556
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9441909
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Dec 1 23:08:50 2014 -0500

    dftest: load plugins so plugin display filters can also be tested.
    
    Change-Id: Ideab88b525cf58b05502f11fb1cf0f58b2864c42
    Reviewed-on: https://code.wireshark.org/review/5566
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit d643325
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Dec 1 12:13:03 2014 -0500

    alljoyn: Rename some filters; Fix some filter types.
    
    Details:
     - Rename various "alljoyn.header..." display filter
        names releated to the alljoyn "message header"
        to "alljoyn.mess_header..." to distinguish
        the fields from actual alljoyn "header" fields.
        This also fixes the duplicate use of the display
        filter name "alljoyn.header".
     - Don't use FT_PROTOCOL for a field type.
    
    Change-Id: Id4e78f36716cf6064638aecd5faf561bcbc88b46
    Reviewed-on: https://code.wireshark.org/review/5561
    Petri-Dish: Bill Meier <wmeier@newsguy.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Joe Huffman <jhuffman@codeaurora.org>
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 05c1aa2
Author: Yann Lejeune <ylejeune@netyl.org>
Date:   Mon Dec 1 19:08:31 2014 +0100

    BGP: fix dissection of BGP community tag
    
    The offset used for BGP community tag dissection is a wrong one.
    
    Bug: 10746
    Change-Id: I1d1d443568bb97a0b3b95a312762ac0a3102326a
    Reviewed-on: https://code.wireshark.org/review/5562
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 6d207fe
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Nov 24 10:10:12 2014 -0500

    Remove private_data member from packet_info structure.
    
    Dissectors should pass data directly to their subdissectors through the data parameter (of new-style dissectors). This avoids unintentional "trampling" from other dissectors trying to "share" private_data member.
    
    Change-Id: I2efef5c8dfeef64588ba3ac6e695b469238c6468
    Reviewed-on: https://code.wireshark.org/review/5487
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e77507b
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Dec 1 00:18:41 2014 -0500

    Use proto_tree_add_bitmask for groups of proto_tree_add_boolean.
    
    Part 3 of many, but this concludes the strict conversion to proto_tree_add_bitmask.  Patches to follow with use proto_tree_add_bitmask_xxx (some functions still need to be written)
    
    Change-Id: Ic2435667c6a7f1d40602124e5044954d2a296180
    Reviewed-on: https://code.wireshark.org/review/5553
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 542439e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Dec 1 10:29:29 2014 +0100

    SNA: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I7a491488e67890c6cde98beec6a4935b10505afb
    Reviewed-on: https://code.wireshark.org/review/5555
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0415df8
Author: Marko Hrastovec <marko.hrastovec@gmail.com>
Date:   Mon Dec 1 09:43:26 2014 +0100

    Asterix: fix Coverity scan (1025624 & 1025625: Missing break in switch)
    
    
    Two comments are added to the code to notify Coverity scan that breaks are not put in switch statement intentionally.
    
    Change-Id: Ie391790ee7365da56ddf0bf7b19042c9a11efddd
    Reviewed-on: https://code.wireshark.org/review/5554
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 4f9af86
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Nov 30 12:51:30 2014 -0500

    Use proto_tree_add_bitmask for groups of proto_tree_add_boolean.
    
    Part 2 of many
    
    Change-Id: I50815e7738b011382392f3078a7107d3d9eec4ec
    Reviewed-on: https://code.wireshark.org/review/5542
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 86c659c
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Nov 30 15:53:45 2014 -0500

    Improve checkfiltername.pl for pre-commit script.
    
    1. Bugfix grep statement checking if file is "autogenerated"
    2. Add to the list of "whitelist" duplicates.  Many more were found after #1 was changed.
    
    Change-Id: Idea764c0c8b5fa4f30c9acaab9ba10340834d4f5
    Reviewed-on: https://code.wireshark.org/review/5547
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 90977c7
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Nov 30 16:17:26 2014 -0500

    Update display filter names per checkfiltername.pl
    
    Change-Id: I7694a6f8d8ccec3109fb86ccefee5798de57757d
    Reviewed-on: https://code.wireshark.org/review/5548
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit cd14ff3
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat Nov 29 19:32:30 2014 +0100

    qt: use qstring_strdup
    
    Replaces the more verbose `g_strdup(foo.toUtf8().constData())` by
    `qstring_strdup(foo)`. While at it, plug a minor memleak in
    MainWindow dialogs.
    
    Change-Id: I32b53f972b4e3998ac9beabd98647a381b7b42e3
    Reviewed-on: https://code.wireshark.org/review/5531
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 0cf2f74
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 30 17:03:20 2014 -0800

    Squelch another compiler warning.
    
    Change-Id: Ib79bb30e67dacdda2e87f39438c4a836632d55bd
    Reviewed-on: https://code.wireshark.org/review/5552
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit cc0b083
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 30 17:00:04 2014 -0800

    Squelch a compiler warning.
    
    Change-Id: Ic904f9b8551353192e872cb896f198572da83e27
    Reviewed-on: https://code.wireshark.org/review/5551
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ff18b35
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 30 16:57:09 2014 -0800

    Fix compile error.
    
    Change-Id: I858248e252a09f4348e7ab88bef81c8452f39051
    Reviewed-on: https://code.wireshark.org/review/5550
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 18f0109
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat Nov 29 19:29:26 2014 +0100

    qt: fix use-after-free pattern
    
    qstring.toUtf8() returns a QByteArray object and .constData() returns
    a pointer inside that object. It is not safe to store this pointer as
    it will become invalid after the statement. Store a const reference
    instead. (Due to scoping differences, some are copy-assigned though.)
    
    In the UAT dialog, strlen(bytes.constData()) has also been replaced by
    bytes.size() as an optimization.
    
    Caught by ASAN.
    
    Change-Id: Ie09f999a32d0ef1abaa1e658b9403b74bedffc37
    Reviewed-on: https://code.wireshark.org/review/5528
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 846bb53
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 30 16:30:19 2014 -0800

    Add a Buffer to wtap_pkthdr to hold file-type-specific packet metadata.
    
    For example, this can be used for pcap-ng options not mapped to
    file-type-independent metadata values.
    
    Change-Id: I398b324c62c1cc1cc61eb5e9631de00481b4aadc
    Reviewed-on: https://code.wireshark.org/review/5549
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 35b1bc5
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Nov 30 20:29:34 2014 +0100

    win32: use target file format when checking if it supports comments
    
    Bug: 10656
    Change-Id: Ib74f213630d6d382118c09b3cbf998b28cbc045e
    Reviewed-on: https://code.wireshark.org/review/5544
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 6c7af1d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 30 11:27:18 2014 -0800

    Change some names to make them the same in multiple lists.
    
    Change-Id: I20ca39f69052b4134147577ae5be74c05b4d5e48
    Reviewed-on: https://code.wireshark.org/review/5543
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 10046cc
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Nov 30 08:05:01 2014 -0800

    [Automatic manuf, services and enterprise-numbers update for 2014-11-30]
    
    Change-Id: I582091ce31fdd9e961b1000c2b58ef6cb2adca0d
    Reviewed-on: https://code.wireshark.org/review/5539
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 090a046
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Nov 29 16:57:20 2014 -0800

    Update to reflect current reality.
    
    Change-Id: I6defd7ffe92e9e07f4ff41166449d5a086800846
    Reviewed-on: https://code.wireshark.org/review/5538
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e28a847
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Nov 29 15:01:34 2014 -0800

    Fix tfshark.c to match changes to epan/print.[ch].
    
    Change-Id: I765cd0dbb5451b578ccabd221afc477a6559e60c
    Reviewed-on: https://code.wireshark.org/review/5537
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 81ab601
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Nov 29 14:43:22 2014 -0800

    Clean up routine names, don't pass capture_file into libwireshark.
    
    Give all routines in epan/print.c that write a particular format a name
    beginning with write_{formatname}.
    
    If routines write columns, rather than the raw protocol tree, don't give
    it a name containing proto_tree.
    
    Get rid of empty preamble/finale routines.
    
    For CSV, the preamble routine writes out column titles, so call it
    write_csv_column_titles().
    
    For C arrays, the body routine writes out raw hex data, so call it
    write_carrays_hex_data().
    
    capture_file isn't a structure defined by libwireshark, so don't make it
    an argument passed into libwireshark.
    
    Change-Id: I5a7e04de9382cf51a59d9d9802f815b8b3558332
    Reviewed-on: https://code.wireshark.org/review/5536
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 05516b0
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 29 15:41:12 2014 -0500

    Use proto_tree_add_bitmask for groups of proto_tree_add_boolean.
    
    Part 1 of many
    
    Change-Id: I77a5789ac23388e6a5f8098dc398592f39638124
    Reviewed-on: https://code.wireshark.org/review/5532
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e399382
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sat Nov 29 17:01:30 2014 -0500

    Rename some hf[] display filter names to fix dups.
    
    Change-Id: Ibe932bc37e03194f1801ec4eed4da1ff31370de3
    Reviewed-on: https://code.wireshark.org/review/5535
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 1aeab74
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sat Nov 29 17:00:07 2014 -0500

    ieee80211; Rename some hf[] display filter names to fix dups and for clarity.
    
    Change-Id: Ibcca2d7f85130b4a5a74808d88735513cfc0b580
    Reviewed-on: https://code.wireshark.org/review/5534
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 785ef83
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Nov 29 07:26:42 2014 +0000

    Revert "Add QNX' QNET protocol"
    
    This reverts commit 72b91a56f86e3bbab700900366f81dc8c353b91d.
    
    value_string_ext tables ***MUST*** be sorted numerically, otherwise the code prints warnings such as the ones in
    
        http://buildbot.wireshark.org/trunk/builders/Ubuntu%2014.04%20x64/builds/1419/steps/test.sh/logs/stdio
    
    Fix this and resubmit.
    
    Change-Id: I448025bb7b19a607e992831202ed31d243ce70d8
    Reviewed-on: https://code.wireshark.org/review/5530
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1429986
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 28 23:10:44 2014 -0800

    Sadly, index() was the name of a routine in V7, so....
    
    Change-Id: Id83899de08e0ad8e5664dddfb6ca268e7d0bd54d
    Reviewed-on: https://code.wireshark.org/review/5529
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 72b91a5
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jun 17 17:03:11 2014 +0200

    Add QNX' QNET protocol
    
    no ethertype 0x8203-0x8205 support in trunk.
    0x8204 is QNX OS VER 6's qnet ethernet protocol number.
    
    Bug:3934
    Change-Id: I5f3e910876bb7fb86de2111f856d026fdf220917
    Reviewed-on: https://code.wireshark.org/review/2954
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8e17fd6
Author: cbontje <cbontje@gmail.com>
Date:   Thu Nov 20 15:13:37 2014 -0700

    Add optional user Fast SER preference for SEL Fast Message Protocol
    
    * Also cleanup description of remaining preferences
    
    See Bug 10719
    
    Change-Id: I81faba77d8b88b24c65156f5139067233869154b
    Reviewed-on: https://code.wireshark.org/review/5416
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ca95800
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Nov 27 16:23:58 2014 +0100

    Endpoint: wrong filter when select a TCP endpoint (INVALID == a.x.y.z ...)
    
    Change-Id: If56209f1274245f54100d0acfaf14098c8df4582
    Reviewed-on: https://code.wireshark.org/review/5520
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit f1b37bc
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Nov 27 12:29:13 2014 +0100

    Endpoint: wrong filter when select a UDP endpoint (INVALID == a.x.y.z ...)
    
    Change-Id: Ie46d6c201df0b0164a8bf96c02d6430734fd2948
    Reviewed-on: https://code.wireshark.org/review/5518
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 3355ed6
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue Nov 25 19:40:12 2014 +0100

    elf: fix FDE Count formatting
    
    Displays the FDE Count as a number, not a series of bytes.
    
    Change-Id: I60dd426cb5305a5001a8200578008b7c4a99c64e
    Reviewed-on: https://code.wireshark.org/review/5489
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit e8cda3b
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Nov 25 23:14:50 2014 +0100

    TCP: move Windows Scaling and SCPS checks after options decoding
    
    This was changed in g8881f3f in an attempt to avoid throwing an exception when decoding the options field
    
    Bug: 10514
    Change-Id: Ia4b49f484d6255090c5a6e425a9716b48ccc4cb5
    Reviewed-on: https://code.wireshark.org/review/5495
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit afcdff0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Nov 27 11:11:18 2014 +0100

    Endpoint dialog (Qt): Add missing text to translate
    
    Change-Id: I375b348b6d6e35c212f76fc73135990a93560a75
    Reviewed-on: https://code.wireshark.org/review/5517
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a67d0d2
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Nov 27 22:33:22 2014 -0500

    Eliminate proto_tree_add_text from packet-sna.c.
    
    Also convert many of the proto_tree_add_boolean calls into proto_tree_add_bitmask.
    
    Change-Id: I1fb2f943abed28434a2aadc48eb7e9ffb766f463
    Reviewed-on: https://code.wireshark.org/review/5523
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3f85761
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Nov 26 20:08:07 2014 +0100

    RADIUS: Sync with FreeRADIUS Master
    
    commit 30dac6d3dc87aaaa9c29ecdb33874fa57c2bcbc6
    Author: Alan T. DeKok <aland@freeradius.org>
    Date:   Tue Nov 25 16:45:45 2014 -0500
    
        as found on the net
    
    commit ee79c59d3a1cae76fcb1940710d9a0f7fbdf8427
    Author: Arran Cudbard-Bell <a.cudbardb@freeradius.org>
    Date:   Thu Nov 13 17:39:46 2014 -0500
    
        Add memcached rlm_cache_driver
    
    commit 6277960bc830891123b00400af56912e51d4d311
    Author: Alan T. DeKok <aland@freeradius.org>
    Date:   Tue Oct 28 17:01:49 2014 -0400
    
        Add FreeRADIUS-Response-Delay-USec
    
    Change-Id: I705d0e852d38eaace4f71cfc0a38ecdd41c0b58f
    Reviewed-on: https://code.wireshark.org/review/5510
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8839d7b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Nov 27 16:07:16 2014 -0800

    Make the ENTTEC dissector reject packets that don't look like ENTTEC packets.
    
    This should avoid questions like
    
    	https://ask.wireshark.org/questions/38198/what-is-enttec-in-a-pcap-file
    
    It also splits DMX-over-UDP and DMX-over-TCP into separate dissectors,
    as
    
    	1) DMX-over-TCP has only config packets, DMX-over-UDP has the
    	   others;
    
    	2) that would let us do reassembly, if necessary, for
    	   DMX-over-TCP.
    
    Change-Id: I2606c814693028c7ba2bbc458e45c853372baaf3
    Reviewed-on: https://code.wireshark.org/review/5522
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a30f3d5
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Nov 26 16:38:30 2014 +0100

    Qt: Add long option for -R (--read-filter) and -Y (--display-filter)
    
    Change-Id: Id535c04493f6c6df88006d922ee43cff9f4b70a1
    Reviewed-on: https://code.wireshark.org/review/5507
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit b4b6a5d
Author: Enrico Jorns <ejo@pengutronix.de>
Date:   Fri Sep 26 12:07:03 2014 +0200

    canopen: LSS dissection
    
    Dissection of Layer setting services (LSS) sub-protocol
    according to CiA 305.
    
    Change-Id: I24ca1827b25c30a672fb31cad390b3c1486102f4
    Reviewed-on: https://code.wireshark.org/review/5516
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 608d83c
Author: Maarten Bezemer <maarten.bezemer@gmail.com>
Date:   Thu Nov 27 11:24:40 2014 +0100

    LEX and YACC are required
    
    When building both LEX (flex) and YACC (bison or yacc) are required to generate C files from l(ex) and y(acc) files
    
    Change-Id: I8892a05eb437d0bef613b68f681225df2cb2c6b4
    Reviewed-on: https://code.wireshark.org/review/5515
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 121d9ae
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Nov 27 00:15:24 2014 -0800

    Note that this document is a bit old.
    
    Change-Id: Ie9a45acf1d3bc116d73b6430b058ffdcabead42b
    Reviewed-on: https://code.wireshark.org/review/5514
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4469346
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Nov 26 20:41:16 2014 -0500

    Fix a number of dup hf[] filter-names probably mostly resulting from cut/paste errs
    
    Change-Id: Id658b9e1803b2f5b92e711a3ce981ff602333d98
    Reviewed-on: https://code.wireshark.org/review/5513
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit c28f280
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Nov 26 18:18:57 2014 -0500

    Fix a number of dup hf[] filter-names probably resulting from cut/paste errs.
    
    Change-Id: I9242300b2ace3155c1506b584a90f073100a305e
    Reviewed-on: https://code.wireshark.org/review/5512
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit cc893ab
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Nov 26 23:01:48 2014 +0100

    XML: pass XML structure to caller through p_(add|get)_proto_data functions
    
    Since ge3a04bb data parameter is used for the media-type string
    
    Bug: 10729
    Change-Id: I3df640079a8bf57f4bd86a1baa08cbf9a3a7e1b3
    Reviewed-on: https://code.wireshark.org/review/5511
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c2913d2
Author: Enrico Jorns <ejo@pengutronix.de>
Date:   Thu Sep 25 12:53:26 2014 +0200

    canopen: Enhanced SDO decoding
    
    * Move sdo dissection to separate function
    
      Added dissect_sdo() function to handle the more complex SDO dissection.
    
    * SDO command specifier decoding
    
      Decoding of both client and server command specifier for SDO transfers
      according to CiA 301 Chaper 7.2.4.3.
    
      Note: Fully decoding block transfer frames is more complex and not supported
      yet.
    
    * basic SDO abort code decoding
    
      SDO abort codes as specified in CiA 301 Chapter 7.2.4.3.17 (Table 22).
    
    * Basic value ranges for object dict index parameter
    
      Object dict ranges as specified in CiA 301 7.4.1 (Table 41)
    
    * cs-based multiplexer and data decoding
    
      A data width of 4 byte is valid only for expedited transfer and a
      multiplex value is present only in initialisation messages.
    
      This patch now handles also normal sdo segment data.
    
      Reference: CiA 301, Chapter 7.2.4.3.3 and 7.2.4.3.6
    
    Change-Id: I37005894082d62eed1ddd85e09e3676aa3af8222
    Reviewed-on: https://code.wireshark.org/review/5504
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit d77c5a5
Author: Stephen Fisher <sfisher@sdf.org>
Date:   Wed Nov 26 10:09:03 2014 -0700

    Update the URL for the CPUID instruction documentation.
    
    Change-Id: I9729b3aa11027783a3557468743e91e180a6de8d
    Reviewed-on: https://code.wireshark.org/review/5509
    Reviewed-by: Stephen Fisher <sfisher@sdf.org>

commit a159ced
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Nov 26 15:20:27 2014 +0100

    WCCP: Remove uneeded check (pinfo & info_tree)
    
    Remove also some false positive Dereference of null pointer
    
    Change-Id: I09687993531827c6e4f5178f3414ddd9a2702038
    Reviewed-on: https://code.wireshark.org/review/5506
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit a2c2f87
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 22 16:15:17 2014 -0500

    Remove the use of pinfo->private_data from dissectors that just save it to restore it.
    
    Change-Id: I13197cc48068bb35ee12a7023cfe5f76bbc4e264
    Reviewed-on: https://code.wireshark.org/review/5486
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 449bc19
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Nov 22 12:58:43 2014 +0100

    Qt: support the -R option to set a read filter on the command line
    
    rename display_filter to read_filter in some places to make it clear
    what it's used for
    
    modify MainWindow::openCaptureFile() so that a read filter can be set
    when the file name is passed in cf_path, not only when it's chosen from
    a file selection dialogue
    
    don't display the read filter string in the filter toolbar
    
    Change-Id: Ie8dc94cbd1ff7e61ce1e2a55518a28297daa5d51
    Reviewed-on: https://code.wireshark.org/review/5446
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 691f647
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Nov 26 13:36:03 2014 +0100

    [MGCP] When changing tvb_length(tvb) -> tvb_reported_length(tvb) it turns
    out that tvb_new_subset(tvb, tvb_sectionbegin, sectionlen, -1) causes a
    problem as reported_length is set to -1, set it to sectionlen.
    
    Change-Id: I650d3fa1390be5add66ed44d0f70929b9eb0aad6
    Reviewed-on: https://code.wireshark.org/review/5505
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ab8cad28
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 22 11:54:54 2014 -0500

    Remove sccp_info member from packet_info structure.
    
    sccp_msg_info_t* is now passed from SCCP dissector to its subdissectors through dissector data parameter.
    
    Change-Id: Iab4aae58f8995e844f72e02e9f2de36e83589fc0
    Reviewed-on: https://code.wireshark.org/review/5442
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7c47503
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Nov 25 13:49:12 2014 -0500

    openflow: Use (what appear to be the) correct filter names for a few fields.
    
    Change-Id: I2acd93d99942601b34c85177d21bbc2c4a4e2633
    Reviewed-on: https://code.wireshark.org/review/5492
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5464bc6
Author: Enrico Jorns <ejo@pengutronix.de>
Date:   Thu Oct 2 16:09:38 2014 +0200

    canopen: Improve NMT error control and SYNC message dissection
    
    1.  Also show Reserved/Toggle bit of NMT error control
    
      In case of the node guarding protocol this bit is used as a toggle bit.
      In case of the hearbeat protocol this bit is reserved.
    
      Reference: CiA 301 (rev 4.2.0), Chap. 7.2.8.3.2
    
    2. Show optional 'counter' parameter of SYNC messages if available
    
      Reference: CiA 301 (rev 4.2.0), Chap. 7.2.5.3.1
    
    Change-Id: I5dc0ab65e95fec4846a9c8bd8972ef2eba664ee2
    Reviewed-on: https://code.wireshark.org/review/5484
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a559f2a
Author: Evan Huus <eapache@gmail.com>
Date:   Tue Nov 25 20:27:07 2014 -0500

    dec-dnart: use pinfo-scoped memory for addresses
    
    They may be accessed during the print phase, at which point packet-scope memory
    has already been freed.
    
    Bug: 10724
    Change-Id: Ifcf5fc0c0857614edf85349b12dfe605abf6fef7
    Reviewed-on: https://code.wireshark.org/review/5497
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit e843c67
Author: Evan Huus <eapache@gmail.com>
Date:   Tue Nov 25 20:16:05 2014 -0500

    wccp: use pinfo-scope memory for addresses
    
    They may be accessed during the print phase, at which point packet-scope memory
    has already been freed.
    
    Bug: 10720
    Change-Id: Ia2b160fd9de4ccaa3a4b8d9cb70fb9b32d4e08a0
    Reviewed-on: https://code.wireshark.org/review/5496
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 85ca1cf
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Nov 25 12:39:53 2014 +0100

    conversation_table: fix indent (use 4spaces) and add modelines info
    
    Change-Id: I76784f0252dcd095a3016ed014632e2a5c09265b
    Reviewed-on: https://code.wireshark.org/review/5483
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit f449be8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Nov 25 12:37:59 2014 +0100

    conversation_table: fix warning when generate documentation (doxygen)
    
    epan/conversation_table.h:335: warning: The following parameters of add_hostlist_table_data(conv_hash_t *ch, const address *addr, guint32 port, gboolean sender, int num_frames, int num_bytes, hostlist_dissector_info_t *host_info, port_type port_type_val) are not documented:
      parameter 'host_info'
      parameter 'port_type_val'
    
    Change-Id: I6c3b29750c856eb2665981553fcb8eecd8fe34ee
    Reviewed-on: https://code.wireshark.org/review/5482
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 2ebaa59
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Nov 24 14:51:13 2014 -0600

    Consolidate sequence analysis code.
    
    Move scattered code for seq_analysis_info_t creation and destruction to
    tap-sequence-analysis.[ch].
    
    Change-Id: I87c14b1c83105a48d0ab149a3abba71e2a2fe21f
    Reviewed-on: https://code.wireshark.org/review/5479
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5b360a9
Author: Yaniv Kaul <mykaul@gmail.com>
Date:   Tue Nov 25 21:24:23 2014 +0100

    SCSI: type and scope fields are ignored in some SCSI persistent reserve service actions
    
    Bug: 10727
    Change-Id: Id34f57b2a0b89867eec1b0a13db2eba037835804
    Reviewed-on: https://code.wireshark.org/review/5493
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit e2ef6c4
Author: Stephen Fisher <sfisher@sdf.org>
Date:   Tue Nov 25 14:44:03 2014 -0700

    Add on to the dummy.cpp hack that forces wireshark to be linked with a
    c++ compiler to automatically create a dummy.cpp file and remove it when
    make clean is issued.  This allows make tags to work again since the
    file isn't missing.
    
    Change-Id: I17191ad2acc281734fa12da4d347fd3116018f67
    Reviewed-on: https://code.wireshark.org/review/5494
    Petri-Dish: Stephen Fisher <sfisher@sdf.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stephen Fisher <sfisher@sdf.org>

commit e2132f9
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Nov 25 00:43:06 2014 -0500

    openflow: Minor changes
    
    - Remove unneeded/undefined forward declarations;
    - Create/use some extended value-strings;
    - Do some whitespace changes.
    
    Change-Id: I7961864f0e404e141d2887584751116011f8d941
    Reviewed-on: https://code.wireshark.org/review/5490
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 2015398
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Nov 25 12:53:43 2014 -0500

    proto.c: proto_registrar_dump_values(): don't skip "same name" fields.
    
    It appears that Wireshark allows (and currently has) fields with the
    same name with differing "strings" content.
    
    Change-Id: Iddac5a2c9f456a97ea676f2007f43d786482eebd
    Reviewed-on: https://code.wireshark.org/review/5491
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 152b0c9
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 22 19:24:06 2014 -0500

    Remove support for pinfo->private_data in "data-text-lines", "data-l1-events" and "urlencoded-form" dissectors.  Data must be passed from parent through dissectors data parameter.
    
    Change-Id: I24ab56ce7d99f8ed670f4a50453223d4e6a46983
    Reviewed-on: https://code.wireshark.org/review/5463
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e3a04bb
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 22 20:47:59 2014 -0500

    Ensure dissector data parameter is used instead of pinfo->private_data when passing data between dissectors using the "media_type" subdissector.
    
    Change-Id: I82cbfed770b41404bc42cb6a4413db07d04dffdc
    Reviewed-on: https://code.wireshark.org/review/5462
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7f22ce7
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Nov 24 19:50:11 2014 +0100

    pre-commit tools: Add arg option to specify the commit id to be checked
    
    If no commit id specify, it is HEAD
    
    Thanks to Michal for the help :-)
    
    Change-Id: Ibf579aed47c7574f9a01d868ae0d55bbe789a8a2
    Reviewed-on: https://code.wireshark.org/review/5474
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit b01ff09
Author: Enrico Jorns <ejo@pengutronix.de>
Date:   Tue Nov 25 10:08:05 2014 +0100

    canopen: Fixed tree expansion
    
    Previously the COB-ID and Type subtree also used the main ett_canopen
    variable. This made control of subtree expansion impossible as both
    parent and subtree nodes shared the same state.
    
    Change-Id: I3dabf7f399e83bfcfbf78bc0e633e3696776c043
    Reviewed-on: https://code.wireshark.org/review/5480
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c39776c
Author: Stephen Fisher <sfisher@sdf.org>
Date:   Mon Nov 24 12:01:46 2014 -0700

    Remove unused ui_simple_dialog.h from qt Makefile.common
    
    Change-Id: I366a52a037462cb059565365ea1eec5be228078f
    Reviewed-on: https://code.wireshark.org/review/5475
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a600ef6
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 22 18:17:20 2014 -0500

    Have media dissector take its "media type parameter" from dissector data parameter instead of pinfo->private_data.
    
    Change-Id: I0a0cb0b4838bc4e55a759fb6031355892c220c8e
    Reviewed-on: https://code.wireshark.org/review/5461
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 518bb10
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Nov 24 10:26:00 2014 -0500

    Remove use of pinfo->private_data since it's not used anywhere.
    
    Change-Id: Ibb47fd1a0d498cc9791ca31ee625395905a7e999
    Reviewed-on: https://code.wireshark.org/review/5464
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 392dae5
Author: Joe Fowler <fowlerja@us.ibm.com>
Date:   Tue Nov 18 13:13:46 2014 -0500

    Add new dissector for Shared Memory Communications over RDMA protocol (SMC-R)
    
    RFC draft http://www.ietf.org/id/draft-fox-tcpm-shared-memory-rdma-05.txt
    used as reference for packet dissection.
    
    A small change was made to packet-infiniband, to add the Queue Number to the
    info column.  This allows for easy indentification of session traffic for a
    particular QP.
    
    Also: infiniband: tvb_length() --> tvb_captured_length()
    
    Bug: 10715
    Change-Id: I774ceffaa5c271cb6a28ab4ed21e53cd42f2547b
    Reviewed-on: https://code.wireshark.org/review/5386
    Petri-Dish: Bill Meier <wmeier@newsguy.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 363b87a
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Nov 22 11:59:50 2014 +0100

    Qt: support the -Y option to set an initial display filter
    
    Change-Id: I7627265b876c6994b163df1c5b037f4dae2f6d42
    Reviewed-on: https://code.wireshark.org/review/5445
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit e899c3e
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Nov 23 23:06:34 2014 -0500

    Eliminate proto_tree_add_text from some dissectors.
    
    Change-Id: Iadd80aab291e5de714891a9f3c79edeca19e9b93
    Reviewed-on: https://code.wireshark.org/review/5458
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 4f8a6ec
Author: Matthieu Coudron <mattator@gmail.com>
Date:   Tue Nov 18 19:33:53 2014 +0100

    TCP: fix wrongly set base_seq when ISN is 0 and tcp_relative_seq is
    enabled
    
    tcp_analysis::base_seq could be set several times when the
    TCP ISN was set to 0, thus inducing some undesired wraps such as 0-1
    
    Bug: 10713
    Change-Id: I69a0dfe677e93bf51015bf7a39ebf888631b12a4
    Reviewed-on: https://code.wireshark.org/review/5387
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit d5713e2
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Nov 19 21:34:20 2014 +0100

    hostlist_table (GTK): Fix Dereference of null pointer found by Clang analyzer
    
    Change-Id: If74dc38b2a9724b9d924092796db5b6beb97043c
    Reviewed-on: https://code.wireshark.org/review/5400
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 159626c
Author: Maarten Bezemer <maarten.bezemer@gmail.com>
Date:   Mon Nov 24 16:30:52 2014 +0100

    Update debian symbols
    
     * register_tap_ui is removed in a21436eaed
     * wtap_read_bytes(_or_eof) are introduced in 670ebda4a6
    
    Change-Id: If815c686d57310f0d87f965b5b5c2a71b651cbad
    Reviewed-on: https://code.wireshark.org/review/5465
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 059c257
Author: Stephen Fisher <sfisher@sdf.org>
Date:   Mon Nov 24 16:50:10 2014 -0700

    Allow html version of man pages to be found when running from build
    directory (they're in doc/ of the build directory).
    
    Change-Id: I425fa847952cf9f74a948a89c0048077dfcf0ae2
    Reviewed-on: https://code.wireshark.org/review/5478
    Reviewed-by: Stephen Fisher <sfisher@sdf.org>

commit 1cdf644
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Nov 21 11:24:50 2014 +0100

    A21: fix warning: no previous prototype for function ... [-Wmissing-prototypes]
    
    Second try... ;-)
    
    Remove also double space
    
    Change-Id: I77aa269c1abae18b4fb9daec6cc0ac862cf4ab9f
    Reviewed-on: https://code.wireshark.org/review/5421
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 605a6ae
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Nov 24 21:12:55 2014 +0100

    Mate: Fix indent (use tabs)
    
    Change-Id: I9a02e4a063dc4fc173ff9b7596acd7f9ceba7aa7
    Reviewed-on: https://code.wireshark.org/review/5477
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e02c03b
Author: Stephen Fisher <sfisher@sdf.org>
Date:   Mon Nov 24 12:07:59 2014 -0700

    Change capitalization of "DNS UDP [p]orts" to match "DNS TCP ports" in prefs
    
    Change-Id: Ib0bffc6d5e4bd6b68f48a843b4b4cab7422aceb7
    Reviewed-on: https://code.wireshark.org/review/5476
    Reviewed-by: Stephen Fisher <sfisher@sdf.org>

commit 4b57edb
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Nov 24 18:11:30 2014 +0100

    MIPv6: Enhance ANI dissection
    
    * Fix wrong length for Operator Identifier
    * Display Latitude and longitude in Degrees
    
    Bug:10712
    Change-Id: Idf6ba63db3ff16710fd0de7a7fd2233148cbaf4a
    Reviewed-on: https://code.wireshark.org/review/5473
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 15f6f56
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Nov 24 18:34:19 2014 +0000

    Revert "Allow "(g)make tags" to work again"
    
    This reverts commit 6b8fe87ef48abb95dd303871d0835c153cf8c891.
    
    Change-Id: Ie4f681186c1555e6ab966e7db687035f7fc5e60f
    Reviewed-on: https://code.wireshark.org/review/5472
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 6b8fe87
Author: Stephen Fisher <sfisher@sdf.org>
Date:   Thu Nov 20 10:35:45 2014 -0700

    Allow "(g)make tags" to work again
    
    Change-Id: Idcff82aceedbf42652741564e06ca53984078361
    Reviewed-on: https://code.wireshark.org/review/5413
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Stephen Fisher <sfisher@sdf.org>

commit 2baac34
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Nov 24 18:18:00 2014 +0100

    CPHA : tvb_length -> tvb_reported_length
    
    Change-Id: I49a7ffb1fcff71d49593ab009036f21c3ae6a2d0
    Reviewed-on: https://code.wireshark.org/review/5471
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1f5dbb0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Nov 24 17:16:52 2014 +0100

    CPHA: Update versions lists
    
    Use also value_string ext
    
    Request from Hugo van der Kooij
    
    Bug:10723
    Change-Id: I0603687215b7e82a987a4a6cde00eb996b04a77c
    Reviewed-on: https://code.wireshark.org/review/5466
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 10803f2
Author: Stephen Fisher <sfisher@sdf.org>
Date:   Fri Nov 21 16:23:24 2014 -0700

    Second attempt at putting a description in the preferences page
    
    Change-Id: I6d196486e824c82d29f1c233ef3230ad8619715d
    Reviewed-on: https://code.wireshark.org/review/5434
    Reviewed-by: Stephen Fisher <sfisher@sdf.org>

commit 953e6b1
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 22 14:13:10 2014 -0500

    Pass data to JSON through dissector data, not pinfo->private_data.
    
    Change-Id: I21dc2777822f0836f486432343cc1238886ad29d
    Reviewed-on: https://code.wireshark.org/review/5460
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0c716f7
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Nov 24 11:38:43 2014 -0500

    openflow; Fix a (no-effect) typo in openflow_version_values[]
    
    Change-Id: I7a51face9c675ac3c03f2306ec40293b4835e02e
    Reviewed-on: https://code.wireshark.org/review/5468
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 7309664
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Nov 24 17:22:02 2014 +0100

    [SIP/DIAMETER] Reinstate the lost dfilter_store_sip_from_addr() and use it
    for 3GPP AVP 601 Public-Identity.
    
    Change-Id: I5ef6608e7821779b00f79486860ee5f578828dfc
    Reviewed-on: https://code.wireshark.org/review/5467
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 78849d0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Nov 24 15:51:27 2014 +0100

    SMTP: escape ASCII strings printed to COL_INFO
    
    This is already done automatically for the hf entries thanks to hfinfo_format_text() function
    
    Bug: 10536
    Change-Id: I9ee56b795234a94f0e59c82a96e3e6cedf71c4e6
    Reviewed-on: https://code.wireshark.org/review/5459
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit daed807
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Nov 23 00:12:57 2014 -0500

    Pass FrameID as data to the heuristic table, rather than use pinfo->private_data.
    
    Change-Id: Idd5818cbb2b1f8628bb29c2c71dfc6d41df89b5d
    Reviewed-on: https://code.wireshark.org/review/5448
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 6dbb97d
Author: Dave Tapuska <dtapuska@google.com>
Date:   Mon Nov 17 17:12:36 2014 -0500

    SSL: Implement Extended Master Secret
    
    Store all handshake mesages in a buffer so that we can hash them
    correctly when generating the master secret.
    
    This change does not work correctly for DTLS retransmitted packets; that
    are in the handshake as they will be hashed twice; which is bad. Looking
    for ideas to implement this.
    
    Bug: 10686
    Change-Id: Ied01d4cc37b4270f325070a8d1630d3123577a0d
    Reviewed-on: https://code.wireshark.org/review/5168
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit eb93f3b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 23 17:03:42 2014 -0800

    Don't do unsafe pointer casting
    
    Don't cast a pointer-to-int into a pointer-to-pointer and pass the
    resulting pointer to g_hash_table_lookup_extended() - pointers and ints
    are *not* guaranteed to be the same size.  Instead, just have a variable
    of type gpointer, pass a pointer to *that*, and then run that result
    through GPOINTER_TO_UINT().
    
    This fixes a reproducible crash.
    
    Change-Id: I42954f222ab59866cb909b80d9dbb1d2668d2aff
    Reviewed-on: https://code.wireshark.org/review/5457
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ec650d4
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Nov 23 23:58:24 2014 +0100

    elf: separate ett for program and sections entries
    
    This makes it easier to focus on a single section entry, collapsing all
    other entries.
    
    Change-Id: I3de72065eb279e9449496a7224508e5be85c3757
    Reviewed-on: https://code.wireshark.org/review/5456
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 4d55e1f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 23 12:30:59 2014 -0800

    Presumably the intent is to dump *non*-dummy entries.
    
    I.e., presumably the intent is to dump *resolved* hosts, rather than
    *unresolved* hosts where there's no known host name and the name field
    is a string form of the address (the premise being that looking the
    address up in the hash table repeatedly, and using the already-generated
    string, will be faster than generating the string repeatedly).
    
    Change-Id: Iad1beb1d5f9cd9ed92bad5386111cb659614ee4d
    Reviewed-on: https://code.wireshark.org/review/5455
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit da5487f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 23 00:20:10 2014 -0800

    Newlines at the ends of lines, please.
    
    Change-Id: I7b484e3ddac7cb1330c966819514a9468ea69066
    Reviewed-on: https://code.wireshark.org/review/5454
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b2030ca
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Nov 23 08:04:42 2014 -0800

    [Automatic manuf, services and enterprise-numbers update for 2014-11-23]
    
    Change-Id: I6f8a66b742571dcde011125df9295daedc5652a7
    Reviewed-on: https://code.wireshark.org/review/5450
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit e50095c
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 22 23:11:32 2014 -0500

    Remove use of pinfo->private_data (which doesn't appear to be used anyway) and pass it as dissector data.
    
    Some other minor cleanup while in the neighborhood.
    
    Change-Id: I1b0c0567488fa350c14d21c5f5e4cb9746177af1
    Reviewed-on: https://code.wireshark.org/review/5447
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e908804
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Nov 22 12:20:05 2014 -0800

    Update symbol list.
    
    Change-Id: Ib1cb41f212bbccd4e20d3621110cbb98c01a7196
    Reviewed-on: https://code.wireshark.org/review/5444
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 08cf40e
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 22 13:13:22 2014 -0500

    Use dissector data to "return" XML data to XMPP dissector.
    
    Change-Id: I9abdc8c3deed35131af1537733d624d5cfced182
    Reviewed-on: https://code.wireshark.org/review/5443
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 534b596
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Nov 16 10:22:34 2014 -0500

    Cleanup packet-sccp.c in preparation of trying to remove sccp_info member of packet_info.
    
    Convert a handful of global variables into function parameters that get passed through the dissector, so we shouldn't be dependent on pinfo->sccp_info anymore. Removal of pinfo->sccp_info will be done in a separate patch (when the dissectors that use it can be updated).
    
    packet-sua.c may need similar treatment.
    
    Change-Id: If0001638d666afc07e04b02aa32ef31d6223a5de
    Reviewed-on: https://code.wireshark.org/review/5343
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit e2b597a
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Wed Nov 19 22:22:12 2014 -0500

    Fix problem where the profile bar moves further left every time Wireshark is
    run.
    
    For the saved/restored geometry to be consistently correct we need to always
    show the expert info and capture file comment icons.  Disable them if no
    capture file is open.
    
    Bug: 10518
    Change-Id: I6e254f66a17f8f54f28cfbafb4e0f92e02cff70c
    Reviewed-on: https://code.wireshark.org/review/5404
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c61a037
Author: Jesse Gross <jesse@nicira.com>
Date:   Tue Nov 18 14:36:30 2014 -0800

    Add version check in Geneve dissector.
    
    We should warn when decoding Geneve packets with an unknown
    version number.
    
    Change-Id: Id40b756c3bb0320b69fbd8ee98830a2b05834a48
    Reviewed-on: https://code.wireshark.org/review/5420
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 01f9706
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Fri Nov 21 23:27:56 2014 +0000

    Add the required c flags for some test executables
    
    Change-Id: I93b0c346fff162899e5f97dd2366e01cf99ec38e
    Reviewed-on: https://code.wireshark.org/review/5435
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 741db4c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Nov 22 01:07:13 2014 -0800

    Get rid of another global in the print code.
    
    Pass the "output only these protocols" hash table as an argument,
    instead.
    
    Change-Id: Id8540943037e7b9bbfe377120c3f60dbe54fe0f1
    Reviewed-on: https://code.wireshark.org/review/5440
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c68e77b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Nov 22 00:28:12 2014 -0800

    Pass a capture_file * to write_psml_preamble() in tfshark as well.
    
    Change-Id: I2b2ae78d4b75bb27a44d185b48e3d85794effdb7
    Reviewed-on: https://code.wireshark.org/review/5439
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b19b12a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Nov 22 00:06:54 2014 -0800

    Get rid of write_headers global variable.
    
    Have write_psml_preamble() and write_csv_preamble() take a capture_file *
    as an argument, so they can print the column titles themselves, rather
    than having to defer it to the routine that prints packet data.
    
    Change-Id: Ifd1b7a13062be8ad46846315976922a752778153
    Reviewed-on: https://code.wireshark.org/review/5438
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6e1214c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 21 19:32:33 2014 -0800

    Fix comments.
    
    Change-Id: I3b7340939b8204102bfc7e2e7d83f4d978cf7bad
    Reviewed-on: https://code.wireshark.org/review/5437
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7d7fc47
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 21 19:22:54 2014 -0800

    Split the low-level print stream code into a separate file.
    
    Put the low-level print stream code from epan/print.c into
    epan/print_stream.c, leaving the higher-level stuff in print.c
    
    Change-Id: Iae961f168ec655a29f434257b1af0937fca9f025
    Reviewed-on: https://code.wireshark.org/review/5436
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 08475ff
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Nov 19 13:52:52 2014 -0500

    README.heuristic: rework example code.
    
    Specifically: show the use of tcp_dissect_pdus()
       for a TCP heuristic dissector
    
    Change-Id: I02f184b2c8ef6ed128ef3d0bc59eed759aae54bb
    Reviewed-on: https://code.wireshark.org/review/5399
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit fecea97
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Nov 19 21:34:50 2014 +0100

    VoIP Call (GTK): Fix Dereference of null pointer found by Clang analyzer
    
    Change-Id: I80029b6238c78dcab83a6a70eca0af5b66e1488d
    Reviewed-on: https://code.wireshark.org/review/5401
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit c07e9fe
Author: Irene Ruengeler <ruengeler@wireshark.org>
Date:   Mon Nov 17 08:51:12 2014 +0100

    Add minimize and maximize buttons to the SCTP analysis windows.
    
    As suggested by Jeff Morriss.
    
    Change-Id: Ibe2d30c31d51ab92377d64068527b424a92e8a64
    Reviewed-on: https://code.wireshark.org/review/5361
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit d7e277a
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Nov 21 10:43:40 2014 -0500

    CANopen bugfixes
    
    1. Fixed endianess in CANopen dissector.
    According to CiA 301, 7.1.1. (p. 26):
    "For numerical data types the encoding is little endian style."
    
    2. Fixed NMT type string in CANopen dissector
    NMT function code should not display 'EMERGENCY'
    
    3. Fixed time stamp decoding
    
    * Offset increment was too low for data type size
    * Decoding of time_stamp_days must equal time_stamp_msec and thus be letohs instead of ntohs. CANopen data is little-endian encoded.
    
    4. Fix: Use correct description string for NMT error control state bits
    canopen.nmt_guard.state was faulty named "Node-ID". This was changed to "State".
    
    5. Fix nmt_guard_state value_string array
    CiA 301 desribes only 4 valid values. All other were deleted.
    0x00 was renamed from 'Initalisation' to 'Boot-up' following CiA301.
    
    6. Shortened EMERGENCY to EMCY
    
    The term EMCY is the standard abbreviation used in CiA standard for Emergency service.
    
    7. Fix: Allow SYNC and NMT error frames without any payload
    NMT node guard remote requests do note have a payload,
    SYNC frames only have an optional payload (counter)
    
    If item length is set to -1, decode will cause a 'Malformed Packet' error.
    
    8.  Rename MT_NMT_GUARD to MT_NMT_ERR_CTRL which better reflects its scope
    
    Change-Id: I676f9b5f2e4efd8e7c9528fe289e7510c4d43235
    Reviewed-on: https://code.wireshark.org/review/5425
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit f2fc562
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Nov 21 15:54:59 2014 +0100

    Replace tvb_length()
    
    Change-Id: I0b5ad4d588f0b658abaf3892d08d6520ecd2f645
    Reviewed-on: https://code.wireshark.org/review/5431
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 96fb347
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Thu Nov 20 19:35:25 2014 -0500

    Remove some leftover debug printfs.
    
    Change-Id: I9f4c7f71ae403059a2a236ba095b21753f7938fa
    Reviewed-on: https://code.wireshark.org/review/5417
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1cde318
Author: Michał Orynicz <michal.orynicz@tieto.com>
Date:   Thu Nov 20 13:16:33 2014 +0100

    Fix for very big pid and tid numbers in logcat_text
    
    There can be no space after pid colon if tid is big enough
    in logcat long format.
    
    Change-Id: I8e03e78c88e4bef1a5fdb3a04b77f58fa7d055bc
    Reviewed-on: https://code.wireshark.org/review/5411
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 1d8673c
Author: Michał Orynicz <michal.orynicz@tieto.com>
Date:   Thu Nov 20 13:09:31 2014 +0100

    Move text logcat regex strings to shared header
    
    To avoid further duplication of work and bugfixing,
    move regex strings to wiretap/logcat_text.h and include
    this file in epan/dissectors/packet-logcat-text.c
    
    Change-Id: I82773cda0e3240844139b104c68738ec82788014
    Reviewed-on: https://code.wireshark.org/review/5410
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 1b9dd75
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Thu Nov 20 20:30:32 2014 -0500

    Fix the build: dissect_a21_ie_common() can't be static any more.
    
    Change-Id: I93db6bc35aef9c36a294e530730cd295ad6851ef
    Reviewed-on: https://code.wireshark.org/review/5419
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 1df0d9c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Nov 20 16:57:24 2014 -0800

    Include "ws_symbol_export.h" to make sure WS_DLL_PUBLIC is defined.
    
    Wrap the declaration for C++ while we're at it.
    
    Change-Id: Ifcc1b47bab139f5fb8da8c3dd4f20b1ebb99739e
    Reviewed-on: https://code.wireshark.org/review/5418
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9732398
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Nov 20 20:04:42 2014 +0100

    A21: fix warning: no previous prototype for function ... [-Wmissing-prototypes]
    
    Change-Id: Ib2f3816892f1682c175b0dee3c80725caebf3d4d
    Reviewed-on: https://code.wireshark.org/review/5415
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5e932ad
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Nov 20 20:04:26 2014 +0100

    EPL: fix warning: no previous prototype for function ... [-Wmissing-prototypes]
    
    Change-Id: I40de0c8c2bd40f18a33947367fdeec5a22a3093a
    Reviewed-on: https://code.wireshark.org/review/5414
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e77261f
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Nov 17 20:04:30 2014 -0500

    Eliminate proto_tree_add_text from some dissectors.
    
    Change-Id: Ib160211198ca02f7eacf29d04568628c11f208a5
    Reviewed-on: https://code.wireshark.org/review/5407
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9611e75
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Nov 20 16:07:55 2014 +0100

    Replace tvb_length...() calls.
    
    Change-Id: Idda7cd56a12b36d18774a1fe324c69eb8f5e4330
    Reviewed-on: https://code.wireshark.org/review/5412
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9145acb
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Nov 18 22:53:32 2014 -0500

    uat: tighten up dec/hex uat field validity checking
    
    Specifically:
    - Use the proper code for testing strtol() result;
    - Also: Values greater than 32-bits treated as an error
       (on LP64 architectures);
    
    Change-Id: I56e8e734fbb9a22dbd9ed4112e24327ffd7ee3c0
    Reviewed-on: https://code.wireshark.org/review/5394
    Reviewed-by: Bill Meier <wmeier@newsguy.com>
    Petri-Dish: Bill Meier <wmeier@newsguy.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit ead585f
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Nov 16 15:15:52 2014 -0500

    Give better hints as to where the "expert info" fields go.
    
    Change-Id: I9b1cee43ef9280504745b136b87507c2b6bb5369
    Reviewed-on: https://code.wireshark.org/review/5406
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit f7f19f0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Nov 19 20:10:15 2014 +0100

    IrDA: always initialize buffer before accessing it
    
    Bug: 10716
    Change-Id: I8e54f750b70076758d5fd0d7f35f9c782f5d0bf9
    Reviewed-on: https://code.wireshark.org/review/5398
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit bcc4c7f
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Fri Nov 14 21:39:00 2014 +0100

    Fix global plugin folder when it is set as an absolute path
    
    This fixes regression in creating Debian packages caused by
    80b36cdbde90ac9639938a14e8fd90a79602666a
    
    Change-Id: I46702ad4c9a11ce317da7ef664c84e1f22d3f709
    Reviewed-on: https://code.wireshark.org/review/5316
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>

commit 6fbcc18
Author: Michał Orynicz <michal.orynicz@tieto.com>
Date:   Thu Nov 20 09:55:40 2014 +0100

    Fix text logcat for changes in android L
    
    In L, in line "-- beginning of /<buffer>" the "/" was removed.
    This commit accomodates text logcat to that change.
    
    Change-Id: I4cbfadf5a8169589f2848ce1a5793cea593ba459
    Reviewed-on: https://code.wireshark.org/review/5405
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 087518b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Nov 19 19:18:39 2014 +0100

    MIP6: Access network identifier option is not full decoded
    
    * Add subtype Geo Location (2) and Operator Identifier (3)
    * Use also offset to calculate the length
    * Remove proto_tree_add_text
    
    Issue reported by Ravindranath K M
    
    Bug:10712
    Change-Id: I9ad81ece856df134f3a706ad774d34e638cb5c94
    Reviewed-on: https://code.wireshark.org/review/5397
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit d23247e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Nov 19 16:53:36 2014 -0800

    White space tweaking to match what's in Samba git.
    
    (Samba git also needs some white space tweaking; this only changes the
    cases where we're not obviously "better".)
    
    Change-Id: Iafb9cf8fea67b898b12850a7793806e3fccb39ac
    Reviewed-on: https://code.wireshark.org/review/5403
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4fdabdc
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Nov 19 21:35:14 2014 +0100

    SBC: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I6ac8e0eed88e78521f7d5623b9afdb6a42900ede
    Reviewed-on: https://code.wireshark.org/review/5402
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 06dc2a7
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Nov 19 09:03:44 2014 -0800

    voip_calls: Fix tap callbacks.
    
    We don't need to call the VoIP tap reset and draw callbacks repeately.
    Do so only once from the RTP tap. Packet callbacks should return a
    gboolean.
    
    Clean up some function names and make some static.
    
    Change-Id: I5c934ce8ce7f279861e8cc73235bbfc27d7fe622
    Reviewed-on: https://code.wireshark.org/review/5396
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit cb090e8
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Nov 19 11:25:17 2014 -0500

    [pedantic] Replace usage of 'long' and 'long long'
    
    Change-Id: I78fc82c1a83eb04d78a11fc76710c92dfc916208
    Reviewed-on: https://code.wireshark.org/review/5395
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 67ab27a
Author: Michael Tüxen <tuexen@wireshark.org>
Date:   Wed Nov 19 15:57:48 2014 +0100

    Add support for PAD chunks.
    
    Add support for PAD chunks as defined in RFC 4820.
    
    Change-Id: I66a83d5d133429154fe40ccef26687c8350463cf
    Reviewed-on: https://code.wireshark.org/review/5393
    Reviewed-by: Michael Tüxen <tuexen@wireshark.org>

commit d7179ac
Author: Michael Tüxen <tuexen@wireshark.org>
Date:   Wed Nov 19 15:35:36 2014 +0100

    Fix the length reported as value length.
    
    The length reported as value length for unknown chunks
    was actually the chunk length. Therefore it was off by 4.
    
    Change-Id: Ieea79d2c51b4729fc139395174625d1f362d1ee5
    Reviewed-on: https://code.wireshark.org/review/5392
    Reviewed-by: Michael Tüxen <tuexen@wireshark.org>

commit c62dac1
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Nov 16 13:10:37 2014 -0500

    Eliminate proto_tree_add_text from packet-mate.c
    
    Change-Id: I3f4b3eb23b91b219df373b3012fbefa63abfa4d3
    Reviewed-on: https://code.wireshark.org/review/5350
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 61b0638
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Tue Nov 18 15:59:44 2014 +0000

    Remove Windows linker flags from the CMake link flags test as the
    test doesn't actually pass the flags to the VS linker.
    
    Change-Id: I5d546afcb80a49e39143078bc8f0855b0ba0f7e8
    Reviewed-on: https://code.wireshark.org/review/5384
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 39b0c2d
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Oct 16 13:58:58 2014 +0200

    Wiretap: Added file_seek SEEK_END support.
    
    This is needed for Lua File:seek("end").
    
    Change-Id: I28fb23f2f29ca8083c77bf065db8816e039ae5a1
    Reviewed-on: https://code.wireshark.org/review/4722
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit cfa0e5f
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Nov 18 13:13:35 2014 -0800

    voip_calls: Regression fixes.
    
    Fix struct initialization logic. Clear a GQueue instead of deleting it.
    Don't crash if we have no sequence diagram items. Make sure we show all
    flows and not just invites. Zero allocated memory in a couple of places.
    
    Change-Id: Ia5bb3ba57cf625de4b554b354e098aa0361dff28
    Reviewed-on: https://code.wireshark.org/review/5390
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit dc5b8f1
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Nov 16 19:09:57 2014 +0200

    dissect TA(1)
    
    Change-Id: If618b0c3dc0502f5a31dcc580b9116daacb40239
    Reviewed-on: https://code.wireshark.org/review/5389
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 7cdfe52
Author: Sergey Avseyev <sergey.avseyev@gmail.com>
Date:   Tue Nov 18 21:11:22 2014 +0300

    Update Couchbase dissector:
    
    * Register new commands:
        * 0x5c: DCP_NOOP
        * 0x5d: DCP_BUFFER_ACKNOWLEDGEMENT
        * 0x5e: DCP_CONTROL
        * 0x5f: DCP_RESERVED4
    
    Change-Id: I22d8eb8f6628e07b2e2ab2bc137688329eead1be
    Reviewed-on: https://code.wireshark.org/review/5385
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit e97d235
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Nov 17 22:49:24 2014 +0100

    SPDY: do not try to access an uninitialized tvb
    
    Coming when data length = 0
    
    Bug: 10704
    Change-Id: Ibd0730be661d966aa0429480dba97ed7d3e5c471
    Reviewed-on: https://code.wireshark.org/review/5377
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 4b96030
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Oct 30 09:16:51 2014 +0100

    802.11: Remove proto_tree_add_text
    
    Change-Id: I40d351e3317ff7e207e5c68a39aaedb73faf54f9
    Reviewed-on: https://code.wireshark.org/review/5281
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c2f971d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 17 21:16:19 2014 -0800

    Fix indentation.
    
    Change-Id: Icc474748f755c21d281620c3b0f5d4d90f09223b
    Reviewed-on: https://code.wireshark.org/review/5380
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 36837a2
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Nov 17 23:22:08 2014 +0100

    MIPv6: display Experimental Mobility Message Data as such
    
    Bug: 10703
    Change-Id: I9b16f503418d7464234be3c772b5dae3fb5eb7a9
    Reviewed-on: https://code.wireshark.org/review/5378
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1dec509
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Nov 17 16:43:39 2014 -0800

    voip_calls: Move to ui.
    
    Move voip_calls.[ch] to ui. Add callbacks to voip_calls_tapinfo_t.
    Remove unused function definitions.
    
    Change-Id: Ib12db7053d53afa81ef2a66dc0cfe681bc624dd2
    Reviewed-on: https://code.wireshark.org/review/5379
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit a07f081
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Nov 16 11:32:11 2014 -0800

    voip_calls: Get rid of global variables.
    
    Move the members of voip_rtp_tapinfo_t to voip_calls_tapinfo_t. Move a
    bunch of formerly static variables there as well. Note that we might
    want to make them private again at some point. Remove launch_count. It
    appeared to be unused.
    
    Wrap the individual registration routines in voip_calls_init_all_taps.
    Wrap the removal routines in voip_calls_remove_all_tap_listeners.
    
    Move voip_calls_get_info() to voip_calls_dlg.c. Make it static.
    
    Change-Id: I58f9d91f55cfb5e4b0c048a5a1d5d4b947f4641b
    Reviewed-on: https://code.wireshark.org/review/5372
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5c7c701
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Nov 17 19:10:14 2014 +0100

    802.11: Enhance Supported Operating Classes
    
    * Use expert_info to display warning about length (Remove proto_tree_add_text)
    
    Change-Id: I36ce6b6fc1138c53621da4913e23f9f1ceaaca50
    Reviewed-on: https://code.wireshark.org/review/5369
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 4b63d9f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Nov 17 19:03:46 2014 +0100

    802.11: Enhance Extenede Channel Switch Announcement
    
    * Use expert info to display warning about launch (remove proto_tree_add_text)
    * Remove a check about Unknown data (Not need)
    
    Change-Id: I3ec1d0f5b955019cfe43141df5f712eb1446dce3
    Reviewed-on: https://code.wireshark.org/review/5368
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit f4ad915
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Nov 17 21:43:36 2014 +0100

    H248: Fix Dereference of null pointer found by Clang analyzer
    
    Also fix some indent issue
    
    Change-Id: I262bdddd031fec6a0f91b7172bb2d67be3c33000
    Reviewed-on: https://code.wireshark.org/review/5370
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit da69b51
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Nov 17 21:59:14 2014 +0100

    DECT: ensure that bfield_data buffer is always fully initiated
    
    Bug: 10710
    Change-Id: I444bc4ff7e542a8aa5ac8e20bac44a823ac74cfd
    Reviewed-on: https://code.wireshark.org/review/5371
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 7a7a763
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Mon Nov 17 21:12:54 2014 +0100

    cmake:
      Avoide rebuilding the guides each and every time.
      Don't print the single file guides to stdout.
    
    Change-Id: Ie94fc4b24676e9abc7258c4ea1c7fd3049a96fb6
    Reviewed-on: https://code.wireshark.org/review/5367
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 4a86d62
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Mon Nov 17 21:05:11 2014 +0100

    Use ntoh24 instead of less readable and less correct code.
    Remove redundant / wrong comments.
    Add two small (helpful) comments :-)
    
    Change-Id: I9c5451587d744a8418e6a90139b771a055e93387
    Reviewed-on: https://code.wireshark.org/review/5366
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 82bb363
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Nov 17 17:10:36 2014 +0100

    LLDP: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I8c750ed9ad775b9be9d12050d200d7f1b4ddb86e
    Reviewed-on: https://code.wireshark.org/review/5365
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 3ce0167
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Nov 17 13:36:17 2014 +0100

    [BSSMAP] de_mid() used with wrong length.
    
    Change-Id: Ia64f254d85845ff39eacc7a339fdfa646ff9bb50
    Reviewed-on: https://code.wireshark.org/review/5364
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3815b14
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Nov 17 10:44:36 2014 +0100

    E212: fix bytes highlighting when dissecting the high nibble variant
    
    Change-Id: I376dcb333f7768242dbdb73313870e1e22d959ff
    Reviewed-on: https://code.wireshark.org/review/5362
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit bea106c
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Nov 14 15:12:06 2014 -0500

    Eliminate proto_tree_add_text
    
    Also some other cleanup to simplify dissector logic.
    
    Change-Id: Ia84300b7eadafe292361014dd0e565ec250cae44
    Reviewed-on: https://code.wireshark.org/review/5311
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f3f833c
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Nov 11 21:05:03 2014 +0100

    display filter: the body of a range should only be
    a string, a field name or another range - not an unparsed element
    
    Bug: 10690
    Change-Id: I126143636c940cc73ed6467660f0a573209e2ae9
    Reviewed-on: https://code.wireshark.org/review/5243
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 25f950e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 16 18:25:56 2014 -0800

    Add tshark -G dissector-tables to dump a list of dissector tables.
    
    That list doesn't show the entries in the dissector tables, just
    information about the tables themselves.
    
    Clean up some tshark man page issues while we're at it.
    
    Change-Id: I70beee34110f5c0d58105944dd71105a8400f5ca
    Reviewed-on: https://code.wireshark.org/review/5360
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 57b7227
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Nov 14 15:13:05 2014 -0500

    Eliminate proto_tree_add_text by formatting field hf_opcua_ByteString in a few places.
    
    Change-Id: I9606aa36b7d7b6bb2ef2e7685e6629163ca83ef7
    Reviewed-on: https://code.wireshark.org/review/5312
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 14bc6d8
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Sun Nov 16 12:17:40 2014 -0500

    Remove some ununused/unmatched <resources/> tags.
    
    Change-Id: I0f8e4381b27d1defeb5980692823d297d2f48bab
    Reviewed-on: https://code.wireshark.org/review/5349
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit cacbffe
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Nov 16 21:58:36 2014 +0100

    PortableApps: ensure that the personal folder is set to the App directory
    
    Otherwise the portable version ends up loading the user local personal profile
    
    Change-Id: Ib670c065319b0dd9673f239ae9459f6ee530f69e
    Reviewed-on: https://code.wireshark.org/review/5351
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit e26e1dc
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Nov 16 16:12:40 2014 +0100

    BATMAN: fix indent and encoding args
    
    use tabs for indent and use fix-encoding-args tools
    
    Change-Id: I5e066c6cbc429021cf21a55d5ffd5b60718ad5f8
    Reviewed-on: https://code.wireshark.org/review/5340
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 9d0085f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 16 15:21:12 2014 -0800

    Make sure the NLPID appears in the protocol tree.
    
    For protocols for which the NLPID is not considered part of the PDU, put
    the NLPID into the protocol tree ourselves.
    
    Bug: 10706
    Change-Id: I2676d1934dd468ec755a6f94d95a23f025ba0f25
    Reviewed-on: https://code.wireshark.org/review/5358
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 08a9478
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 16 14:59:23 2014 -0800

    Fix a comment to reflect reality.
    
    Change-Id: I812b0246368266c76f7fe9ef355619603c5d37b0
    Reviewed-on: https://code.wireshark.org/review/5357
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7b558dd
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Nov 2 16:15:31 2014 +0100

    Add unused-const-variable (enable by default on new clang release)
    
    Change-Id: I1d882e02188ba38ec1b5583c5933d0c92f0539e4
    Reviewed-on: https://code.wireshark.org/review/5068
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>

commit 05acb67
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Nov 16 16:28:51 2014 +0100

    mcast_stream: fix indent (use 4 spaces)
    
    Add also modelines info
    
    Change-Id: Idea65bfa25ce8a379c590074ab89a06f935c6648
    Reviewed-on: https://code.wireshark.org/review/5344
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 7213ad5
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Nov 16 16:42:32 2014 +0100

    rtp_stream: fix indent (use 4 spaces)
    
    Add also modelines info
    
    Change-Id: I4c4c6d7e292ba387aacb3f71afcac756b2875847
    Reviewed-on: https://code.wireshark.org/review/5345
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit b867baf
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Nov 16 16:15:27 2014 +0100

    BATMAN: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I6cfabc18921397002a2303f3511fa51bf5b41956
    Reviewed-on: https://code.wireshark.org/review/5341
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9f0fb57
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Nov 16 16:00:35 2014 +0100

    RADIUS: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I5127b737c0d9db08c61a70bb6c16fef030d39f83
    Reviewed-on: https://code.wireshark.org/review/5339
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0cc6a7e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Nov 16 08:06:50 2014 -0800

    [Automatic manuf, services and enterprise-numbers update for 2014-11-16]
    
    Change-Id: Ie677285f75a7ef0390d93469a4f97eaad813fdc0
    Reviewed-on: https://code.wireshark.org/review/5346
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 7f7d566
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Nov 16 15:27:06 2014 +0100

    btavdtp: Add missing break;
    
    Issue found by Clang Analyzer:
    Value stored to 'codec_dissector' is never read
    
    Change-Id: I7a9fc5e3ffd04c77cbbb8d5e5b885d8a29468cfd
    Reviewed-on: https://code.wireshark.org/review/5330
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>

commit b12be84
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 15 21:24:27 2014 -0500

    Remove file_type_subtype member from packet_info.
    
    Just pass the necessary data to the frame dissector.
    
    Change-Id: I1a4bab32f7b5e28f4e7707794d71b04dab388908
    Reviewed-on: https://code.wireshark.org/review/5328
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit d1696a6
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 15 18:47:06 2014 -0500

    "Bubble up" the use of pinfo->circuit_id and pinfo->ctype to make it more obvious where in used in hopes that it can be eliminated through passing dissector data (or methods other than using packet_info)
    
    Change-Id: Ib0e7efc123a3f9c06f58b5579c3c25b18818205c
    Reviewed-on: https://code.wireshark.org/review/5326
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit f92ed4d
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 15 20:35:51 2014 -0500

    Remove ipproto member of packet_info.
    
    All situations can be handled with "shimmed" dissector functions.
    
    Change-Id: Ic85483b32d99d3270b193c9f6b29574d8fad46a8
    Reviewed-on: https://code.wireshark.org/review/5327
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 3b8ed36
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Nov 14 17:42:44 2014 +0100

    DNS: NAPTR RR Replacement Length is incorrect
    
    It seems the Replacement Length field calculated by Wireshark (which Wireshark calls "rReplacement Length"), is the length of the first label of the DNS name in the Replacement, instead of the entire DNS name length.
    
    Issue found by Boaz
    
    Bug:10700
    Change-Id: I8b726f3a3bf316d688a40c3ade100d255ca3be42
    Reviewed-on: https://code.wireshark.org/review/5300
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 4960171
Author: Gerald Combs <gerald@zing.org>
Date:   Sat Nov 15 10:36:16 2014 -0800

    VoIP calls: Fixup whitespace.
    
    Set modelines and reindent to match the files in the top-level ui
    directory.
    
    Change-Id: I7ea221e76a4b0ad3b6bcf7a3c8b4645c16aecbba
    Reviewed-on: https://code.wireshark.org/review/5325
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 51c5b7a
Author: Gerald Combs <gerald@zing.org>
Date:   Sat Nov 15 09:18:06 2014 -0800

    VoIP calls: Start separating common and GTK+-dependent code.
    
    Remove more calls to voip_calls_get_info. Get rid of the global cfile.
    Lowercase more function names.
    
    Change-Id: Ieda779779cce9f05e07c54314bceab4a18bae22f
    Reviewed-on: https://code.wireshark.org/review/5324
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 7f3f4a5
Author: Robert Grange <robionekenobi@bluewin.ch>
Date:   Sat Nov 15 11:35:09 2014 +0100

    paquet-mq: Eliminiate proto_tree_add_text
    
    Eliminate proto_tree_add_text for Expert Info
    Improve PCF Parameters numeric value display
    
    Change-Id: Ibc259ba05d0591d434e7638d91d6943101d45305
    Reviewed-on: https://code.wireshark.org/review/5080
    Reviewed-by: Robert Grange <robionekenobi@bluewin.ch>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit d550b17
Author: Gerald Combs <gerald@zing.org>
Date:   Fri Nov 14 18:43:28 2014 -0800

    VoIP calls: Use our tap offsets.
    
    Add convenience functions to convert between tap IDs and tapinfo
    pointers. Use them to get rid of some calls to voip_calls_get_info().
    
    Lowercase function names. Remove more exit()s.
    
    Change-Id: I187fdc505bc22cc05edafed9e97ede8279ea53f9
    Reviewed-on: https://code.wireshark.org/review/5321
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 0be9e7d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 14 19:37:32 2014 -0800

    0.0 is a double, 0.0f is a float.
    
    Change-Id: I882bbda2c579cfd7a1b96ce190541262193405e0
    Reviewed-on: https://code.wireshark.org/review/5320
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3428361
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Nov 14 19:30:42 2014 -0800

    Fix a pointer type.
    
    Change-Id: I5cc67fa320b3241d6793575d59e49160ef40b260
    Reviewed-on: https://code.wireshark.org/review/5319
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 3275ba2
Author: Gregor Miernik <gregor.miernik@hytec.de>
Date:   Tue Nov 4 11:53:39 2014 +0100

    LLDP: Dissector for Hytec specific extensions added
    
    It provides dissection of objects with additional neighbor and link information
    defined by Hytec (pcap example available on wiki.wireshark.org/HYTEC).
    Also OUI of "Hytec Geraetebau GmbH" added.
    
    Change-Id: I92119e46fd5f4c4b385ac3df3170a4766fe056b7
    Reviewed-on: https://code.wireshark.org/review/5107
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1e2a3dc
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Nov 14 13:53:58 2014 -0800

    VoIP calls: Clean up tap registration and removal.
    
    Start moving away from a global voip_calls_tapinfo_t. Pass the
    voip_calls_tapinfo_t struct address to each registration and removal
    routine.
    
    All of the tap registration and removal routines are called at the same
    time. Replace the individual registration tracking booleans with a
    central one.
    
    Calling exit() from the GUI is rude. Don't do that.
    
    Change-Id: I9535002e2905a45a8cfc9643590b5d2d360ffc24
    Reviewed-on: https://code.wireshark.org/review/5318
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 62fd2ac
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Nov 14 15:18:23 2014 -0500

    Eliminate proto_tree_add_text from some plugin dissector files.
    
    Change-Id: Ib2d900833a8763307be6b1cfc8df20d7019d2706
    Reviewed-on: https://code.wireshark.org/review/5313
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ba3bc1e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Nov 14 13:15:38 2014 -0800

    VoIP calls tap ID cleanup.
    
    Remove all of the public dummy members from voip_calls_tapinfo_t. Use
    pointer arithmetic to generate private, unique IDs instead.
    
    We weren't removing the SUA listener. Do so. Use the correct M3UA ID.
    
    Change-Id: I8e8cdb6addbc4868aebc004be20a2f57b4acf75b
    Reviewed-on: https://code.wireshark.org/review/5315
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 225c86f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 14 15:59:38 2014 -0800

    Do the "-z help" processing separately, and do it for Wireshark as well.
    
    Yes, Wireshark does a bunch of GUI stuff, and then takes the window down
    before printing the help, but the same is true for some command-line
    error messages as well.
    
    Change-Id: Id501468416c83308e4c0a9e7a66116d8d33a9d84
    Reviewed-on: https://code.wireshark.org/review/5317
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3554580
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 14 12:29:04 2014 -0800

    It's not missing, it's passed on.
    
    Change-Id: Id1b1c7501f357667abb961948afdd816e13a7ad3
    Reviewed-on: https://code.wireshark.org/review/5314
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1b4d51e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 14 12:24:51 2014 -0800

    Update Debian symbol files.
    
    Change-Id: Iee66cf87d742780740b572b39c8ecf94f93dc142
    Reviewed-on: https://code.wireshark.org/review/5310
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 99b6afb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 14 12:21:12 2014 -0800

    Add a name field to tap_param, for use in error messages.
    
    Change-Id: Ia4317b61ff30e269eba0ee2ea2c46f1668544b1b
    Reviewed-on: https://code.wireshark.org/review/5309
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 04ab731
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 14 12:05:31 2014 -0800

    The registered -z parameter string shouldn't end with a comma.
    
    If it ends with a comma, then, if you don't provide any parameters, you
    get a "no such -z statistic" message followed by a list of available
    statistics.
    
    If it doesn't end with a comma, then, if you don't provide any
    parameters *and* a parameter is required, you get a usage message, which
    is more useful - and, in many of those cases, a parameter *isn't*
    required.
    
    Change-Id: I81275ea41ad4611d8210ca3cb07c09f0abde58f2
    Reviewed-on: https://code.wireshark.org/review/5308
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4729e13
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 14 11:25:04 2014 -0800

    Add an optional flag and a type for UUID parameters for stat taps.
    
    For future use, with common code to parse the -z argument.
    
    Change-Id: Ib2a11bd5c91b5ac48ced2cd2d112b97c301ff72a
    Reviewed-on: https://code.wireshark.org/review/5307
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 42c6e57
Author: Stephen Fisher <sfisher@sdf.org>
Date:   Fri Nov 14 12:17:36 2014 -0700

    Update my e-mail address again.
    
    Change-Id: I0083bbf84658dbb0d4cef91e9e8f5855b8a2ba4f
    Reviewed-on: https://code.wireshark.org/review/5306
    Reviewed-by: Stephen Fisher <sfisher@sdf.org>

commit c3582a6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 14 10:55:50 2014 -0800

    There's nothing GTK+ about TShark.
    
    Remove gtk from routine names in CLI taps.
    
    Change-Id: I0846da9b1e8119ed966b441cb1ca0ce1820fd1c8
    Reviewed-on: https://code.wireshark.org/review/5305
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4d3c4c4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 14 10:51:40 2014 -0800

    Rename stat_cmd_args.[ch] to stat_tap_ui.[ch].
    
    The intent is to handle more than just command-line arguments; reflect that.
    
    Change-Id: Ia10efda85a9d11c6579d1bec6f789cee30d9e825
    Reviewed-on: https://code.wireshark.org/review/5304
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0dae81b
Author: Irene Ruengeler <ruengeler@wireshark.org>
Date:   Fri Nov 14 10:06:51 2014 +0100

    Allow SCTP graphs to resize with the window they're in.
    
    Bug: 10698
    Change-Id: I3304bd36945619aeb405c74917f21de3faa3fcbb
    Reviewed-on: https://code.wireshark.org/review/5284
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit a21436e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 14 10:42:26 2014 -0800

    tap_ui -> stat_tap_ui.
    
    The old routine had stat_ in the name, as the expectation was that they
    were for statistics taps; that's still the expectation, so have stat_ in
    the data structure and routine names.
    
    Change-Id: Ic98d011012b8641173d41fa0ec4f4e625614370a
    Reviewed-on: https://code.wireshark.org/review/5303
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0e64efc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 14 10:35:42 2014 -0800

    Use G_GUINT64_FORMAT to format a guint64.
    
    A 64-bit integer isn't necessarily a long, it might be a long long.  Use
    G_GUINT64_FORMAT to format it.
    
    Make it a guint64 while we're at it - the field is a FT_GUINT64.
    
    Change-Id: I7ee855905ea77347576005441824b1c4630f5659
    Reviewed-on: https://code.wireshark.org/review/5302
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7390516
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 14 10:31:04 2014 -0800

    For tap UIs, register a list of parameters and some menu information.
    
    The intent here is to centralize more UI information so that we can move
    more tap UI stuff to common code.  This is a beginning.
    
    Change-Id: Ic35ac0c01bc7b942aab88177db4065847a5e6c30
    Reviewed-on: https://code.wireshark.org/review/5301
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 09f0d2c
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Nov 12 23:38:40 2014 -0500

    hiqnet: Improve dissection for hiqnet over TCP or UDP
    
    -- Use tcp_dissect_pdus() for hiqnet over tcp so as to properly
        handle hiqnet PDUS is a TCP stream of data;
    
    -- Handle possible multiple hiqnet PDUs in a UDP payload.
    
    -- Add Fixme: re multiple hiqnet PDUs in a frame.
    
    Change-Id: I3527c6ea13571d16bcf23dd3771d0a89734a7c5a
    Reviewed-on: https://code.wireshark.org/review/5267
    Reviewed-by: Raphaël Doursenaud <rdoursenaud@free.fr>
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit a55d18e
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Nov 12 22:04:37 2014 -0500

    hiqnet: Simplify code somewhat; Adjust the "names" and display of certain fields.
    
    Specifically: Use proto_tree_add_bitmask() to show the "flags" and
                  "categories" bitfields (instead of building the fields
                  display "by hand").
                  The bitfield display changed as follows:
                  - A bitfield with all bits=0 will have a detailed
                    dissection tree; (for both 'flags' & 'categories');
                  - The 'categories' individual bitfields are now
                    displayed as FT_BOOLEAN (not FT_UINT32).
    
    Change-Id: Icd35698aae492b81b340d08030e6a1563f1640ae
    Reviewed-on: https://code.wireshark.org/review/5266
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 9a1df71
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Nov 14 15:39:45 2014 +0100

    [S1AP) Wrong tree used
    s1ap.cnf:547:14: error: variable 'subtree' set but not used
    
    Change-Id: I84a345709b1ef9688f3f1a4e876a75dd575c1c2e
    Reviewed-on: https://code.wireshark.org/review/5299
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 56fa29e
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Nov 14 14:53:02 2014 +0100

    [S1AP] Let the A21 dissector do further dissection of Cdma2000SectorID
    
    Change-Id: I8c503acf6860b34d24769cdf981dcaeea4667ffb
    Reviewed-on: https://code.wireshark.org/review/5298
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d6f2392
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Fri Nov 14 13:39:29 2014 +0100

    Fix declaration in btavrcp
    
    Change-Id: I47e4ad2baa7ca4c48e8c0eea472e568fc06d3386
    Reviewed-on: https://code.wireshark.org/review/5297
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit d7cc141
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Wed Nov 12 12:00:46 2014 +0100

    Bluetooth: Ubertooth: Update to the latest firmware
    
    Changelog:
    - add some assign numbers
    - implement new type of usb_rx_packet: LE_PROMISC
    
    Change-Id: Iffe01a50f873221c695f16a76c1954d6c82d73df
    Reviewed-on: https://code.wireshark.org/review/5289
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michal Orynicz <michal.orynicz@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 9952e7c
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Nov 14 12:54:33 2014 +0100

    [BSSMAP] Handle vendor specific encoding of "Layer 3 Message Contents".
    
    Change-Id: I351bc0a6a8ae636b2f888a80f61e526096a61b64
    Reviewed-on: https://code.wireshark.org/review/5295
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e83c7f0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Nov 14 10:07:52 2014 +0100

    NAS EPS: fix dissection of APN AMBR IE when first byte is set to 0xFE
    
    Bug: 10699
    Change-Id: I0f359639d5836f557370ab6d6aad45faa4417b6e
    Reviewed-on: https://code.wireshark.org/review/5285
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit f172791
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Sun Nov 2 18:55:40 2014 +0100

    Translations: Update Polish translation
    
    All messages are translated now.
    
    Tłumaczenie Wiresharka jest teraz kompletne. Zachęcam do testowania
    i wytykania błędów.
    
    Change-Id: Iaffb2e581c765b5b3dff7750f878e6391539ebd6
    Reviewed-on: https://code.wireshark.org/review/5293
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit f1dee59
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Wed Nov 12 11:57:12 2014 +0100

    Bluetooth: A2DP: Add AVRCP song position indicator
    
    "sbc.avrcp_song_position" can be used to determine time synchronization
    between AVRCP and A2DP. It is updated on every
    AVRCP PlaybackPositionChanged. Also provide version for aptx.
    
    Change-Id: I48cd49f0fee54131a738290e2a70a24d33ba1d22
    Reviewed-on: https://code.wireshark.org/review/5290
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit ad1977b
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Thu Nov 13 10:52:16 2014 +0100

    Qt: Fix non-translate-able text
    
    Change-Id: I8c2376117ca1ac92c341ba938929af2d13e23f72
    Reviewed-on: https://code.wireshark.org/review/5291
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 6d678ff
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Thu Nov 13 19:42:36 2014 +0100

    Qt: Fix typo
    
    Change-Id: Idc2b945ac3bd5de961cc9c581398dc12f6831070
    Reviewed-on: https://code.wireshark.org/review/5292
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 38218df
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Fri Nov 7 15:41:29 2014 +0100

    Bluetooth: AVRCP: Improve command/response trancing
    
    Make command/response tracking field filterable and jumpable.
    
    Change-Id: Ib0dfc9ea9954f8d29d06ceda3d44a7f95c94bc53
    Reviewed-on: https://code.wireshark.org/review/5288
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 5a46f26
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Fri Nov 7 10:47:33 2014 +0100

    Bluetooth: AVRCP: Fix swappend SongPosition and SongLength
    
    SongPosition and SongLength are swapped in Info column. Fix it.
    
    Change-Id: I4c9bece51dbfe62885e8426a8aef07f336670099
    Reviewed-on: https://code.wireshark.org/review/5287
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 6e44997
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon Nov 3 10:14:28 2014 +0100

    Bluetooth: AVDTP: Add possibility to force decode as APT-X
    
    Change-Id: Id99647846c9bc7666f33938c811358576353390d
    Reviewed-on: https://code.wireshark.org/review/5286
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 2986388
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Nov 12 16:40:02 2014 +0100

    dtd_preparse : fix indent (Use tabs)
    
    Change-Id: Iec6ef7109ccea8a164db4f62af9fae1dceba6ae6
    Reviewed-on: https://code.wireshark.org/review/5282
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2788df9
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Nov 12 17:10:40 2014 +0100

    Gtk Utils: fix unknown command tag name 'parm'; did you mean 'param'? (-Wdocumentation)
    
    Change-Id: I89f242bf916d22e0a4a665696ec3fe5ee02b8a1f
    Reviewed-on: https://code.wireshark.org/review/5283
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 6e535a8
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Nov 13 20:37:46 2014 -0500

    Multipath TCP checksum requires M flag set as well as enough option length.
    
    Bug: 10692
    Change-Id: I8d9874a2c0a6b98497d43804bcf27a8c7e152a9b
    Reviewed-on: https://code.wireshark.org/review/5275
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 4a7dd62
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Nov 13 22:38:54 2014 -0500

    Always create a subtree for Mobility options, even if it doesn't have a specific dissection function.
    
    Bug: 10618
    Change-Id: Ic4d52485a6bd96f906b4a0d61b75a31bfad4e8f8
    Reviewed-on: https://code.wireshark.org/review/5276
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c2e090f
Author: Ryan Doyle <ryan@doylenet.net>
Date:   Wed Nov 12 20:36:49 2014 +1100

    Dissector for elasticsearch protocol
    
    Provides dissection for the elasticsearch protocol. This includes full
    dissection of the multicast discovery protocol, the HTTP query interface
    and partial dissection of the binary protocol.
    
    Change-Id: I738fb498976e44fa05168c2bc3a7e842a9e96df9
    Reviewed-on: https://code.wireshark.org/review/4948
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 4cc4315
Author: Sven Eckelmann <sven@open-mesh.com>
Date:   Wed Oct 1 18:26:12 2014 +0200

    batadv: Add dissector support for batadv v15
    
    The packet format for batman-adv v15 supports:
    
     * Complete reordered packet type ids
     * reordered flags
     * type-version-length-value data containers
     * new types for coding packets and unicast transfer of TVLVs
     * dropped packet types for vis, translation table query and roaming
     * reordered packet formats
     * transparent fragmentation of batadv packets
    
    Change-Id: I9e6733f9dd6b54eeecda19cf570599161d28b46e
    Signed-off-by: Sven Eckelmann <sven@open-mesh.com>
    Signed-off-by: Simon Wunderlich <simon@open-mesh.com>
    Reviewed-on: https://code.wireshark.org/review/5175
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9cc9028
Author: Lukas Emersberger <lukas.emersberger@br-automation.com>
Date:   Fri Oct 17 14:13:06 2014 +0200

    epl: Duplicated Frames
    
      Remake of the duplicated frames filter with
      less memory usage.
    
    Change-Id: I7c8694b5ae69c919b866bbc661bad5e3f0a3e1d7
    Reviewed-on: https://code.wireshark.org/review/4773
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Lukas Emersberger <lukas.emersberger@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ab7f35d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Nov 13 00:43:17 2014 -0800

    hf_cc_loss is supposed to be a floating-point value, divided by 65535.
    
    That's what the code did when it used proto_tree_add_text(); make it do
    so now.  That squelches a run-time error.
    
    Reformat the script-added hf_ values while we're at it.
    
    Change-Id: I48d16280c523faa3b266e8df37f5e0e0b2827712
    Reviewed-on: https://code.wireshark.org/review/5270
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 67f86dd
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Nov 12 21:22:05 2014 -0800

    Get rid of spaces before tabs.
    
    Change-Id: I70ff250a905ac578d7e3afc63a82a5fcb3983608
    Reviewed-on: https://code.wireshark.org/review/5269
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d1ccc33
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Nov 9 21:13:38 2014 -0500

    Add dissector table for sFlow header dissection.
    
    Change-Id: I189a5b2d5f769395fa5e387f8be49b81903fb252
    Reviewed-on: https://code.wireshark.org/review/5262
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 17798bc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Nov 12 21:19:41 2014 -0800

    Handle duplicate attribute and TLV entries specially.
    
    For attributes, handle them the same way we handle duplicate vendors.
    
    For TLVs, ignore duplicates; they shouldn't happen.
    
    Change-Id: Ie968478c40a9b7848fa8ea25b144eda8656e5874
    Reviewed-on: https://code.wireshark.org/review/5268
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f8e24c9
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Nov 5 23:07:35 2014 -0500

    Eliminate proto_tree_add_text for some dissectors.
    
    Change-Id: Ide14bcac0b1563bee4260ac9c1a280ba99e97e71
    Reviewed-on: https://code.wireshark.org/review/5261
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0515087
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Nov 12 19:01:26 2014 -0800

    Handle new vendors and changes to vendors differently.
    
    If, when adding a new vendor, we already find a vendor with the given
    ID, don't bother adding it to the vendors-by-ID table with the same ID,
    and, if and only if the vendor name has changed, remove it from the
    vendors-by-name table, free the old name, replace it with the new name,
    and, add it back to the vendors-by-name table with the new name.
    
    Bug: 10666
    Change-Id: I43ebcb57c742563157c71b01ebc0b35797a408e1
    Reviewed-on: https://code.wireshark.org/review/5265
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f598fa8
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Nov 12 18:11:00 2014 -0800

    Squelch a compiler warning.
    
    Some compilers complain that we're casting a 16-bit integer to a
    pointer; making it a standard-size integer squelches the warning.
    
    Change-Id: Iba0e767d7801afdc369b64a1cf050bf8db37da7b
    Reviewed-on: https://code.wireshark.org/review/5264
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f7d91bd
Author: Gerald Combs <gerald@zing.org>
Date:   Tue Nov 11 09:56:58 2014 -0800

    Qt: Flatten group boxes.
    
    As discussed in change 5185, the "big 3" HIGs discourage the use of
    traditional group boxes. Flatten our existing ones.
    
    Change-Id: I68ef4aa9fd0f69a42750bf735df2250a468bfb2d
    Reviewed-on: https://code.wireshark.org/review/5263
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 6df5252
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Nov 9 15:44:56 2014 -0500

    Add Decode As functionality for MPLS PW Associated Channel Type.
    
    Add CFM and MPLS dissector as possible decoders.
    
    Bug: 10574
    Change-Id: Ic39c6b8d68b965ff9d342f5ee789a8eff3134a5a
    Reviewed-on: https://code.wireshark.org/review/4935
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ae1630d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Nov 12 12:57:36 2014 +0100

    Fix warning: no previous prototype for function ... [-Wmissing-prototypes]
    
    warning coming after g055e4768ece and g421913b721
    
    Change-Id: I5caeeb89c559faef8007f2946c68c7172b75dfa8
    Reviewed-on: https://code.wireshark.org/review/5250
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 54aea45
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Nov 12 14:15:48 2014 +0100

    [Art-Net]
    - The heuristic chek was missing "e" out of "Art-Net\0"
    - tvb_length() - tvb_captured_length()
    
    Change-Id: Iad9900f3a22e2fdbd0d6056efc1af90511cc458a
    Reviewed-on: https://code.wireshark.org/review/5257
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 63cf939
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Nov 12 12:26:22 2014 +0100

    ADB: fix  warning: no newline at end of file [-Wnewline-eof]
    
    Warning found by Clang
    
    Change-Id: I7b801808aefa294e32fff560ea1a49620f0e0ea0
    Reviewed-on: https://code.wireshark.org/review/5249
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michal Orynicz <michal.orynicz@tieto.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2043c9d
Author: Dario Lombardo <lomato@gmail.com>
Date:   Wed Nov 12 11:06:45 2014 +0100

    Updates in it translation.
    
    Change-Id: I9e90fca521f17f4ae49e132990f77b2610807e6d
    Reviewed-on: https://code.wireshark.org/review/5248
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit f2d94e1
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Nov 11 12:52:04 2014 +0100

    PIM: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I1540c7878692625a9e38b48f8681c07bab852a64
    Reviewed-on: https://code.wireshark.org/review/5234
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 219cf30
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue Nov 11 15:22:12 2014 -0500

    Fix SMPP timestamp decoding when the current date/time's offset to UTC is
    different from the timestamp's offset to UTC.
    
    The fix for bug 6712 ignored the fact that daylight savings will affect the
    offset from UTC--and whether daylight savings is in effect today might be
    different than whether it was in effect in the timestamp we're decoding.
    
    Bug: 10672
    Change-Id: Ie513c361cff41007f2328cd9ca9ca4800ffef500
    Reviewed-on: https://code.wireshark.org/review/5245
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit cfd71d7
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue Nov 11 20:48:39 2014 -0500

    Fix a couple of (AFAICS false) may-be-used-uninitialized warnings that show up
    on the OSX 10.5 buildbot.
    
    Change-Id: I49e066feab8b980ea85371095234e96e89db71e1
    Reviewed-on: https://code.wireshark.org/review/5247
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit ea5b234
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue Nov 11 15:37:04 2014 -0500

    Fix a couple of (AFAICS false) may-be-used-uninitialized warnings that show up with gcc 4.8.3.
    
    Change-Id: I71c9013670dd6e8c74e039bd252cfac2c9e95a18
    Reviewed-on: https://code.wireshark.org/review/5246
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 2f3e577
Author: AndersBroman <a.broman@bredband.net>
Date:   Tue Nov 11 21:21:28 2014 +0100

    [GTP] Fix decoding of UMTS GTP QoS Profile i n Radius and Diameter
    messages.
    Fixes Bug 10688
    
    Change-Id: Iff29ae3f6cee1b4ad12a0e5c5d7fd3da1c9343af
    Reviewed-on: https://code.wireshark.org/review/5244
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit feedcb0
Author: AndersBroman <a.broman@bredband.net>
Date:   Tue Nov 11 21:00:16 2014 +0100

    [Radius] Make dictionary.starent.vsa1 the default dictionary.
    at least with the trace in Bug 10688 that makes the most sense.
    
    Change-Id: I76213449076a2f49a4b72c6dd87b022fb10b9eef
    Reviewed-on: https://code.wireshark.org/review/5242
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b1c91b0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Nov 11 19:35:55 2014 +0100

    Tools: Add fix_pragma_wdocumentation to UNKNOWN licence
    
    Change-Id: Ib5665924b99644c52c95d408c7cff19509cf3eb2
    Reviewed-on: https://code.wireshark.org/review/5241
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit dfaaba8
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Nov 11 12:56:34 2014 -0500

    hiqnet: Use correct filter names; Fix specification of hf_dhcp
    
       "foo.flags..." --> "hiqnet.flags...";
       Use BASE_NONE for hf_dchp.
    
    Change-Id: Ic3ca4754a1daeefc831dbfcd6a280fe19f8efbf3
    Reviewed-on: https://code.wireshark.org/review/5240
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit bd9ff6b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Nov 8 18:21:07 2014 +0100

    Add tools for fix -Wdocumentation
    
    Use pragma to disable -Wdocumentation when include glib.h, gmodule or gtk/gtk.h
    
    Change-Id: I576c0d5c4a12ac3b505ac9543646356ff29ac814
    Reviewed-on: https://code.wireshark.org/review/5198
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 7e2ede3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Nov 11 17:56:05 2014 +0100

    Hiqnet: fix warning found by fix-encoding-args tools
    
    Change-Id: I7e513ec5b617217cd238861f5f02d44edce0bedd
    Reviewed-on: https://code.wireshark.org/review/5239
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 0f4860b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Nov 11 17:50:17 2014 +0100

    Hiqnet: fix Mac OS X buildbot
    
    Change-Id: Ia4fec86ed389ccb558fe9e1acfb6e87b7012bb75
    warning: declaration of 'strlen' shadows a global declaration
    Reviewed-on: https://code.wireshark.org/review/5237
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 41cc80e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Nov 11 17:54:09 2014 +0100

    Hiqnet: fix typo lenght => length
    
    Change-Id: I104d8bb0c56899faef6f4d608859e7b1a34e45a4
    Reviewed-on: https://code.wireshark.org/review/5238
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 8b5b0b3
Author: Raphaël Doursenaud <rdoursenaud@free.fr>
Date:   Mon Oct 20 13:07:56 2014 +0200

    Initial Harman HiQnet dissector
    
    Change-Id: I43042edde09395e328d84bf4b172465829915a98
    Reviewed-on: https://code.wireshark.org/review/5014
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 7469fab
Author: desolat <nuabaranda@web.de>
Date:   Tue Nov 11 00:46:05 2014 +0100

    BACAPP: fix dissection of event parameters for event notifications of Event_Type Change_of_Status_Flags
    
    Implementation for this event parameter type was missing
    
    Bug: 9626
    Change-Id: Iea0bc819858bbf5660d97cfd0c418a963ac149fb
    Reviewed-on: https://code.wireshark.org/review/5228
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b2c2deb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 10 19:47:59 2014 -0800

    Fix a problem that causes build failures with CMake on Yosemite.
    
    Change-Id: I52e81656470df887eb3c53b2632bf5a310b1b063
    Reviewed-on: https://code.wireshark.org/review/5229
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit afae2b6
Author: David Ameiss <netshark@ameissnet.com>
Date:   Mon Nov 10 14:24:18 2014 -0600

    Allow building under OSX Yosemite using cmake.
    
    CFPropertyListCreateFromStream() has been deprecated in Yosemite, in favor of CFPropertyListCreateWithStream(). The autotools
    build checks for the existence of the new function, but the cmake build does not. So, add a check for it to CMakeLists.txt, and
    update cmakeconfig.h.in to provide the "template" for HAVE_CFPROPERTYLISTCREATEWITHSTREAM.
    
    Change-Id: I1a4e3e1ce83092ecf7725527b921eeca80b18d4b
    Note: CFPropertyListCreateWithStream() works under Mavericks as well.
    Reviewed-on: https://code.wireshark.org/review/5226
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Stig Bjørlykke <stig@bjorlykke.org>

commit c44ff77
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Nov 10 15:07:51 2014 -0500

    amqp: Misc changes;
    
    - amqp_1_0_dissectiom: Use MIN(32-bit-length, 0xFFFF) as the length to dissect;
      The original code just used the low-order 16 bits of the 32-bit length
      field  as the length to dissect.
      Add an expert warning if the actual PDU length is > 65K.
    
    - tvb_length() --> tvb_reported_length()
    
    Change-Id: I3230600f460a8bd495eeec17fa6e704bf24de1a2
    Reviewed-on: https://code.wireshark.org/review/5225
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit bc990fc
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Sep 1 09:47:26 2014 +0200

    USB: consider the device class when we try to select the next dissector
    
    at the moment, we only use the interface class, even in situations where
    it's not applicable (e.g. control request that's not addressed to an
    interface or an endpoint) - this is a hack that works because some
    dissectors register for interface class "unknown", I'm trying to make
    this workaround obsolete
    
    Change-Id: I6bf4253a2f8bf5a75ea1a08c3e52d36f80abd7ab
    Reviewed-on: https://code.wireshark.org/review/5215
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Sean Stalley <seanstalley@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 0f7aedc
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Nov 10 17:43:53 2014 +0100

    Use correct offset and lenght for Choice EOC.
    
    Change-Id: I8152e1a07768a3bc245bbafa7c24901ba26a2478
    Reviewed-on: https://code.wireshark.org/review/5224
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0f758fa
Author: Victor Voronkov <victor.voronkov@gmail.com>
Date:   Mon Nov 10 12:07:15 2014 +0100

    WCCP: fix parsing of extended assignment data element
    
    Bug: 10641
    Change-Id: I51322757c5aa7877fa8ff7915330ff24e7a8cbe2
    Reviewed-on: https://code.wireshark.org/review/5221
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ea16705
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Nov 6 11:19:25 2014 +0100

    Improved deregistering fields.
    
    This improvement avoids use of deallocated memory (crash) if using a
    deregistered field in display filter, color filter, custom column and
    other cases when the field is used as "interesting field".
    
    This functionality is currently used in http, imf and ldap preferences.
    
    Also removed unused proto_registrar_n() as this does not work correctly
    after deregistering fields.
    
    Change-Id: I043e3bf7a98bd773c9801e712a012d1eab8a7f94
    Reviewed-on: https://code.wireshark.org/review/5161
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Stig Bjørlykke <stig@bjorlykke.org>

commit d58567b
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Nov 5 14:36:29 2014 +0100

    Fixed memory leakage in col_cleanup.
    
    Several fields in cinfo is allocated memory and must be freed here
    to avoid memory leakage when recreating the packet list.
    
    Do not allocate memory for col_expr[] as this points to static strings
    or other allocated strings.
    
    Change-Id: I840377e3c590b1a3e2a38e0537465a028041d1e9
    Reviewed-on: https://code.wireshark.org/review/5137
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 64b8759
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Nov 9 22:16:15 2014 -0800

    Try to fix dist.
    
    Change-Id: Ib4332bace88f9db7a06867861c40627e2bdc55f0
    Reviewed-on: https://code.wireshark.org/review/5218
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit cd5b402
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Nov 9 21:28:00 2014 -0800

    Fix an include.
    
    Change-Id: Ic46b24cac01c49be01c7ad9e8a12b276fcdf81a5
    Reviewed-on: https://code.wireshark.org/review/5217
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 6228930
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Nov 9 18:13:57 2014 -0800

    Finish converting the User's Guide to AsciiDoc.
    
    As with the Developer's Guide, add user-guide-docinfo.xml, which lets us
    carry over DocBook front matter. Remove the meta_info chapter. Most of
    its contents are now in user-guide-docinfo.xml. Add a DocBook revision
    history based on hints from the Git/SVN/CVS revision history.
    
    Remove the various makefile targets for converting AsciiDoc files to
    DocBook chapters. Remove GPL_appendix.xml. We use the AsciiDoc version.
    
    Change-Id: I543fa2a92f2c735c5f00c97ec65cff2187e09e3a
    Reviewed-on: https://code.wireshark.org/review/5216
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 055e476
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Nov 9 14:00:01 2014 -0500

    Add subdissector table for MPLS PW Associated Channel Type
    
    Change-Id: Id72fcbe74b91b4eb25fb4d3f3d47a1d53c2857b2
    Reviewed-on: https://code.wireshark.org/review/5212
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 3924310
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Nov 9 11:39:15 2014 -0800

    WSUG: Convert ``Command Line Tools'' to AsciiDoc.
    
    Move the idl2wrs section to the Developer's Guide. Leave most of the
    other content intact for now.
    
    Change-Id: I98c6eeab62af5cc55e3ce23ab1107df02b1a22cf
    Reviewed-on: https://code.wireshark.org/review/5214
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit c61df20
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Nov 9 14:01:39 2014 -0500

    Restore a "ti" assignment that slightly altered dissection.
    
    Change-Id: I94cd7893a2e6b3668499d41519649f6a7782aa60
    Reviewed-on: https://code.wireshark.org/review/5213
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit b41f0c3
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Nov 9 10:20:26 2014 -0800

    WSUG: Convert ``Troubleshooting'' to AsciiDoc.
    
    The chapter is disabled so its final output hasn't been checked. Leave
    most of the content intact for now.
    
    Change-Id: I2147ee2863e7ededadf892794a836b4dc8055649
    Reviewed-on: https://code.wireshark.org/review/5211
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f8f915c
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Nov 9 10:07:46 2014 -0800

    WSUG: Convert ``Protocols'',  ``Messages'', and ``How Wireshark Works''
    to AsciiDoc.
    
    ``How Wireshark Works'' is disabled, so its final output hasn't been
    checked.
    
    Leave most of the content intact for now.
    
    Change-Id: Ia78951faa3ffd9c6d2e23067dbfb954ab4042f60
    Reviewed-on: https://code.wireshark.org/review/5210
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d8a0757
Author: Gerald Combs <gerald@zing.org>
Date:   Sat Nov 8 22:05:52 2014 -0800

    WSUG: Convert ``Files'' to AsciiDoc.
    
    Leave most of the content intact for now.
    
    Change-Id: I78f47b8310cb41ac5a07d352e56ec907b36665f8
    Reviewed-on: https://code.wireshark.org/review/5209
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 2dda088
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Nov 9 08:05:15 2014 -0800

    [Automatic manuf, services and enterprise-numbers update for 2014-11-09]
    
    Change-Id: Icfdef00a4b9b303bde89bf57077817f25e47d190
    Reviewed-on: https://code.wireshark.org/review/5206
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f7ac077
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 8 21:08:52 2014 -0500

    Create a subdissector table for juniper payload protocols.
    
    Change-Id: I60fd9c6c486b9b3b90e32fb9ccce3973569cc2ee
    Reviewed-on: https://code.wireshark.org/review/5204
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 8153cbc
Author: Gerald Combs <gerald@zing.org>
Date:   Sat Nov 8 22:23:25 2014 -0800

    Try to fix wsluarm dependency.
    
    Change-Id: I90f6a400bb5078c7719c3088d87c4632b810346b
    Reviewed-on: https://code.wireshark.org/review/5205
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 04aad36
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Nov 2 13:20:08 2014 -0800

    Convert the Lua reference to AsciiDoc.
    
    Move it to the Developer's Guide while we're here.
    
    Nudge the markup in epan/wslua where needed. Note that we should
    probably convert it to AsciiDoc (if we're going to keep it in the DG) or
    Doxygen.
    
    Change-Id: Ie175111043f98b7a37eeeb8d185a833d8e866f8b
    Reviewed-on: https://code.wireshark.org/review/5203
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5020856
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Nov 8 18:03:23 2014 +0100

    Fix error: parameter 'XX' not found in the function declaration (-Wdocumentation)
    
    Change-Id: I5850b813989bd6ed33263c0fae3aa29e977e82ec
    Reviewed-on: https://code.wireshark.org/review/5195
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit d094ca8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Nov 8 18:01:25 2014 +0100

    SNMP: Fix warning found by -Wunused-const-variable
    
    Change-Id: If3fcab128e3e6bce04f4922568ab7ff8575b01fe
    warning: unused variable 'smux_types' [-Wunused-const-variable]
    Reviewed-on: https://code.wireshark.org/review/5194
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit dea982b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Nov 8 11:14:27 2014 +0100

    PIM: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I4bfc67705ee824e68f14e4177a3194d66bbbe165
    Reviewed-on: https://code.wireshark.org/review/5188
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit ae61a41
Author: desolat <nuabaranda@web.de>
Date:   Sat Nov 8 13:05:03 2014 +0100

    BACAPP: fix dissection of event parameters for event notifications of Event_Type Change_of_Characterstring
    
    Implementation for this event parameter type was missing
    
    Bug: 9625
    Change-Id: I575d387ec4764fa1ecd365624d13e3f41e2473c6
    Reviewed-on: https://code.wireshark.org/review/5189
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 79d3c33
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Nov 8 19:26:12 2014 +0100

    simplify the while-loop in dissect_pmip6_opt_cr()
    
    Bug: 10676
    Change-Id: I5614c640d3fd23196984eb2bb013ba15fb318305
    Reviewed-on: https://code.wireshark.org/review/5200
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit ee1c74c
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Nov 8 19:25:05 2014 +0100

    simple fix for bug 10676
    
    Bug: 10676
    Change-Id: I442aa2ce44309655190752e715279d7325647336
    Reviewed-on: https://code.wireshark.org/review/5199
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 421913b
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Nov 7 07:47:43 2014 -0500

    Create real subdissectors to the IGMP protocol.
    
    Change-Id: I79ee9413b87722bfe4782342737cff03cfc34495
    Reviewed-on: https://code.wireshark.org/review/5179
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit bd5384c
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Nov 8 15:50:26 2014 +0100

    fix a copy&paste mistake: type -> length
    
    Change-Id: Ifafdc150c655caf4c7046e3038a6b5e4eeb3cf80
    Reviewed-on: https://code.wireshark.org/review/5193
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 5844761
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Nov 8 12:30:39 2014 +0100

    fix a crash in the endpoint dialogue
    
    compile Wireshark with GeoIP enabled
    load a USB capture
    open Statistics / Endpoints
       the tree is empty, USB is not amongst the selected Enpoint Types
    select USB in the Endpoint Types list
    -> crash
    
    to fix this, add a NULL check for cur_tree to EndpointDialog::tabChanged()
    
    Change-Id: I43d963ae5cd451120ac354e89e37ccbbbc2c5910
    Reviewed-on: https://code.wireshark.org/review/5192
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 47909d3
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Nov 8 12:12:36 2014 +0100

    remove parent parameter from dissect_usb_setup_response()
    
    Change-Id: Ib4a5cc3b783d3a4a1477624678964a9627d582e6
    Reviewed-on: https://code.wireshark.org/review/5191
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit f82b2f2
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Nov 8 11:58:33 2014 +0100

    remove parent parameter from dissect_usb_setup_request()
    
    Change-Id: I5a24de9a12e301d472e701140299304e2cb4fcfc
    Reviewed-on: https://code.wireshark.org/review/5190
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 570df75
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Nov 7 22:53:41 2014 -0500

    Add checkfiltername.pl to pre-commit script
    
    Change-Id: I34d8aa7034a4aacc2a95b35a30f25356b33a51b9
    Reviewed-on: https://code.wireshark.org/review/5187
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 48885cc
Author: Sven Eckelmann <sven@open-mesh.com>
Date:   Tue Sep 30 16:39:37 2014 +0200

    batadv: Add missing padding to batadv_unicast_4addr_v14
    
    The already frozen packet format of batman-adv for Linux 3.5 was rejected by
    David S. Miller. The 4addr format v14 was therefore changed after the freeze
    and published in his final form in Linux 3.8.
    
    Change-Id: I519476c4c6d62b403e197fae6a853d9bbe61f9bc
    Signed-off-by: Sven Eckelmann <sven@open-mesh.com>
    Signed-off-by: Simon Wunderlich <simon@open-mesh.com>
    Reviewed-on: https://code.wireshark.org/review/5174
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 3428e80
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 7 15:16:17 2014 -0800

    Don't forward-declare amqp_0_10_get_size_field(), as it no longer exists.
    
    Change-Id: I796826bafd0768b610c9afbde8407fd9d3cc775e
    Reviewed-on: https://code.wireshark.org/review/5180
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8f62bb7
Author: Bill Meier <wmeier@newsguy.com>
Date:   Fri Nov 7 15:59:17 2014 -0500

    amqp: handle potential overflows when dissecting amqp_0_10 PDUs;
    
    Bug: 10582
    Change-Id: I2fbb16b9d641dfe872aed468f8b944f7ef274261
    Reviewed-on: https://code.wireshark.org/review/5176
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 848e24e
Author: Masayuki Takemura <masayuki.takemura@gmail.com>
Date:   Thu Nov 6 14:56:08 2014 +0900

    dictionary: add missing TLV definition for WiMAX-Downlink-Granted-QoS
    
    The type of the value of the Downlink-Granted-QoS is defined as tlv, but the
    TLV definition has not given in the file.
    
    This changeset adds the definition as per WiMAX Forum specification.
    As per the spec, the TLV definition is same as the QoS-Descriptor TLV.
    
    <Reference>
    
    Section 5.4.2.29 QoS-Descriptor and 5.4.2.63 Downlink Granted-QoS in
    WMF-T33-001-R010v05.
    
    Change-Id: I72d97ed6f7532239cba62cc4cd1b6693fcd43123
    
    dictionary: change type of WiMAX-Uplink-Granted-QoS VSA
    
    This changeset changes the type of WiMAX-Uplink-Granted VSA to tlv and
    provides the TLV definition as per WiMAX Forum Specification.
    
    The TLV definition is same as the QoS-Descriptor VSA.
    
    <Reference>
    
    Section 5.4.2.30 Uplink Granted-QoS and 5.4.2.29 QoS-Descriptor in
    WMF-T33-001-R010v05.
    
    Change-Id: If6b505bc985c0fb41b19cf2d2fc7b4f887c72b7a
    Reviewed-on: https://code.wireshark.org/review/5158
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit aec5ffb
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Nov 7 15:32:53 2014 +0100

    DNS: WKS RR Protocol field is read as 4 bytes instead of 1
    
    In the attached pcap file, there's a single DNS packet with WKS RR in the Prerequisites section.
    The Protocol field of this RR is read as if it is 4 bytes long instead of 1, which actually reads part of the bytes of the following RR.
    
    Found by boaz
    
    Bug:10675
    Change-Id: Icf12c7f3864b629a242598373c06eee4de0ca098
    Reviewed-on: https://code.wireshark.org/review/5170
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit de37217
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Nov 7 12:47:18 2014 +0100

    DNS: fix name length and label count for a root server
    
    Bug: 10674
    Change-Id: I44297bfa64c31ab53d2aa61b6e54253b7a5a1e27
    Reviewed-on: https://code.wireshark.org/review/5167
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 14489d6
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Fri Nov 7 14:54:32 2014 +0000

    Fixed hf field blurb values after changes from change 5166
    
    Change-Id: I1c32fb3629c714d72b5398ad82d219d8786980a1
    Reviewed-on: https://code.wireshark.org/review/5171
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 43069c2
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Nov 7 15:12:52 2014 +0100

    GTPv2: Update Indication with Octet 8 and 9 dissection.
    
    Change-Id: Ifa18f31a98932236b102db0f4f28169a7eb72978
    Reviewed-on: https://code.wireshark.org/review/5169
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 09cdfe8
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Nov 6 22:10:11 2014 -0500

    Fix all remaining filter name errors found with checkfiltername.pl
    
    This should make it possible to add checkfiltername.pl to the pre-commit script.
    
    Change-Id: Icdee7e4ea3381fa1467bb4b5caf0f60c255adec0
    Reviewed-on: https://code.wireshark.org/review/5166
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b5dead8
Author: Lukas Emersberger <lukas.emersberger@br-automation.com>
Date:   Thu Oct 23 09:13:39 2014 +0200

    epl: Reassembly table fix
    
     Fixed an error that retransmitted frames were added to the
     reassembly table.
    
    Change-Id: I314412cb8f2ce49142e4b7f001613948f5e03bf6
    Reviewed-on: https://code.wireshark.org/review/4916
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-by: Lukas Emersberger <lukas.emersberger@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 72c70b6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Nov 6 16:46:31 2014 -0800

    Call the default language preference setting "Use system setting".
    
    That more correctly describes it - it doesn't do any form of automatic
    detection of anything, it just picks up the system settings from
    wherever Qt picks them up.
    
    Change-Id: I62d40719728cc9735e3b8f3e4202b7e61fc3f43b
    Reviewed-on: https://code.wireshark.org/review/5165
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 28e19b6
Author: J. Bruce Fields <bfields@redhat.com>
Date:   Mon Apr 15 13:56:20 2013 -0400

    nfs: parse full setclientid CLID_INUSE reply
    
    Note there can be some extra data in the CLID_INUSE case.
    
    (Future work: dissect_nfs_clientaddr4 could use some improvement.)
    
    Ping-Bug: 10649
    Change-Id: I92f34c6cc7a9328458f1e4391b04009f5e47290b
    Reviewed-on: https://code.wireshark.org/review/5141
    Reviewed-by: Bruce Fields <jbrucefields@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 255f1c0
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Nov 6 08:27:55 2014 +0100

    mrcpv2: Fixed a memory leakage.
    
    Moved mrcpv2_tcp_range to proto_reg_handoff and removed the unused
    range_empty() init.
    
    Change-Id: I0bb704db62299c9b3f54e2924162738bf7290ab6
    Reviewed-on: https://code.wireshark.org/review/5156
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 1c707b4
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Nov 6 08:30:01 2014 +0100

    rtsp: Fixed a memory leakage.
    
    Moved rtsp_tcp_port_range to proto_reg_handoff and removed the unused
    range_empty() init.
    
    Change-Id: I695bc5a78d8e6177f2b2847ecee58a0d973d7d1c
    Reviewed-on: https://code.wireshark.org/review/5157
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 0b9c5cd
Author: Maarten Bezemer <maarten.bezemer@gmail.com>
Date:   Thu Nov 6 13:21:03 2014 +0100

    Improve error message by including the (expected) class information
    
    The code checks whether the tag AND class are matching with their expected values, but only the tag information is shown in the error message.
    When the class is not matching, the error message shows the given and expected tags which are the same, confusing the user what is wrong with it.
    
    Furthermore, the messages for SEQUENCE and SEQUENCE OF are made the same/similar.
    
    Change-Id: I6c1d0968c903105ec7f6e0648d589a4263a8ca18
    Reviewed-on: https://code.wireshark.org/review/5162
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 6e81b2d
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Nov 6 16:57:09 2014 +0100

    BER: Fix offset and length of EOC in Sequence loop
    
    Change-Id: I4384339688c1dda5e011b7ff7772940fd61de8d1
    Reviewed-on: https://code.wireshark.org/review/5164
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 883718c
Author: Michael Tüxen <tuexen@wireshark.org>
Date:   Thu Nov 6 13:46:24 2014 +0100

    Always process the expert info for the new open request message.
    
    Change-Id: I38a4bee1b482f320c7e2fd685cf5823ddb4f8d36
    Reviewed-on: https://code.wireshark.org/review/5163
    Reviewed-by: Michael Tüxen <tuexen@wireshark.org>

commit b479ab4
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Nov 6 08:25:55 2014 +0100

    lbtrm: Use correct variable for outgoing_mc_address.
    
    Change-Id: I17e06e39de0de347926825741897646507691657
    Reviewed-on: https://code.wireshark.org/review/5155
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit bb05124
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu Nov 6 00:35:24 2014 -0500

    coap: fix a bug; do some cleanup.
    
      Bug fix: do initial calls to col_...() *before* the dissection code so
               that proper column info is displayed even if the dissector
               exits early because of an exception, etc.
    
      Cleanup:
        - Use wmem_strbuf instead of static fixed length char arrays;
        - Create/use an extended value_string;
        - Use %u (not %d) when formatting unsigned values;
        - Use strchr() to search a string for a character;
        - Misc ...
    
    Change-Id: I57ca584f989c3ab1cf141270cc50160f9fb980ae
    Reviewed-on: https://code.wireshark.org/review/5153
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 3e34273
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Nov 5 14:48:43 2014 +0100

    Lua: Fixed some memory leakages.
    
    Change-Id: I5e14c2e5a3868ec40d1989876b06919aa9ece4a1
    Reviewed-on: https://code.wireshark.org/review/5138
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit c321dc3
Author: Evan Huus <eapache@gmail.com>
Date:   Wed Nov 5 23:43:20 2014 -0500

    rpc: fix regression in gbfc5483174d
    
    value can be NULL, in which case memduping it will crash
    
    Bug: 10667
    Change-Id: I8950fae94d80a2f06f24a785532536ad73f1855d
    Reviewed-on: https://code.wireshark.org/review/5152
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit d0c031f
Author: J. Bruce Fields <bfields@redhat.com>
Date:   Fri Oct 31 12:43:07 2014 -0400

    nfs: clean up fh_expire_type dissection
    
    This is a bit simpler and makes the field searchable.
    
    Ping-Bug: 10649
    Change-ID: I68386f987c419c0b6cbc181f29c6bce6c04fcfdb
    Reviewed-on: https://code.wireshark.org/review/5145
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 060cc68
Author: J. Bruce Fields <bfields@redhat.com>
Date:   Wed Oct 29 09:00:07 2014 -0400

    nfs: NFSv4.2 SEEK, ALLOCATE, DEALLOCATE support
    
    NFSv4.2 is still a draft, but these three ops are implemented at least
    for Linux now and are very unlikely to change any further.
    
    Ping-Bug: 10649
    Change-Id: Ia2917de59fb2b0ed7191c9f362b7eb60756d7634
    Reviewed-on: https://code.wireshark.org/review/5143
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 67c9ff0
Author: J. Bruce Fields <bfields@redhat.com>
Date:   Fri Oct 31 14:55:12 2014 -0400

    nfs: interpret aclsupport attribute
    
    It's not an interesting attribute but I've occasionally been annoyed by
    having to look it up just to verify a server isn't doing something nuts.
    
    Ping-Bug: 10649
    Change-Id: I660b62039075a4044946e590ee75ed5690290bc5
    Reviewed-on: https://code.wireshark.org/review/5146
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 5431032
Author: J. Bruce Fields <bfields@redhat.com>
Date:   Mon Sep 30 17:54:42 2013 -0400

    nfs: label NFSv4 CREATE symlink arguments more helpfully
    
    Currently it's hard to tell which field is the name of the symlink and
    which is the target; both are labeled just "Name".
    
    Ping-Bug: 10649
    Change-Id: I1322a3652ffbcee920a6808dcc5613cefe8d8588
    Reviewed-on: https://code.wireshark.org/review/5142
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ed7b9e6
Author: J. Bruce Fields <bfields@redhat.com>
Date:   Fri Oct 17 15:45:39 2014 -0400

    nfs: fix open result_flags
    
    The protocol values here are all wrong, and miss new flags from rfc
    5661.
    
    Ping-Bug: 10649
    Change-Id: I03fb2b521b415dbca5d4b77eda609eb8084da57c
    Reviewed-on: https://code.wireshark.org/review/5140
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 55fb7ea
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Wed Nov 5 21:10:07 2014 +0100

    Enable some runtime sanity checks when using at least gcc 4.9
    
    Change-Id: I33208d4c27a27fb9222577ca176357035eeb7ba1
    Reviewed-on: https://code.wireshark.org/review/5150
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 80b36cd
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Wed Nov 5 21:05:34 2014 +0100

    Fix plugin search path: It was relative instead of absolute, resulting
    in not found plugins (lib/wireshark/plugins/1.99.1).
    
    Change-Id: Ie81f3c4450789ff7e37c99e197b44e7df47d8df5
    Reviewed-on: https://code.wireshark.org/review/5149
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 547323b
Author: Stephen Fisher <stephenfisher@centurylink.net>
Date:   Wed Nov 5 09:43:00 2014 -0700

    Allow the environment variable RCC to set before running configure to
    allow for unusual paths for Qt's rcc program (FreeBSD ports puts it in
    /usr/local/lib/qt5/bin).  This matches the existing functionality of the
    MOC and UIC variables/programs.
    
    Change-Id: I885d61bce54d9e893e0c2fc496a9ff767a096ae6
    Reviewed-on: https://code.wireshark.org/review/5139
    Petri-Dish: Stephen Fisher <stephenfisher@centurylink.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stephen Fisher <stephenfisher@centurylink.net>

commit d2c0600
Author: Ambarish Malpani <ambarish@defend7.com>
Date:   Tue Nov 4 14:38:07 2014 -0800

    Make SSL certificates available to tshark as bytes via the dtls/ssl.handshake.certificate key.
    
    Changed the entries so that users have access to the whole certificate in
    tshark. This allows developers to process the certs in custom ways
    
    Change-Id: I113d60b2b3f12c6b15a644ec02bbebf7134f0ece
    Reviewed-on: https://code.wireshark.org/review/5119
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 1af7c2b
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Tue Nov 4 18:47:11 2014 +0100

    Qt: Simplify disabling entries in ContextMenu
    
    We have direct access to every entry (action) in ContextMenu.
    Use it instead of storing "actions" and checking its name.
    
    Change-Id: I97a1723898409faf13280c5655b7738661ab594b
    Reviewed-on: https://code.wireshark.org/review/5135
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit ce4be19
Author: Matthieu Texier <matthieu@texier.tv>
Date:   Mon Sep 15 16:10:51 2014 +0200

    pim: BIDIR support (RFC 5015)
    
    Bug: 10231
    Change-Id: Ia93fa76b8d381971f900de4a8ce591f03cd82da0
    Reviewed-on: https://code.wireshark.org/review/5118
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 85aa1bc
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Nov 5 12:50:32 2014 +0100

    ws_mempbrk_sse42.c: remove inclusion of stdint.h as it's no more required after g79e4da4
    
    Change-Id: I48776a286ba1d412ecda55857938d9daa77fd3f7
    Reviewed-on: https://code.wireshark.org/review/5136
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 701f055
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Nov 5 00:21:33 2014 -0500

    mih: tvb_length() --> tvb_reported_length(); Fix some boolean bitfield displays.
    
    Change-Id: I52dd05842afdff4ffd8a70ff56d665ea28d0f63b
    Reviewed-on: https://code.wireshark.org/review/5133
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit e8d375c
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Nov 4 22:28:44 2014 -0500

    mih: Fix some bugs; Add an XXX comment.
    
      One of the bugs: (2^32) is *not* 2 to the power of 32.
    
    Change-Id: Id4dab16380f757e89c05be4182da3ac92c92abd6
    Reviewed-on: https://code.wireshark.org/review/5127
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 6aee9b1
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Nov 4 22:34:51 2014 -0500

    opensafety: Use 1<<10 (not 2^10) in a #define;
    
       Comment out the #define since it's not actually used. :)
    
    Change-Id: Ia34200d3eb705a74a33cbcf18175a7f780f2d2e2
    Reviewed-on: https://code.wireshark.org/review/5128
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit dfb5ddb
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Wed Nov 5 04:16:22 2014 +0100

    Show the bit-encoding into the (shared) 2-Byte value for
    fragment number and sequence number
    
    Change-Id: I38bb61471fe43c5cfa8274e728a56d4cdb132ec1
    Reviewed-on: https://code.wireshark.org/review/5126
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit aae48be
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Nov 3 23:32:47 2014 +0100

    DNS: replace hash map by red-black tree to fix request/response tracking when transaction id is reused
    
    Bug: 10657
    Change-Id: Id4356dcd6802da40b4a3e2e2095cc9d2932c2c68
    Reviewed-on: https://code.wireshark.org/review/5100
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 2bd15c7
Author: Evan Huus <eapache@gmail.com>
Date:   Tue Nov 4 21:31:17 2014 -0500

    sigcomp-udvm: fix invalid access
    
    Way back in 2006, svn r20041 (now gd408f2f6fc) worked around a problem by
    limiting the amount of buffer dealt with in the udvm_state_access call (changing
    it from state_minimum_access_length_buff[n] to STATE_MIN_ACCESS_LEN).
    
    The very next line however, tries to read the same amount of buffer to display
    to the user - since it seems nobody ever applied a proper fix for the original
    case, just apply the same workaround to the second call.
    
    Bug: 10662
    Change-Id: I32c81ee2a8eb7b30ff7ab1fbbb6ea5f206385d4b
    Reviewed-on: https://code.wireshark.org/review/5124
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit bfc5483
Author: Evan Huus <eapache@gmail.com>
Date:   Sat Nov 1 16:36:01 2014 -0400

    rpc: take a file-scope copy of some RPC procedures
    
    The original may be freed out from underneath us if a duplicate is registered.
    Thanks to Bruce Fields for pointing out one case of this I'd missed.
    
    Also replace a bunch of manual "foo.field = 0" with just wmem_new0() instead.
    
    Bug: 10636
    Change-Id: I342bd732f062b0a191cbbf5ae417356385d2fd53
    Reviewed-on: https://code.wireshark.org/review/5046
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit cd93af0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Nov 4 18:08:47 2014 -0800

    Oops, we also need to worry about pcap_get_tstamp_precision().
    
    Change-Id: I60a1f671ba313c59ca1999ab703ee11370608758
    Reviewed-on: https://code.wireshark.org/review/5123
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6f3fc0e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Nov 4 17:53:17 2014 -0800

    Get rid of unused variable.
    
    Leftover crud before I notied that RTLD_NEXT would do what I want.
    
    Change-Id: I5e510e74c65b211e6cc6c300e760869abb399dc8
    Reviewed-on: https://code.wireshark.org/review/5121
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 78492d9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Nov 4 17:49:29 2014 -0800

    Cope with newer Xcode not having the 10.6 SDK.
    
    The latest Xcode, as of today, has only 10.9 and 10.10 SDKs, which means
    that, if we build Wireshark and request a deployment minimum release of
    10.6, we'll be building against an SDK in which libpcap has routines
    that aren't available in 10.6 and that doesn't use weak linking for
    them, so the resulting binary won't actually work on 10.6.
    
    Use the run-time loader to find those routines (currently, only
    pcap_set_tstamp_precision()) and call them only if we find them.
    
    On other UN*Xes, we still assume that we'll be running only on the
    release against which we were built and newer releases.
    
    Change-Id: Iab20d86fe3be4b299cfb6e25c1f95dc6e1581661
    Reviewed-on: https://code.wireshark.org/review/5120
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 196d7b4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Nov 4 12:43:44 2014 -0800

    Add the flag SVGs to the set of files we distribute.
    
    Change-Id: Ib6e9098a4b411eeb1e5f597f3ec5f55e98632ad3
    Reviewed-on: https://code.wireshark.org/review/5117
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e65f581
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Nov 4 20:36:13 2014 +0000

    Revert "Follow a suggestion from libtoolize:"
    
    Sadly, older versions of autoconf - such as the ones on the OS X buildbots - don't know about AC_CONFIG_MACRO_DIRS.
    
    This reverts commit 89291ad4f3293893387b385a0800cad42215ddd4.
    
    Change-Id: Ie4fa71062886f58c7f6014f6b7969921f0b824ae
    Reviewed-on: https://code.wireshark.org/review/5116
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 79e4da4
Author: Stephen Fisher <stephenfisher@centurylink.net>
Date:   Tue Nov 4 12:58:48 2014 -0700

    Fix compilation error on FreeBSD 10.0-RELEASE (with clang): change int8_t to
    gint.
    
    Change-Id: I7974497a8f50e5d18ec74aa7554f058056a6022c
    Reviewed-on: https://code.wireshark.org/review/5115
    Petri-Dish: Stephen Fisher <stephenfisher@centurylink.net>
    Reviewed-by: Stephen Fisher <stephenfisher@centurylink.net>

commit 89291ad
Author: Stephen Fisher <stephenfisher@centurylink.net>
Date:   Tue Nov 4 11:43:46 2014 -0700

    Follow a suggestion from libtoolize:
    
    libtoolize: Consider adding 'AC_CONFIG_MACRO_DIRS([./aclocal-fallback])' to
    configure.ac
    
    This is explained in the libtool manual:
    
    "In the future other Autotools will automatically check the contents of
    AC_CONFIG_MACRO_DIRS, but at the moment it is more portable to add the macro
    directory to ACLOCAL_AMFLAGS in Makefile.am, which is where the tools currently
    look. If libtoolize doesn't see AC_CONFIG_MACRO_DIRS, it too will
    honour the first -I argument in ACLOCAL_AMFLAGS when
    choosing a directory to store libtool configuration macros in. It is perfectly
    sensible to use both AC_CONFIG_MACRO_DIRS and ACLOCAL_AMFLAGS, as long as they
    are kept in synchronisation."
    
    Change-Id: Ic203b0b5104ea3423cf8c0042b2278e82bcea332
    Reviewed-on: https://code.wireshark.org/review/5113
    Reviewed-by: Stephen Fisher <stephenfisher@centurylink.net>

commit 8765fec
Author: Stephen Fisher <stephenfisher@centurylink.net>
Date:   Tue Nov 4 12:17:45 2014 -0700

    Ignore additional generated files:
    
            aclocal-fallback/libtool.m4
            aclocal-fallback/ltoptions.m4
            aclocal-fallback/ltsugar.m4
            aclocal-fallback/ltversion.m4
            aclocal-fallback/lt~obsolete.m4
    
    Change-Id: I7c9bb5c383f44800345540ec05a67175bd7267cc
    Reviewed-on: https://code.wireshark.org/review/5114
    Reviewed-by: Stephen Fisher <stephenfisher@centurylink.net>

commit 6086885
Author: Stephen Fisher <stephenfisher@centurylink.net>
Date:   Tue Nov 4 10:11:40 2014 -0700

    Fix some compilation errors (size_t to guint/gint) and an unused parameter
    
    Change-Id: I2d64d840c93f951dd5481ca5950ff5587da6843d
    Reviewed-on: https://code.wireshark.org/review/5112
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9ac261f
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Nov 4 11:15:18 2014 -0500

    amqp: Fix a number of bugs in dissect_amqp_0_10_map().
    
     (Among other things: "2 ^ xxx" is *not* 2 to the xxx'th power).
    
    Change-Id: I893b72e853ecbb5d7e6259e950fb347e89eed6c2
    Reviewed-on: https://code.wireshark.org/review/5109
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit c3c59dc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Nov 4 04:36:23 2014 -0800

    add the type dom_sid28 and call ad-hoc dissector
    
    Pick up change from Samba:
    
        commit 87fb54b77f4b9caaf2b25635b7813e29a448aaa6
        Author: Matthieu Patou <mat@matws.net>
        Date:   Tue Oct 1 12:04:02 2013 -0700
    
        pidl-wireshark: add the type dom_sid28 and call ad-hoc dissector
    
    Change-Id: Ide5041b901b5e1785b5cabd4b6320f830bbef2b8
    Reviewed-on: https://code.wireshark.org/review/5108
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e38e828
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Nov 4 12:04:20 2014 +0100

    Lua: Fix for register dissectors only once.
    
    The postdissector may be registered before adding the dissector function.
    
    Change-Id: I2285824835491ac91e00515bfb18eb471888eaf8
    Reviewed-on: https://code.wireshark.org/review/5106
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Stig Bjørlykke <stig@bjorlykke.org>

commit e41f088
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Nov 4 02:07:30 2014 -0800

    SWITCH_TYPE is not always defined, SwitchType() will try to find a fallback
    
    Pick up change from Samba:
    
        commit 4b09df897803e78265fd19f6ff19be6e3d8a3944
        Author: Matthieu Patou <mat@matws.net>
        Date:   Tue Oct 1 12:10:18 2013 -0700
    
        pidl-wireshark: SWITCH_TYPE is not always defined, SwitchType() will try to find a fallback
    
        Pair-Programmed-With: Stefan Metzmacher <metze@samba.org>
    
    Change-Id: I1f41ece23e8fec30f9cd89a2203ad63ee6e21e36
    Reviewed-on: https://code.wireshark.org/review/5105
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5025bc2
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Sat Dec 21 17:55:43 2013 +0100

    Qt: Dynamic languages
    
    - get language as soon as possible (before creating any Qt objects) to make all
      translations working
    - dynamic list of supported languages
    - runtime change of GUI language (no need to restart application)
    - add flags icons support
    - search for *.qm languages in buildin resources, then
      data dir called "languages" (main directory in sources or
      /usr/share/wireshark/languages), then user directory
      (UNIX: ~/.wireshark/languages); "languages" directory should contains
      files wireshark_xx.qm where xx is language code (en, en_GB, etc.),
      and optional xx.svg for flag icon
    - try to fix some untranslated manually-created UI items
      (need manual reset text of those components)
    
    Change-Id: I62ca8a8cddce47cec9dbcad6b0bd68b6cfd92229
    Reviewed-on: https://code.wireshark.org/review/5041
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 15e78de
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Oct 31 13:21:46 2014 +0100

    Lua: Register dissectors only once.
    
    Change-Id: I883e8560e9d101d34760d09715255e4fccc9eb98
    Reviewed-on: https://code.wireshark.org/review/5022
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Stig Bjørlykke <stig@bjorlykke.org>

commit e2f2e18
Author: Stephen Fisher <stephenfisher@centurylink.net>
Date:   Mon Nov 3 17:05:38 2014 -0700

    Also ignore TAGS files in addition to the already ignored tags in .gitignore
    
    Change-Id: Id787cf8dfd3df5fac6d535422e00eff3788570b0
    Reviewed-on: https://code.wireshark.org/review/5103
    Reviewed-by: Stephen Fisher <stephenfisher@centurylink.net>

commit 3b5cb2a
Author: Stephen Fisher <stephenfisher@centurylink.net>
Date:   Mon Nov 3 16:39:16 2014 -0700

    Update my e-mail address
    
    Change-Id: I46b03b15820c4d3df172528068317ae0ddc8fab2
    Reviewed-on: https://code.wireshark.org/review/5102
    Reviewed-by: Stephen Fisher <stephenfisher@centurylink.net>

commit 6167673
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 3 15:03:01 2014 -0800

    Regenerate DCE RPC dissectors with the current pidl.
    
    Change-Id: I3cfb9399a9e5ed783083fa5b26a39646fb53875f
    Reviewed-on: https://code.wireshark.org/review/5101
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1119eb6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 3 12:05:47 2014 -0800

    generate ALIGN_TO_x_BYTES instructions if the element has the align_x flag
    
    Pick up change from Samba:
    
        commit 93f262ee6d162bf007b79d2daf9de6c49c6163d1
        Author: Matthieu Patou <mat@matws.net>
        Date:   Fri Oct 18 00:04:28 2013 -0700
    
        pidl-wireshark: generate ALIGN_TO_x_BYTES instructions if the element has the align_x flag
    
    Change-Id: I865eae69ea7a8200630d3ad69bda9ac7b1c12255
    Reviewed-on: https://code.wireshark.org/review/5099
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 283b5cd
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 3 12:03:32 2014 -0800

    if the structure has the flag no_align then set also no_align in the dceprc_info structure
    
        commit 3f6ca430b067705d556031d52736d5a5d5ae8f55
        Author: Matthieu Patou <mat@matws.net>
        Date:   Fri Oct 11 13:18:37 2013 -0700
    
        pidl-wireshark: if the structure has the flag no_align then set also no_align in the dceprc_info structure
    
        Some dissection function will try to do alignment if the no_align flag
        is not set.
    
        Pair-Programmed-With: Stefan Metzmacher <metze@samba.org>
    
    Change-Id: Ie2377f4d6c1c4f2fde7084ba666bd417568122dd
    Reviewed-on: https://code.wireshark.org/review/5098
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9299bf4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 3 11:55:34 2014 -0800

    Remove casts, make some whitespace changes in generated code.
    
    This is the part of this change from Samba:
    
        commit f0a6043fb201940f438f63c809df7186aa307f01
        Author: Matthieu Patou <mat@matws.net>
        Date:   Sun Oct 5 18:25:27 2014 -0700
    
        pidl-wireshark: handle 8 bits enum and change the signature of enum function to pass the exact type
    
        Instead of passing a uint32 in all cases we pass the exact type
    
        Pair-Programmed-With: Stefan Metzmacher <metze@samba.org>
    
    that wasn't already in our version.
    
    Change-Id: I7da99cb701c2eedadeb8acb68d32f657dfa85e5b
    Reviewed-on: https://code.wireshark.org/review/5097
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 26d4fb0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 3 11:50:53 2014 -0800

    add definition for IPV4/IPV6 types
    
    Pick up change from Samba:
    
        commit 49e0dc7ad0f3c29df20badacc4294f1adc375aaf
        Author: Matthieu Patou <mat@matws.net>
        Date:   Fri Oct 25 23:11:37 2013 -0700
    
        pidl-wireshark: add definition for IPV4/IPV6 types
    
    Change-Id: I514f855370c1d9355ffc6ff9b31f8aedd70b9122
    Reviewed-on: https://code.wireshark.org/review/5096
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d993cdd
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 3 11:46:18 2014 -0800

    insure that we have an entire match for the variable name
    
    Pick up patch from Samba:
    
        commit fa331f64d1a40350496c7acf68c20cb3fead6eaf
        Author: Matthieu Patou <mat@matws.net>
        Date:   Thu Oct 3 09:45:19 2013 -0700
    
        pidl-wireshark: insure that we have an entire match for the variable name
    
    Change-Id: I1e730dfb3b9eb96a4cda34659297fddeac7801c8
    Reviewed-on: https://code.wireshark.org/review/5095
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0139ac8
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 3 11:44:05 2014 -0800

    generate an error for the new Pipe type in typedef
    
    Pick up change from Samba:
    
        commit 5d0d45c9a71f137dc29ca79d49bd558f34bf1ff5
        Author: Matthieu Patou <mat@matws.net>
        Date:   Sun Sep 29 00:42:36 2013 -0700
    
        pidl-wireshark: generate an error for the new Pipe type in typedef
    
        Pair-Programmed-With: Stefan Metzmacher <metze@samba.org>
    
    Change-Id: I9e6da50b657f774fadf7c3777900d409999d4660
    Reviewed-on: https://code.wireshark.org/review/5094
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 08a85b8
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 3 11:34:29 2014 -0800

    add a function to change the type of a hf_field
    
    Pick up change from Samba:
    
        commit 755bc4ed29c89fc15d4230ce8b828b3afcfa2912
        Author: Matthieu Patou <mat@matws.net>
        Date:   Thu Oct 3 01:10:48 2013 -0700
    
        pidl-wireshark: add a function to change the type of a hf_field
    
        We can use this to change the type FT_BYTE when we realize that the
        object dissected is an array of bytes
    
    Change-Id: I1f24ce834b6a5be0d933b1fdfd9a0baa88c3761a
    Reviewed-on: https://code.wireshark.org/review/5093
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e0c7277
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 3 11:30:26 2014 -0800

    Handle the case when the DATA_TYPE is not a simple type
    
    Pick up change from Samba:
    
        commit 343db5326b369cbdef4b723e3056acc2a866a887
        Author: Matthieu Patou <mat@matws.net>
        Date:   Tue Sep 23 01:28:40 2014 -0700
    
        pidl-wireshark: Handle the case when the DATA_TYPE is not a simple type
    
        Pair-Programmed-With: Stefan Metzmacher <metze@samba.org>
    
    Change-Id: I511a60beb392e5e92701d5ace1260397fb4be851
    Reviewed-on: https://code.wireshark.org/review/5092
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 58a325e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 3 11:24:18 2014 -0800

    Improve string delection in function ContainsString
    
    Pick up patch from Samba:
    
        commit 5740a06b320d56840439fb7fe3b8b27f341ddaa7
        Author: Matthieu Patou <mat@matws.net>
        Date:   Sat Oct 4 21:19:12 2014 -0700
    
        pidl: Improve string delection in function ContainsString
    
    Change-Id: I702c12e4275315511728d5ef6db07e03be9c2b38
    Reviewed-on: https://code.wireshark.org/review/5091
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0713d35
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 3 11:20:27 2014 -0800

    Make the compilation of PIDL produce the same results if the content hasn't changed
    
    Pick up change from Samba:
    
        commit 4986359816704f38d4fad3ddd0d07a0f0a25b335
        Author: Matthieu Patou <mat@matws.net>
        Date:   Mon Sep 22 21:52:14 2014 -0700
    
        pidl: Make the compilation of PIDL producing the same results if the content hasn't change
    
        Newer perl versions don't generate stable results anymore.
    
        Pair-Programmed-With: Stefan Metzmacher <metze@samba.org>
    
    Change-Id: Ifced47229b3033d1fae494adff0dee6671304812
    Reviewed-on: https://code.wireshark.org/review/5090
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f2269b4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 3 11:07:54 2014 -0800

    Pass di to one more call to PIDL_dissect_uint8().
    
    The case for type "char" wasn't fixed.
    
    Change-Id: Ia745263cd4d11a3c00b1ecc72e044f4e404da283
    Reviewed-on: https://code.wireshark.org/review/5088
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7a78792
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Nov 3 08:39:07 2014 -0800

    Don't use -msse4.2 with MSVC.
    
    Change-Id: I457d45d9ad05e0eb851e78a7342e666ef9df8ffd
    Reviewed-on: https://code.wireshark.org/review/5086
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit bba77c3
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Nov 3 16:19:10 2014 +0100

    tvb_length -> tvb_reported_length
    
    Change-Id: I48b618008c8c8accd6f161bdc42e02906a4765b7
    Reviewed-on: https://code.wireshark.org/review/5085
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7613327
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Nov 3 09:49:50 2014 +0100

    Comment out
     dictionary.rfc6929
     dictionary.rfc6930
     dictionary.rfc7155
     dictionary.rfc7268
     As they give errors in the test suit, something may have changed in the
     free rasdius syntax,
    
    Change-Id: I27c2c4ea8b96601dfaf48b8dc29273fa6adca655
    Reviewed-on: https://code.wireshark.org/review/5084
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f3cc900
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Nov 2 17:07:41 2014 +0100

    MIPv6: Mobility Header Link Layer Address is parsed incorrectly
    
    Looking at RFC 5568 (http://tools.ietf.org/html/rfc5568#section-6.4.3)
    It says that the Link-Layer Address (LLA) Option, should have an address right after the option code
    
    Bug:10006
    Bug:10627
    Change-Id: I6fcd98a7c9896862e4c9547b945cf3848daaf474
    Reviewed-on: https://code.wireshark.org/review/5075
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9b37e1e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Oct 27 13:40:45 2014 +0100

    HPSW: fix neighbor MAC Address
    
    Use the wrong length for display mac address (6 and no the length of option)
    Also fix update of item (don't update the root item)
    
    Change-Id: I38cd1a6a045e797b01cd1a8de5add0949eaa0f01
    Reviewed-on: https://code.wireshark.org/review/4950
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e4c257a
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Nov 2 12:59:47 2014 +0100

    Qt: fix what seems to be a copy/paste error in MainWindow::loadWindowGeometry() (Coverity CID 1158563)
    
    Change-Id: Iaa2a6367fbb434514751e0ed4f273f883798ce8a
    Reviewed-on: https://code.wireshark.org/review/5066
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1a2fcc5
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Nov 2 12:58:26 2014 +0100

    Qt: fix a potential memory leak FollowStreamDialog::follow() found by Coverity (CID 1159304)
    
    Change-Id: I53709c6729c6d9156d2ba5ccd83e92bc27433e26
    Reviewed-on: https://code.wireshark.org/review/5065
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7b4215d
Author: Anish Bhatt <anish@chelsio.com>
Date:   Mon Oct 27 01:12:21 2014 -0700

    [Radius] Update dictionaries from freeradius 3.0.4
    
    Update includes all new/renamed dictionaries in radius, but does not cover any differences in already included dictionaries, which will be handled in  a separate update.
    
    Change-Id: I6d1e1cc1815423fb71ec940366964a366ab41a25
    Reviewed-on: https://code.wireshark.org/review/4947
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit bea8299
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Aug 28 18:39:02 2014 +0200

    remove parent parameter from try_dissect_next_protocol()
    
    Change-Id: Ib05b67c8741f90444e773e7c9e1378f00f41dad7
    Reviewed-on: https://code.wireshark.org/review/5083
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 179a9b5
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Aug 28 18:24:19 2014 +0200

    new function proto_tree_get_parent_tree()
    it returns the parent tree of a given tree object
    
    Change-Id: I191e0221651ffb5b26df761e9a25075aa0eb2ad3
    Reviewed-on: https://code.wireshark.org/review/4954
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 250c1ec
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Sun Nov 2 20:35:37 2014 +0100

    Fix typo: Intrustion -> Intrusion
    
    Change-Id: Iea95556a4d77ff54d46a505903e50134f51d563a
    Reviewed-on: https://code.wireshark.org/review/5082
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit dab9c85
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 2 11:26:15 2014 -0800

    Fix syntax.
    
    Change-Id: Icc18cd7369bae21629aafd5631a373485ef75dea
    Reviewed-on: https://code.wireshark.org/review/5081
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 66e204f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 2 10:37:31 2014 -0800

    Handle packagemaker being an ordinary command in /usr/bin.
    
    Change-Id: Ic804a0fdb4dc450683f57be4814a347e20ecd401
    Reviewed-on: https://code.wireshark.org/review/5079
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 70cab47
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 2 10:10:17 2014 -0800

    Fix syntax, add a check for failure to find PackageMaker, make sure it's a file.
    
    Change-Id: Id5bb23a8c5ebd8a63a51029de541cd32e484029c
    Reviewed-on: https://code.wireshark.org/review/5078
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4f94c9e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 2 09:25:11 2014 -0800

    Handle PackageMaker a bit better.
    
    Look for the binary in various places, rather than looking for
    particular directories and adding them to the path.  That lets us use
    the PackageMaker binary from the PackageMaker.app bundle (it can either
    be run as a GUI app or from the command line), so you don't have to have
    a symlink to it from one of the directories in question.
    
    Change-Id: I1ad701291698544f96d419663f0b4a669876d2f1
    Reviewed-on: https://code.wireshark.org/review/5077
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f968017
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Nov 2 16:58:39 2014 +0100

    RTPS: fix warning: no previous prototype for function ... [-Wmissing-prototypes]
    
    Change-Id: I1943c1446a7bc3381d869514d7802bc0fbb1f6e3
    Reviewed-on: https://code.wireshark.org/review/5072
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 232879a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Nov 2 16:41:46 2014 +0100

    gsm a dtap: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: Ifbe59a51e5fa6158f9073402f1a1ab63df2dfa42
    Reviewed-on: https://code.wireshark.org/review/5071
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3f38631
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Nov 2 16:41:16 2014 +0100

    fcels: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I1c351348399caea313abb94680a610073b3e5af7
    Reviewed-on: https://code.wireshark.org/review/5070
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f1bdcd9
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Nov 2 16:40:02 2014 +0100

    lzxpress: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I028d8877a845af5830b17abfe7eb10d8528b334a
    Reviewed-on: https://code.wireshark.org/review/5069
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2899a6e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Nov 2 08:06:55 2014 -0800

    [Automatic manuf, services and enterprise-numbers update for 2014-11-02]
    
    Change-Id: Idc5360a39ab2f2f0b0827bc6c71f95e2f175d792
    Reviewed-on: https://code.wireshark.org/review/5073
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit ba008bf
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Nov 1 16:55:25 2014 -0400

    Eliminate proto_tree_add_text from several dissectors.
    
    Change-Id: I6d3125f15d268edd47ef74dd655eb86cb25ee52d
    Reviewed-on: https://code.wireshark.org/review/5047
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit f19c70c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Nov 2 12:17:58 2014 +0100

    DNS: fix Coverity CID 281285 and CID 1238867
    
    Change-Id: Ia5747a5d0c8c63b7471de624c96e546c7bbfbf57
    Reviewed-on: https://code.wireshark.org/review/5064
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c49c775
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Nov 2 13:27:37 2014 +0100

    Add identification of Windows (Server) 10
    
    Change-Id: I5ab7a4dc67ceac644faead0d9e460e3babaf6355
    Reviewed-on: https://code.wireshark.org/review/5067
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit f8c3f15
Author: Gerald Combs <gerald@zing.org>
Date:   Sat Nov 1 20:52:34 2014 -0700

    WSUG: Convert ``Customizing'' to AsciiDoc.
    
    Leave most of the content intact for now.
    
    Change-Id: Id00d942f87e0a25e27333ac56eb9b99311694a13
    Reviewed-on: https://code.wireshark.org/review/5063
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 2d8d217
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Nov 1 22:40:41 2014 +0100

    DNS: fix dissection of ISDN RR Sub Address field
    
    Bug: 10650
    Change-Id: I3411d4e5ef534a663940974d98c351976005ee8e
    Reviewed-on: https://code.wireshark.org/review/5057
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 5e40aa4
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Nov 1 22:08:44 2014 +0100

    print: do not try to add an empty hex stream to PDML output for a text only hf
    
    Bug: 10651
    Change-Id: If38af2879b9a20f4755a7843f20c7327d66c95b1
    Reviewed-on: https://code.wireshark.org/review/5054
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 0af4395
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Oct 31 12:24:59 2014 -0400

    Announce messages should only have a TLV if the message length is > 64.
    
    Also, cleaned up a unnecessary global variable.
    
    Bug: 10611
    Change-Id: I8ef5658eeb1f7a240b508833baac64719af144d8
    Reviewed-on: https://code.wireshark.org/review/5029
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 070165c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Nov 1 21:09:41 2014 +0100

    Ethernet: fix a trivial typo
    
    Change-Id: Ibf623aa9e7153e7d54dda1000face1bac42a0088
    Reviewed-on: https://code.wireshark.org/review/5045
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a162f5b
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Nov 1 19:21:31 2014 +0100

    DNS: fix display of A6 address suffix field
    
    Bug: 10652
    Change-Id: Ibd119177feecd27d0c6baba255e7e3da37b131bd
    Reviewed-on: https://code.wireshark.org/review/5043
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 20bac9d
Author: Robert Grange <robionekenobi@bluewin.ch>
Date:   Sat Nov 1 11:27:51 2014 +0100

    packet-mq: Use value_string_ext  for big value string. more struct dissected
    
    Use of value_string_ext for big value_strign array, sort them, to force use the btree search
    parse more integer value with value_string
    
    Bug: 9367
    Change-Id: I49625cf2d46e0974cddde2c7b1767cb7d06ec47d
    Reviewed-on: https://code.wireshark.org/review/5037
    Petri-Dish: Bill Meier <wmeier@newsguy.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit cfdd207
Author: Gerald Combs <gerald@zing.org>
Date:   Sat Nov 1 09:53:07 2014 -0700

    Qt: Limit the amount of Follow Stream text.
    
    QTextEdit + QTextDocument don't handle large amounts of data very well.
    Truncate our displayed text after 2 MB.
    
    Change-Id: I0b549a0b05a490272bc0d34af0f2c6661c548d0f
    Reviewed-on: https://code.wireshark.org/review/5042
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 74e8613
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Fri Oct 31 14:16:11 2014 -0400

    Don't check the checksum if we're encapsulated in an (ICMP) error packet.
    
    This is the case when an ICMP echo is returned (e.g., because it's too big).
    
    This effectively applies SVN rev 36193 to ICMPv6.
    
    Bug: 10620
    Change-Id: I29aeaabc2467c818714df448e39b3a93027c8961
    Reviewed-on: https://code.wireshark.org/review/5030
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 6a37368
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Oct 15 11:54:05 2014 +0200

    Validate no_of_bits in ws_sign_ext32 and ws_sign_ext64
    
    The result of the '<<' expression is undefined if no_of_bits - 1 is negative.
    
    Change-Id: I3fff09afe414bdd9d6736ee351f1c542c503b93d
    Reviewed-on: https://code.wireshark.org/review/4698
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 54ae596
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Fri Oct 24 15:48:35 2014 +0200

    Translations: Update Polish translation
    
    Still not complete, but almost complete.
    
    Change-Id: I6e793c4f6648b423a42841347d22073c0b079767
    Reviewed-on: https://code.wireshark.org/review/5040
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 6f3d91f
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Sat Oct 25 18:59:41 2014 +0200

    Qt: Fix build with Qt < 4.8
    
    Change-Id: I13d4addb16c5c2790703feb63666367d39f36682
    Reviewed-on: https://code.wireshark.org/review/5039
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit ea7c867
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Fri Oct 24 15:48:56 2014 +0200

    Bluetooth: Fix AVRCP UUID
    
    Change-Id: Iaddde4a1ce49b46e4473c1a470760d9cbbe8000e
    Reviewed-on: https://code.wireshark.org/review/5038
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 1f0a68d
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Oct 31 10:10:38 2014 +0100

    Missed cahnges from last commit:
    - Replace some deprecated APIs
    
    Change-Id: If815e7191afb445c474a59cf1e3af603fc7b0b28
    Reviewed-on: https://code.wireshark.org/review/5018
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 155fe6c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Oct 31 19:50:42 2014 -0700

    Set CXXFLAGS to include $VERSION_MIN_FLAGS.
    
    You never know when some library might start using C++, so set CXXFLAGS
    everywhere.
    
    Change-Id: I7e49a3446bb6b587e20058be48e06a5f345679c3
    Reviewed-on: https://code.wireshark.org/review/5036
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2bd1d46
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Oct 31 16:12:47 2014 -0700

    Qt: Better Follow Stream hints.
    
    Show the client and server colors in the hint text.
    
    Change-Id: Iddcda8c3f4f7dc0d8919749aeffc8c09c6445c17
    Reviewed-on: https://code.wireshark.org/review/5035
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5a71cfd
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Oct 31 15:49:04 2014 -0700

    Qt: Disable our widgets while tapping.
    
    Prevents a crash when changing the spinbox value during the middle of a
    follow.
    
    Change-Id: I07cea883c72c5975633e4b7046155f9b6de9cc4a
    Reviewed-on: https://code.wireshark.org/review/5034
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 065d2b7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Oct 31 13:08:11 2014 -0700

    Don't force a verbose build.
    
    That was probably something I put in while debugging.  It can be put
    back - or added to some other make command - as necessary.
    
    Change-Id: I184a5b8537c43c87844e6e75f65dd3c0accde9ac
    Reviewed-on: https://code.wireshark.org/review/5033
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 29fda99
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Oct 31 12:27:30 2014 -0700

    Undo my personal disabling of the Qt download/build/install.
    
    I did that because I didn't want to wait a day for Qt to build, but
    didn't intend to make that change in the official source.
    
    In the longer term, we should perhaps change the script to download and
    install a binary package; sadly, their installers can't be made 100%
    command-line and automated, but, well, the CMake installer pops up a
    dialog, too, and if you don't have Java installed, some of the configure
    scripts that check for Java pop up non-blocking "do you want to install
    Java?" dialogs from OS X.
    
    Change-Id: I99781d5e54529955bf9363a7ee9d4122403fa955
    Reviewed-on: https://code.wireshark.org/review/5032
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3426ffa
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Oct 31 12:11:22 2014 -0700

    For OS X, don't rigidly tie the SDK version to the minimum target version.
    
    According to
    
    	https://developer.apple.com/library/mac/documentation/DeveloperTools/Conceptual/cross_development/Configuring/configuring.html#//apple_ref/doc/uid/10000163i-CH1-SW1
    
    the deployment target (minimum target OS version) and SDK version aren't
    necessarily the same and, in fact, Apple typically only ship two SDKs
    with each Xcode release, so if you want to build for 10.6 with the 10.6
    SDK, you have to use a version of Xcode sufficiently old to have the
    10.6 SDK.
    
    Here, we instead search for the oldest SDK for an OS whose version is
    greater than or equal to the deployment target.  Note that this may not
    work for X11-based Wireshark, as the X11 libraries can change
    incompatibly between releases.  (Fortunately, our plan is to kick
    X11-based Wireshark to the curb for OS X, removing a large pile of
    aggravation for users.)
    
    This also requires some fixes when building Qt and gdk-pixbuf, as some
    cases where we were using the minimum OS target version we needed to be
    using the SDK version.
    
    For CMake, we're using its native "deployment target" support for OS X,
    and hope that it will somehow do the right thing.
    
    Change-Id: Ie8f42c5e4719e7ebdc56b9ba5a330665bee06280
    Reviewed-on: https://code.wireshark.org/review/5031
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d93be95
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Oct 31 15:13:36 2014 +0100

    Clean up handling of BDC coded numbers a bit.
    
    Change-Id: Ic3d523664e3c78b4ed289b7e5acf3f53614c6d54
    Reviewed-on: https://code.wireshark.org/review/5027
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d821440
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Oct 31 08:58:52 2014 -0400

    Eliminate proto_tree_add_text from packet-gtpv2.c
    
    Change-Id: I127447941e4c926d9194373a405c82145b1392bb
    Reviewed-on: https://code.wireshark.org/review/5025
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 54efe5d
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Oct 31 09:01:57 2014 -0400

    Improve the "guessing" of the hf_ field and encoding values.
    
    Change-Id: Iaa042ef8b794c265870a04f6659720c321978697
    Reviewed-on: https://code.wireshark.org/review/5026
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c6feecf
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Oct 31 13:25:14 2014 +0100

    Lua: Only register postdissectors once.
    
    Change-Id: Id41e4ebd19e0b80faa06f628d689bdb77f2b84c9
    Reviewed-on: https://code.wireshark.org/review/5023
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 0347ff9
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Oct 31 13:03:08 2014 +0100

    Remove unused RA_PYTHON_REGISTER and RA_PYTHON_HANDOFF.
    
    Change-Id: Ia2bccb46be79a934dce447ec04dd81e12df9e131
    Reviewed-on: https://code.wireshark.org/review/5021
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 96aa60a
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Oct 31 13:06:47 2014 +0100

    CAMEL: tvb_length... -> tvb_reported_length...
    
    Change-Id: Ia9013127d72f9228b8151338429d9f612ba9a1f4
    Reviewed-on: https://code.wireshark.org/review/5020
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0c97281
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Oct 31 10:48:47 2014 +0100

    BER: tvb_length... -> tvb_reported_length...
    
    Change-Id: I4868223ab54046977dbe833e6d1a2078d8d2c6d9
    Reviewed-on: https://code.wireshark.org/review/5019
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c427839
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Oct 31 09:58:47 2014 +0100

    Fix:
    - packet-dcerpc.c:4664:51: error: unused parameter 'pinfo' [-Werror=unused-parameter]
    - packet-dcerpc.c:5083:83: error: unused parameter 'offset' [-Werror=unused-parameter]
    - Replace some deprecated APIs
    
    Change-Id: I12cbc92a1f07252ebc3ff638b0a8436b2e226a18
    Reviewed-on: https://code.wireshark.org/review/5017
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 31e3fc0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Oct 31 01:50:43 2014 -0700

    Fix name of C-Ares source directory & make the name of the -done file match it.
    
    The directory's name begins with "c-ares-", not "cares-".  Fix that, and
    make the -done file's name begin with "c-ares-" as well.
    
    Change-Id: Ifa178c638ca634ca6b762b12290ccfcc4fa928f9
    Reviewed-on: https://code.wireshark.org/review/5015
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d93bf88
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Oct 31 00:36:39 2014 -0700

    The C-Ares "done" file should have a name beginning with cares-.
    
    Fix a presumed copy-and-pasteo.
    
    Change-Id: I6953bfb46741923507bb58b4e48a72d92313e07c
    Reviewed-on: https://code.wireshark.org/review/5012
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2717766
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Oct 24 22:47:22 2014 -0400

    Use tcp_dissect_pdus in DCE/RPC dissector when running atop TCP.
    
    Yes DCE/RPC runs on top of many dissectors, all which need their own fragmentation support, but TCP can give it to you "for free".  DCE/RPC protocol format is also very conducive to it.
    
    Ping-Bug: 6392
    Change-Id: I0d16854fed3d9c4229c3d2973782f676a51dd719
    Reviewed-on: https://code.wireshark.org/review/4923
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 47ff5bb
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Oct 30 17:08:04 2014 -0400

    Sync debian symbol files to current API.
    
    Change-Id: I64b18ac20401f93b6162ecc7ec4935f8b78508f7
    Reviewed-on: https://code.wireshark.org/review/5009
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2787a93
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Oct 30 09:33:36 2014 +0100

    HTTP2: Update to draft-15
    
    * Add new error code (HTTP_1_1_REQUIRED)
    * Use hexa value for error code (like the spec)
    * Add reference to Alt-SVC spec
    
    Change-Id: Ifbcb32e97168440cb34f59740871b6c896e90461
    Reviewed-on: https://code.wireshark.org/review/4992
    Reviewed-by: Daniel Stenberg <daniel@haxx.se>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 618560a
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Oct 30 08:43:24 2014 -0400

    Eliminate proto_tree_add_text from packet-fcels.c
    
    Change-Id: Iac322d7c7d66d90994bce377dd8c7e39a36466cf
    Reviewed-on: https://code.wireshark.org/review/5003
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 93d5bb3
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Oct 30 23:13:44 2014 +0100

    temporary workaround to stop the fuzz failures
    
    Bug: 10635
    Change-Id: I2132119710392e077f74c92e737e4edce4fcc295
    Reviewed-on: https://code.wireshark.org/review/5011
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 2e31475
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Oct 30 14:36:02 2014 -0700

    Add a missing backslash.
    
    Change-Id: Iac79c885fe10805b61512ed2c02cd652f1c3fd7a
    Reviewed-on: https://code.wireshark.org/review/5010
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 7665ac5
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Oct 30 13:42:31 2014 -0700

    OS X: Don't add libtool control files to the app bundle.
    
    According to https://developer.apple.com/library/mac/technotes/tn2206
    the Contents/PlugIns directory should *only* contain executable files.
    Only copy .so (and in case we need them) .dylib files.
    
    Change-Id: I01f077735018733926db92e7576f6f4fecb68862
    Reviewed-on: https://code.wireshark.org/review/5008
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f5ed47d
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Oct 29 17:33:12 2014 -0400

    Eliminate proto_tree_add_text from packet-q933.c
    
    Change-Id: If5b85609d3daaf66cbcc15e3127af4e7f5736e52
    Reviewed-on: https://code.wireshark.org/review/4995
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 3d9b35f
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Thu Oct 30 14:16:06 2014 -0400

    Fix a typo: Unidirected -> Undirected
    
    As reported in https://ask.wireshark.org/questions/37462/possible-mistake-in-bluetooth-low-energy-hci-event-type
    
    Change-Id: Ia6217531208b00c52c89bcb279cbbe67b5163e96
    Reviewed-on: https://code.wireshark.org/review/5004
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit a683dd3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Oct 30 12:13:21 2014 -0700

    Make the data rate field float, and calculate it for 802.11n.
    
    Bug: 10637
    Change-Id: Ifd4094f308246e92500cc7149c0d42c8496fb9f4
    Reviewed-on: https://code.wireshark.org/review/5005
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit cc640f0
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Thu Oct 30 11:56:30 2014 -0400

    Prohibit ctype APIs (except toupper() which is still used by file.c - make
    that deprecated).
    
    Also remove a few tabs that were in there.
    
    Change-Id: I1bb2ad726828366a9f7d1a4064b1215b743ad3b5
    Reviewed-on: https://code.wireshark.org/review/5000
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 4210a8c
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Thu Oct 30 11:45:20 2014 -0400

    Replace one more isprint() with g_ascii_isprint().
    
    Change-Id: I7d49b0d250a5918a7437a524492e834588c6c8cf
    Reviewed-on: https://code.wireshark.org/review/4999
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 066a334
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Oct 30 17:40:20 2014 +0100

    Add casts to try to please the OSX buildbot.
    
    Change-Id: I66d546ef2dd276bf151b2956ccbe1f2b6c5cb2f5
    Reviewed-on: https://code.wireshark.org/review/5002
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e0a3526
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Thu Oct 30 12:01:43 2014 -0400

    Tell the user which file __func__ was found in.
    
    Change-Id: Ia69ceaf320cb97447f80a7c090efe6d36262a1c1
    Reviewed-on: https://code.wireshark.org/review/5001
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 62831ba
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Oct 30 11:35:47 2014 -0400

    convert_proto_tree_add_text.pl - missed adding an else statement to logic.
    
    Change-Id: I7f31e9ba47d2e94887bd01a84bab356c0c835d92
    Reviewed-on: https://code.wireshark.org/review/4998
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit cda985d
Author: Matthieu Patou <mat@matws.net>
Date:   Fri Oct 10 16:53:20 2014 -0400

    Create the compress module for compression functions.
    
    For the moment there is only the lzxpress compression used by DRS
    
    Bug: 10546
    Change-Id: Ifc7e1767934224c0198f0b09caa3efbad979ca1f
    Reviewed-on: https://code.wireshark.org/review/4600
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit fea733e
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Oct 30 11:19:30 2014 -0400

    Add logic to determine if a "tvb get" call is used as a parameter to a proto_tree_add_text call. convert_proto_tree_add_text.pl has an easier time determining hf_ field values with a "tvb get" call present, so it's more likely those dissectors will be picked first in eliminating their proto_tree_add_text calls.
    
    Change-Id: I3dd57a73c8e60d8075a6bb987efd52b96b38445c
    Reviewed-on: https://code.wireshark.org/review/4997
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit f8c7a5b
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Oct 30 15:58:58 2014 +0100

    Add an RFC reference and fix deprecated API.
    
    Change-Id: I8dcddc6bcbaf462a6e74b76764ea26b7f5b08920
    Reviewed-on: https://code.wireshark.org/review/4996
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 79c977c
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue Oct 28 21:43:12 2014 -0400

    Remove the optional strncasecmp.{h,c} target (for systems that don't have that API).
    
    strncasecmp() has been prohibited for years (in favor of the g_ascii_ version).
    
    Change-Id: I64b7c29099b1c5240757e2026fe3490096a84755
    Reviewed-on: https://code.wireshark.org/review/4980
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit c0a4a91
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Oct 30 02:03:28 2014 -0700

    Dataflow analysis is hard, let's go shopping!
    
    Another case where the compiler didn't figure out that the variables
    aren't used if they're not set.
    
    Change-Id: I70bfb06c6d86d41a266a087ece971c40cd697ee9
    Reviewed-on: https://code.wireshark.org/review/4994
